import { _ as __nuxt_component_0 } from './client-only-CNnwE-2c.mjs';
import { a as useQuasar, b as useRouter, c as useHead, u as useSeoMeta, d as useRoute, n as navigateTo } from './server.mjs';
import { useSSRContext, defineComponent, reactive, withAsyncContext, watch, resolveComponent, unref, ref, mergeProps } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderAttrs, ssrRenderAttr, ssrIncludeBooleanAttr, ssrLooseContain, ssrLooseEqual, ssrRenderClass, ssrRenderComponent } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { E as Env } from './env-B2a7_Xo2.mjs';
import { _ as _export_sfc } from './_plugin-vue_export-helper-1tPrXgE0.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';

const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "ui-auth-signup",
  __ssrInlineRender: true,
  props: {
    prefill: {
      name: "",
      phone: "",
      email: ""
    }
  },
  async setup(__props) {
    let __temp, __restore;
    const $q = useQuasar();
    const router = useRouter();
    const props = __props;
    const formData = reactive({
      name: props.prefill.name,
      phone: props.prefill.phone,
      email: props.prefill.email,
      country: props.prefill.country,
      verified: [props.prefill.email ? "email" : null, props.prefill.phone ? "phone" : null]
    });
    const { data, refresh, status, pending } = ([__temp, __restore] = withAsyncContext(() => useFetch(endpoints.user.create, {
      method: "post",
      body: formData,
      immediate: false
    }, "$bdlZXM1W0g")), __temp = await __temp, __restore(), __temp);
    watch(data, (d) => {
      $q.notify({
        message: d == null ? void 0 : d.message,
        color: (d == null ? void 0 : d.status) ? "green" : "red",
        position: "bottom"
      });
      if (d == null ? void 0 : d.status) {
        pitLib.auth.set(d == null ? void 0 : d.data);
        router.push("/");
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_ui_loader01 = resolveComponent("ui-loader01");
      _push(`<form${ssrRenderAttrs(_attrs)}><div class="row gx-3"><div class="col-xs-12 col-sm-12 col-6"><div class="mb-3"><label class="small mb-1" for="inputFirstName">Name</label><input${ssrRenderAttr("value", unref(formData).name)} class="form-control" id="inputFirstName" type="text" placeholder="Enter name"></div></div><div class="col-xs-12 col-sm-12 col-6"><div class="mb-3"><label class="small mb-1" for="inputLastName">Phone</label><input${ssrRenderAttr("value", unref(formData).phone)} class="form-control" id="inputLastName" type="number" placeholder="Enter phone number"></div></div><div class="col-xs-12 col-sm-12 col-6"><div class="mb-3"><label class="small mb-1" for="inputLastName">Country</label><select class="form-control"><option value="661bbed852f0bc15cfd20b97"${ssrIncludeBooleanAttr(Array.isArray(unref(formData).country) ? ssrLooseContain(unref(formData).country, "661bbed852f0bc15cfd20b97") : ssrLooseEqual(unref(formData).country, "661bbed852f0bc15cfd20b97")) ? " selected" : ""}>India</option><option selected>Others</option></select></div></div><div class="col-xs-12 col-sm-12 col-6"><div class="mb-3"><label class="small mb-1" for="inputEmailAddress">Email</label><input${ssrIncludeBooleanAttr(props.prefill.email) ? " disabled" : ""}${ssrRenderAttr("value", unref(formData).email)} class="${ssrRenderClass([{ "is-valid": props.prefill.email }, "form-control"])}" id="inputEmailAddress" type="email" aria-describedby="emailHelp" placeholder="Enter email address"></div></div></div><div class="row mt-4"><div class="col text-end"><button type="submit" class="btn btn-success rounded shadow">`);
      if (unref(status) !== "pending") {
        _push(`<span>Save <i class="fa-solid fa-check ms-2"></i></span>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(status) === "pending") {
        _push(ssrRenderComponent(_component_ui_loader01, null, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</button></div></div></form>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/auth/ui-auth-signup.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "auth",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    useHead({
      link: [
        { rel: "stylesheet", href: "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" }
      ],
      script: [{ type: "text/javascript", src: "https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" }]
    });
    useSeoMeta({ title: "Home Page - Vegan" });
    const gtoken = ref("");
    useQuasar();
    const route = useRoute();
    const authUser = pitLib.auth.get();
    const loading = ref(true);
    const authLink = ref();
    const googleProfile = ref();
    if (route.fullPath.includes("access_token") && false) {
      gtoken.value = route.fullPath.split("#")[1].split("&")[1].replace("access_token=", "");
      let d = ([__temp, __restore] = withAsyncContext(() => $fetch(endpoints.user.google.fetch, {
        method: "post",
        headers: {
          Authorization: "Bearer " + gtoken.value
        }
      })), __temp = await __temp, __restore(), __temp);
      googleProfile.value = (_a2 = d == null ? void 0 : d.data) != null ? _a2 : "";
      if ((_a = googleProfile.value) == null ? void 0 : _a.exist) {
        pitLib.auth.set((_b = d == null ? void 0 : d.data) == null ? void 0 : _b.exist);
        if (["admin", "dietitian"].includes((_d = (_c = googleProfile.value) == null ? void 0 : _c.exist) == null ? void 0 : _d.role)) {
          navigateTo("/panel");
        }
      }
    }
    useFetch(endpoints.user.google.url, "$kRpN0aD5IC").then((d) => {
      var _a3;
      authLink.value = (_a3 = d.data.value) != null ? _a3 : "";
    }).then(() => {
      loading.value = false;
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_ClientOnly = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "container-fluid" }, _attrs))} data-v-f13c09aa><div class="row" data-v-f13c09aa><div class="col" data-v-f13c09aa><div class="card shadow-lg border-0 rounded-lg mt-5 p-5" data-v-f13c09aa>`);
      if (unref(loading)) {
        _push(`<div class="text-center" data-v-f13c09aa><h5 data-v-f13c09aa>Loading</h5></div>`);
      } else {
        _push(`<!---->`);
      }
      if (!unref(authUser) && !unref(gtoken)) {
        _push(`<div class="text-center" data-v-f13c09aa><div class="row" data-v-f13c09aa><div class="col" data-v-f13c09aa><h5 class="text-center" data-v-f13c09aa>Login Please</h5></div></div><a${ssrRenderAttr("href", `https://accounts.google.com/o/oauth2/v2/auth?scope=email phone https://www.googleapis.com/auth/calendar https://www.googleapis.com/auth/userinfo.profile&include_granted_scopes=true&response_type=token&state=state_parameter_passthrough_value&redirect_uri=${unref(Env).FACEPOINT}auth&client_id=${unref(Env).GOOGLE_CLIENT_ID}`)} class="btn btn-outline-info" data-v-f13c09aa><img src="https://cdn-icons-png.flaticon.com/128/720/720255.png" class="img-fluid" height="30" width="30" data-v-f13c09aa> Google Login</a></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(googleProfile) && !unref(googleProfile).exist) {
        _push(ssrRenderComponent(_sfc_main$1, { prefill: unref(googleProfile) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(authUser)) {
        _push(`<div class="text-center" data-v-f13c09aa>`);
        _push(ssrRenderComponent(_component_ClientOnly, null, {}, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/auth.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const auth = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-f13c09aa"]]);

export { auth as default };
//# sourceMappingURL=auth-DKkvkDji.mjs.map
