import { defineComponent, mergeProps, useSSRContext, ref, onUnmounted } from 'vue';
import { ssrRenderAttrs } from 'vue/server-renderer';

const useSticky = () => {
  const sticky = ref(false);
  const isStickyVisible = ref(false);
  let lastScrollTop = 0;
  const handleScroll = () => {
    var _a;
    const headerElement = (void 0).getElementById("sticky-header");
    const headerHeight = (headerElement == null ? void 0 : headerElement.offsetHeight) || 0;
    const windowTop = (void 0).scrollY;
    if (windowTop >= headerHeight) {
      sticky.value = true;
    } else {
      sticky.value = false;
      isStickyVisible.value = false;
    }
    if (sticky.value) {
      if (windowTop < lastScrollTop) {
        isStickyVisible.value = true;
      } else {
        isStickyVisible.value = false;
      }
    }
    const currentScrollTop = windowTop;
    if (currentScrollTop <= 500) {
      (_a = (void 0).querySelector(".tp-int-menu")) == null ? void 0 : _a.classList.remove("tp-header-pinned");
    }
    lastScrollTop = windowTop;
  };
  onUnmounted(() => {
    (void 0).removeEventListener("scroll", handleScroll);
  });
  return {
    sticky,
    isStickyVisible
  };
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "back-to-top",
  __ssrInlineRender: true,
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "back-to-top-wrapper" }, _attrs))}><button id="back_to_top" type="button" class="back-to-top-btn"><svg width="12" height="7" viewBox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M11 6L6 1L1 6" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></svg></button></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/back-to-top.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _, useSticky as u };
//# sourceMappingURL=back-to-top-iwSsJCkc.mjs.map
