import { c as useHead, u as useSeoMeta, _ as __nuxt_component_0 } from './server.mjs';
import { _ as __nuxt_component_0$1 } from './nuxt-link-D35ckuRb.mjs';
import { useSSRContext, defineComponent, withCtx, createVNode, mergeProps, ref, computed, unref, openBlock, createBlock, Fragment, renderList } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { Navigation, Scrollbar } from 'swiper/modules';
import { b as blog_data } from './blog-data-IL5KIFch.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';

const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "blog-slider-item",
  __ssrInlineRender: true,
  props: {
    blog: {}
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "blog-list__slider-item" }, _attrs))}><div class="row align-items-center"><div class="col-xl-8"><div class="blog-list__slider-title-box"><h4 class="blog-list__slider-title">`);
      _push(ssrRenderComponent(_component_nuxt_link, {
        href: `/blog-details/${_ctx.blog.id}`
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div${_scopeId}>${_ctx.blog.title}</div>`);
          } else {
            return [
              createVNode("div", {
                innerHTML: _ctx.blog.title
              }, null, 8, ["innerHTML"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</h4></div></div></div><div class="blog-list__author-wrap mb-20"><div class="row align-items-end"><div class="col-xl-3 col-lg-3 col-md-4 mb-20"><div class="blog-list__author-info d-flex align-items-center"><div class="blog-list__author-avata"><img${ssrRenderAttr("src", _ctx.blog.avatar)} alt=""></div><div class="blog-list__author-details"><h4 class="blog-list__author-title">${ssrInterpolate(_ctx.blog.author)}</h4><span>${ssrInterpolate(_ctx.blog.designation)}</span></div></div></div><div class="col-xl-6 col-lg-6 col-md-8 mb-20"><div class="blog-list__meta-box text-start text-lg-center"><span class="category">${ssrInterpolate(_ctx.blog.category)}</span><span>${ssrInterpolate(_ctx.blog.date)}</span><span>${ssrInterpolate(_ctx.blog.time)}</span></div></div></div></div><div class="row"><div class="col-xl-12"><div class="blog-list__slider-thumb"><img${ssrRenderAttr("src", _ctx.blog.img)} alt=""></div></div></div></div>`);
    };
  }
});
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/blog/blog-slider-item.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : void 0;
};
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "blog-list-item",
  __ssrInlineRender: true,
  props: {
    blog: {}
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "blog-list__sm-item mb-60 pb-30" }, _attrs))}><div class="blog-list__sm-thumb">`);
      _push(ssrRenderComponent(_component_nuxt_link, {
        href: `/blog-details/${_ctx.blog.id}`
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img${ssrRenderAttr("src", _ctx.blog.img)} alt=""${_scopeId}>`);
          } else {
            return [
              createVNode("img", {
                src: _ctx.blog.img,
                alt: ""
              }, null, 8, ["src"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="blog-list__sm-category"><!--[-->`);
      ssrRenderList(_ctx.blog.tag, (t, i) => {
        _push(`<span>${ssrInterpolate(t)}</span>`);
      });
      _push(`<!--]--></div><div class="blog-list__sm-title-box"><h4 class="blog-list__sm-title">`);
      _push(ssrRenderComponent(_component_nuxt_link, {
        href: `/blog-details/${_ctx.blog.id}`
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div${_scopeId}>${_ctx.blog.title}</div>`);
          } else {
            return [
              createVNode("div", {
                innerHTML: _ctx.blog.title
              }, null, 8, ["innerHTML"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</h4></div><div class="blog-list__sm-author d-flex align-items-center"><div class="blog-list__sm-author-avata"><img${ssrRenderAttr("src", _ctx.blog.avatar)} alt=""></div><div class="blog-list__sm-author-content"><h4>${ssrInterpolate(_ctx.blog.author)}</h4><span>${ssrInterpolate(_ctx.blog.date)}<i>.</i>${ssrInterpolate(_ctx.blog.time)}</span></div></div></div>`);
    };
  }
});
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/blog/blog-list-item.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "blog-area",
  __ssrInlineRender: true,
  setup(__props) {
    const blog_items = [...blog_data].filter((b) => b.page === "blog");
    const categories = new Set([...blog_items].map((b) => b.category));
    const categoryArray = Array.from(categories);
    const activeCate = ref(categoryArray[0]);
    const filterBlogs = computed(() => {
      return blog_items.filter((b) => b.category === activeCate.value);
    });
    const sliderBlogs = computed(() => {
      return filterBlogs.value.filter((b) => b.slider);
    });
    const slider_setting = {
      speed: 800,
      slidesPerView: 1,
      spaceBetween: 0,
      navigation: {
        nextEl: ".blog-list__arrow-next",
        prevEl: ".blog-list__arrow-prev"
      },
      scrollbar: {
        el: ".blog-list__scrollbar",
        clickable: true
      },
      breakpoints: {
        "1200": {
          slidesPerView: 1
        },
        "992": {
          slidesPerView: 1
        },
        "768": {
          slidesPerView: 1
        },
        "576": {
          slidesPerView: 1
        },
        "0": {
          slidesPerView: 1
        }
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_blog_slider_item = _sfc_main$3;
      const _component_blog_list_item = _sfc_main$2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "blog-list__area blog-list__ptb fix" }, _attrs))}><div class="container"><div class="row"><div class="blog-list__title-box"><span class="blog-list__subtitle tp-char-animation">Insights</span><h4 class="blog-list__title tp-char-animation"> Discover Articles and Guides to Help You. </h4></div></div><div class="row"><div class="col-xl-12"><div class="blog-list__tab-wrap"><div><div class="blog-list__slider-main"><div class="blog-list__slider-wrap mb-80">`);
      _push(ssrRenderComponent(unref(Swiper), mergeProps(slider_setting, {
        modules: [unref(Navigation), unref(Scrollbar)],
        class: "swiper-container blog-list__slider-active p-relative"
      }), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="blog-list__scrollbar"${_scopeId}></div><!--[-->`);
            ssrRenderList(unref(sliderBlogs), (b) => {
              _push2(ssrRenderComponent(unref(SwiperSlide), {
                key: b.id
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(ssrRenderComponent(_component_blog_slider_item, { blog: b }, null, _parent3, _scopeId2));
                  } else {
                    return [
                      createVNode(_component_blog_slider_item, { blog: b }, null, 8, ["blog"])
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            });
            _push2(`<!--]--><div class="blog-list__arrow-box d-none d-md-block"${_scopeId}><button class="blog-list__arrow-next me-2"${_scopeId}><i class="fa-solid fa-angle-left"${_scopeId}></i></button><button class="blog-list__arrow-prev"${_scopeId}><i class="fa-solid fa-angle-right"${_scopeId}></i></button></div>`);
          } else {
            return [
              createVNode("div", { class: "blog-list__scrollbar" }),
              (openBlock(true), createBlock(Fragment, null, renderList(unref(sliderBlogs), (b) => {
                return openBlock(), createBlock(unref(SwiperSlide), {
                  key: b.id
                }, {
                  default: withCtx(() => [
                    createVNode(_component_blog_slider_item, { blog: b }, null, 8, ["blog"])
                  ]),
                  _: 2
                }, 1024);
              }), 128)),
              createVNode("div", { class: "blog-list__arrow-box d-none d-md-block" }, [
                createVNode("button", { class: "blog-list__arrow-next me-2" }, [
                  createVNode("i", { class: "fa-solid fa-angle-left" })
                ]),
                createVNode("button", { class: "blog-list__arrow-prev" }, [
                  createVNode("i", { class: "fa-solid fa-angle-right" })
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="blog-list__wrapper"><div class="row gx-50"><!--[-->`);
      ssrRenderList(unref(filterBlogs).filter((b) => !b.slider), (blog) => {
        _push(`<div class="col-xl-6 col-lg-6 col-md-6">`);
        _push(ssrRenderComponent(_component_blog_list_item, { blog }, null, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div></div></div></div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/blog/blog-area.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "blog",
  __ssrInlineRender: true,
  setup(__props) {
    useHead({
      link: [
        { rel: "stylesheet", href: "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" }
      ],
      script: [{ type: "text/javascript", src: "https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" }]
    });
    useSeoMeta({ title: "Blog Page - Vegan" });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_layout = __nuxt_component_0;
      const _component_blog_area = _sfc_main$1;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_nuxt_layout, { name: "layout-six" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_blog_area, null, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_blog_area)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/blog.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=blog-P6e-SL05.mjs.map
