import { c as useHead, u as useSeoMeta, _ as __nuxt_component_0 } from './server.mjs';
import { _ as __nuxt_component_0$1 } from './nuxt-link-D35ckuRb.mjs';
import { u as useVideoPopup } from './useVideoPopup-D8-fAbQ5.mjs';
import { useSSRContext, defineComponent, withCtx, createVNode, mergeProps, unref, openBlock, createBlock, Fragment, renderList, createTextVNode } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { Navigation, Autoplay } from 'swiper/modules';
import { _ as _sfc_main$3 } from './blog-sidebar-COilmJAf.mjs';
import { b as blog_data } from './blog-data-IL5KIFch.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';

const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "blog-postbox-item",
  __ssrInlineRender: true,
  props: {
    blog: {}
  },
  setup(__props) {
    useVideoPopup();
    const slider_setting = {
      slidesPerView: 1,
      autoplay: true,
      navigation: {
        nextEl: ".postbox-arrow-next",
        prevEl: ".postbox-arrow-prev"
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0$1;
      _push(`<article${ssrRenderAttrs(mergeProps({ class: "postbox__item mb-60" }, _attrs))}><div class="postbox__thumb">`);
      if (!_ctx.blog.slider) {
        _push(ssrRenderComponent(_component_nuxt_link, {
          href: `/blog-details/${_ctx.blog.id}`
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<img${ssrRenderAttr("src", _ctx.blog.img)} alt=""${_scopeId}>`);
            } else {
              return [
                createVNode("img", {
                  src: _ctx.blog.img,
                  alt: ""
                }, null, 8, ["src"])
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="postbox__date"><span>${ssrInterpolate(_ctx.blog.date.split(" ")[0])}</span><h5>${ssrInterpolate(_ctx.blog.date.split(" ")[1])}</h5></div>`);
      if (_ctx.blog.video) {
        _push(`<div class="postbox__play-btn"><a class="popup-video" href="#"><i class="fa-sharp fa-solid fa-play"></i></a></div>`);
      } else {
        _push(`<!---->`);
      }
      if (_ctx.blog.slider) {
        _push(`<div class="postbox__thumb-slider p-relative">`);
        _push(ssrRenderComponent(unref(Swiper), mergeProps(slider_setting, {
          modules: [unref(Navigation), unref(Autoplay)],
          class: "swiper-container postbox__thumb-slider-active"
        }), {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(_ctx.blog.slider_images, (imgSrc, i) => {
                _push2(ssrRenderComponent(unref(SwiperSlide), { key: i }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<img${ssrRenderAttr("src", imgSrc)} alt=""${_scopeId2}>`);
                    } else {
                      return [
                        createVNode("img", {
                          src: imgSrc,
                          alt: ""
                        }, null, 8, ["src"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(_ctx.blog.slider_images, (imgSrc, i) => {
                  return openBlock(), createBlock(unref(SwiperSlide), { key: i }, {
                    default: withCtx(() => [
                      createVNode("img", {
                        src: imgSrc,
                        alt: ""
                      }, null, 8, ["src"])
                    ]),
                    _: 2
                  }, 1024);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<div class="postbox__slider-arrow-wrap d-none d-sm-block"><button class="postbox-arrow-prev"><i class="fa-sharp fa-solid fa-arrow-left"></i></button><button class="postbox-arrow-next"><i class="fa-sharp fa-solid fa-arrow-right"></i></button></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="postbox__content"><div class="postbox__meta"><span>${ssrInterpolate(_ctx.blog.category)}</span><i></i><span>${ssrInterpolate(_ctx.blog.comments)} Comments</span></div><h3 class="postbox__title">`);
      _push(ssrRenderComponent(_component_nuxt_link, {
        href: `/blog-details/${_ctx.blog.id}`
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div${_scopeId}>${_ctx.blog.title}</div>`);
          } else {
            return [
              createVNode("div", {
                innerHTML: _ctx.blog.title
              }, null, 8, ["innerHTML"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</h3><div class="postbox__text"><p>${ssrInterpolate(_ctx.blog.desc)}... </p></div><div class="postbox__read-more">`);
      _push(ssrRenderComponent(_component_nuxt_link, {
        href: `/blog-details/${_ctx.blog.id}`,
        class: "tp-btn-border-lg"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` read more `);
          } else {
            return [
              createTextVNode(" read more ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></article>`);
    };
  }
});
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/blog/blog-postbox-item.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "blog-postbox-area",
  __ssrInlineRender: true,
  setup(__props) {
    const blog_items = [...blog_data].filter((b) => b.page === "blog-postbox");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_blog_postbox_item = _sfc_main$2;
      const _component_blog_sidebar = _sfc_main$3;
      _push(`<div${ssrRenderAttrs(_attrs)}><div class="blog-standard__area pt-200"><div class="container"><div class="row"><div class="blog-list__title-box"><span class="blog-list__subtitle tp-char-animation">Recent Articles</span><h4 class="blog-list__title tp-char-animation">From Our Blogs</h4></div></div></div></div><section class="postbox__area tp-blog-sidebar-sticky-area pb-120"><div class="container"><div class="row"><div class="col-xxl-8 col-xl-8 col-lg-8"><div class="postbox__wrapper"><!--[-->`);
      ssrRenderList(unref(blog_items), (blog) => {
        _push(ssrRenderComponent(_component_blog_postbox_item, { blog }, null, _parent));
      });
      _push(`<!--]--><div class="blog-list__btn"><a class="tp-btn-black-lg" href="#">Load more <span><i class="fa-sharp fa-regular fa-arrow-right"></i></span></a></div></div></div><div class="col-xxl-4 col-xl-4 col-lg-4">`);
      _push(ssrRenderComponent(_component_blog_sidebar, null, null, _parent));
      _push(`</div></div></div></section></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/blog/blog-postbox-area.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "blog-sidebar",
  __ssrInlineRender: true,
  setup(__props) {
    useHead({
      link: [
        { rel: "stylesheet", href: "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" }
      ],
      script: [{ type: "text/javascript", src: "https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" }]
    });
    useSeoMeta({ title: "Blog Sidebar Page - Vegan" });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_layout = __nuxt_component_0;
      const _component_blog_postbox_area = _sfc_main$1;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_nuxt_layout, { name: "layout-six" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_blog_postbox_area, null, null, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_blog_postbox_area)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/blog-sidebar.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=blog-sidebar-D8e0GlAu.mjs.map
