import { u as useSeoMeta, _ as __nuxt_component_0 } from './server.mjs';
import { useSSRContext, defineComponent, ref, reactive, withCtx, unref, createVNode, openBlock, createBlock, createCommentVNode, withDirectives, vModelText, mergeProps } from 'vue';
import { u as usePinPanel } from './usePinPanel-Le9JJTLx.mjs';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrRenderAttr, ssrRenderClass, ssrInterpolate } from 'vue/server-renderer';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import 'gsap';
import 'imagesloaded';

const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "ui-bmi",
  __ssrInlineRender: true,
  props: {
    height: {
      type: Number
    },
    weight: {
      type: Number
    }
  },
  emits: {
    displayBmi: {
      type: Boolean,
      default: true
    }
  },
  setup(__props, { emit: __emit }) {
    const props = __props;
    const dpWeight = ref({
      underweight: {
        img: "https://cdn-icons-png.flaticon.com/512/9263/9263286.png",
        heading: "You are underweight!",
        text: "Go get some food"
      },
      fit: {
        img: "https://cdn-icons-png.flaticon.com/512/2906/2906320.png",
        heading: "You are Fit!",
        text: "Its good, keep it up."
      },
      overweight: {
        img: "https://cdn-icons-png.flaticon.com/512/11827/11827828.png",
        heading: "A bit heavier!",
        text: "It can be controlled, go for it."
      },
      obese: {
        img: "https://cdn-icons-png.flaticon.com/512/7031/7031777.png",
        heading: "Ohhh! its broken",
        text: "Have some mercy on food."
      }
    });
    const bmi = (props.weight / Math.pow(props.height, 2)).toFixed(2);
    const curStatus = ref();
    if (bmi < 18.6) {
      curStatus.value = dpWeight.value.underweight;
    }
    if (bmi > 18.5 && bmi < 26) {
      curStatus.value = dpWeight.value.fit;
    }
    if (bmi > 25 && bmi < 31) {
      curStatus.value = dpWeight.value.overweight;
    }
    if (bmi > 30) {
      curStatus.value = dpWeight.value.obese;
    }
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c;
      _push(`<div${ssrRenderAttrs(_attrs)}><div class="row"><div class="col-8"><h3>${ssrInterpolate((_a = unref(curStatus)) == null ? void 0 : _a.heading)}</h3><h5>${ssrInterpolate((_b = unref(curStatus)) == null ? void 0 : _b.text)}</h5><h4 class="text-muted">BMI: <span class="badge bg-primary text-white rounded shadow-lg">${ssrInterpolate(unref(bmi))}</span></h4><div class="row"><div class="col text-start"><button class="btn btn-outline-primary">Back</button></div></div></div><div class="col"><img${ssrRenderAttr("src", (_c = unref(curStatus)) == null ? void 0 : _c.img)} class="img-thumbnail"></div></div></div>`);
    };
  }
});
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/common/ui-bmi.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "ui-panel",
  __ssrInlineRender: true,
  props: ["message", "type"],
  emits: ["hide"],
  setup(__props, { emit: __emit }) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: ["alert alert-dismissible fade show", "alert-" + __props.type],
        role: "alert"
      }, _attrs))}>${ssrInterpolate(__props.message)} <button type="button" class="btn-close"></button></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/parts/ui-panel.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "bmi",
  __ssrInlineRender: true,
  setup(__props) {
    useSeoMeta({ title: "About Page - Vegan" });
    usePinPanel();
    ref("profile");
    reactive({
      password: ""
    });
    reactive({
      showModal: false,
      selMembershipData: null
    });
    const err = ref();
    const displayBmi = ref(false);
    const formData = reactive({
      height: null,
      weight: null
    });
    function getBmi() {
      if (Number(formData.height) && Number(formData.weight)) {
        displayBmi.value = true;
      } else {
        if (!Number(formData.height)) {
          err.value = "Enter correct height";
        }
        if (!Number(formData.weight)) {
          err.value = "Enter correct weight";
        }
      }
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_layout = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_nuxt_layout, { name: "layout-six" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a, _b, _c, _d;
          if (_push2) {
            _push2(`<div class="row" style="${ssrRenderStyle({ "padding-top": "15%" })}"${_scopeId}><div class="col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3"${_scopeId}></div><div class="col"${_scopeId}><div class="card p-3 rounded"${_scopeId}><div class="row"${_scopeId}><div class="col-4 d-none d-sm-block"${_scopeId}><img alt="Body Fitness" class="img-fluid" src="https://img.freepik.com/free-vector/flat-hand-drawn-types-male-body-shapes_23-2148873430.jpg?t=st=1713014381~exp=1713017981~hmac=1e85ce89f7690bb3788180147822cf1edc96d4b1a70ce478a55f3c6daabce431&amp;w=1380"${_scopeId}></div>`);
            if (!unref(displayBmi)) {
              _push2(`<div class="col border-start"${_scopeId}><h5 class="text-secondary"${_scopeId}>Fill your details..</h5><p${_scopeId}>And know your BMI for free</p>`);
              if (unref(err)) {
                _push2(ssrRenderComponent(_sfc_main$1, {
                  type: "warning",
                  message: unref(err),
                  onHide: ($event) => err.value = null
                }, null, _parent2, _scopeId));
              } else {
                _push2(`<!---->`);
              }
              _push2(`<div class="row"${_scopeId}><div class="col-4 col-sm-12 col-md-6 col-lg-4 col-xl-4"${_scopeId}><label class="small mb-1" for="height"${_scopeId}>Height</label><input${ssrRenderAttr("value", unref(formData).height)} class="${ssrRenderClass([{ "is-valid": Number(unref(formData).height) }, "form-control"])}" id="height" type="number"${_scopeId}>`);
              if (unref(formData).height) {
                _push2(`<div class="form-text text-primary"${_scopeId}>In Feet</div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`</div><div class="col-4 col-sm-12 col-md-6 col-lg-4 col-xl-4"${_scopeId}><label class="small mb-1" for="weight"${_scopeId}>Weight</label><input${ssrRenderAttr("value", unref(formData).weight)} class="${ssrRenderClass([{ "is-valid": Number(unref(formData).weight) }, "form-control"])}" id="weight" type="number"${_scopeId}>`);
              if (unref(formData).weight) {
                _push2(`<div class="form-text text-primary"${_scopeId}>In Kilogram</div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`</div></div><div class="row"${_scopeId}><div class="col text-end"${_scopeId}><button class="btn btn-primary text-white"${_scopeId}>Get BMI</button></div></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (unref(displayBmi)) {
              _push2(`<div class="col"${_scopeId}>`);
              if (unref(displayBmi)) {
                _push2(ssrRenderComponent(_sfc_main$2, {
                  height: ((_a = unref(formData).height) != null ? _a : 0) * 0.3048,
                  weight: (_b = unref(formData).weight) != null ? _b : 0,
                  onDisplayBmi: ($event) => displayBmi.value = $event
                }, null, _parent2, _scopeId));
              } else {
                _push2(`<!---->`);
              }
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div></div><div class="col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3"${_scopeId}></div></div>`);
          } else {
            return [
              createVNode("div", {
                class: "row",
                style: { "padding-top": "15%" }
              }, [
                createVNode("div", { class: "col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3" }),
                createVNode("div", { class: "col" }, [
                  createVNode("div", { class: "card p-3 rounded" }, [
                    createVNode("div", { class: "row" }, [
                      createVNode("div", { class: "col-4 d-none d-sm-block" }, [
                        createVNode("img", {
                          alt: "Body Fitness",
                          class: "img-fluid",
                          src: "https://img.freepik.com/free-vector/flat-hand-drawn-types-male-body-shapes_23-2148873430.jpg?t=st=1713014381~exp=1713017981~hmac=1e85ce89f7690bb3788180147822cf1edc96d4b1a70ce478a55f3c6daabce431&w=1380"
                        })
                      ]),
                      !unref(displayBmi) ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "col border-start"
                      }, [
                        createVNode("h5", { class: "text-secondary" }, "Fill your details.."),
                        createVNode("p", null, "And know your BMI for free"),
                        unref(err) ? (openBlock(), createBlock(_sfc_main$1, {
                          key: 0,
                          type: "warning",
                          message: unref(err),
                          onHide: ($event) => err.value = null
                        }, null, 8, ["message", "onHide"])) : createCommentVNode("", true),
                        createVNode("div", { class: "row" }, [
                          createVNode("div", { class: "col-4 col-sm-12 col-md-6 col-lg-4 col-xl-4" }, [
                            createVNode("label", {
                              class: "small mb-1",
                              for: "height"
                            }, "Height"),
                            withDirectives(createVNode("input", {
                              "onUpdate:modelValue": ($event) => unref(formData).height = $event,
                              class: ["form-control", { "is-valid": Number(unref(formData).height) }],
                              onKeyup: ($event) => err.value = null,
                              id: "height",
                              type: "number"
                            }, null, 42, ["onUpdate:modelValue", "onKeyup"]), [
                              [vModelText, unref(formData).height]
                            ]),
                            unref(formData).height ? (openBlock(), createBlock("div", {
                              key: 0,
                              class: "form-text text-primary"
                            }, "In Feet")) : createCommentVNode("", true)
                          ]),
                          createVNode("div", { class: "col-4 col-sm-12 col-md-6 col-lg-4 col-xl-4" }, [
                            createVNode("label", {
                              class: "small mb-1",
                              for: "weight"
                            }, "Weight"),
                            withDirectives(createVNode("input", {
                              "onUpdate:modelValue": ($event) => unref(formData).weight = $event,
                              class: ["form-control", { "is-valid": Number(unref(formData).weight) }],
                              onKeyup: ($event) => err.value = null,
                              id: "weight",
                              type: "number"
                            }, null, 42, ["onUpdate:modelValue", "onKeyup"]), [
                              [vModelText, unref(formData).weight]
                            ]),
                            unref(formData).weight ? (openBlock(), createBlock("div", {
                              key: 0,
                              class: "form-text text-primary"
                            }, "In Kilogram")) : createCommentVNode("", true)
                          ])
                        ]),
                        createVNode("div", { class: "row" }, [
                          createVNode("div", { class: "col text-end" }, [
                            createVNode("button", {
                              onClick: ($event) => getBmi(),
                              class: "btn btn-primary text-white"
                            }, "Get BMI", 8, ["onClick"])
                          ])
                        ])
                      ])) : createCommentVNode("", true),
                      unref(displayBmi) ? (openBlock(), createBlock("div", {
                        key: 1,
                        class: "col"
                      }, [
                        unref(displayBmi) ? (openBlock(), createBlock(_sfc_main$2, {
                          key: 0,
                          height: ((_c = unref(formData).height) != null ? _c : 0) * 0.3048,
                          weight: (_d = unref(formData).weight) != null ? _d : 0,
                          onDisplayBmi: ($event) => displayBmi.value = $event
                        }, null, 8, ["height", "weight", "onDisplayBmi"])) : createCommentVNode("", true)
                      ])) : createCommentVNode("", true)
                    ])
                  ])
                ]),
                createVNode("div", { class: "col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3" })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/bmi.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=bmi-DsmQMngU.mjs.map
