import { _ as _sfc_main$4 } from './header-five-BgBy6VGK.mjs';
import { useSSRContext, defineComponent, mergeProps, ref, reactive, unref, withCtx, createVNode } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { useForm, Field } from 'vee-validate';
import * as yup from 'yup';
import emailjs from '@emailjs/browser';
import { p as publicAssetsURL, c as useHead, u as useSeoMeta } from './server.mjs';
import { _ as _export_sfc } from './_plugin-vue_export-helper-1tPrXgE0.mjs';
import { _ as _sfc_main$5 } from './footer-one-BFschQ89.mjs';
import { _ as _sfc_main$6 } from './back-to-top-iwSsJCkc.mjs';
import './nuxt-link-D35ckuRb.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import './footer-social-GUc4kfNN.mjs';
import './virtual_public-MuFwyuks.mjs';
import './pen-Cn3BB-LZ.mjs';
import './menu-bar-CpDWAqiU.mjs';
import './offcanvas-main-BGQjK3fG.mjs';
import './virtual_public-CYjX5y6W.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';

const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "err-msg",
  __ssrInlineRender: true,
  props: {
    msg: {}
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ style: { "color": "red" } }, _attrs))}>${ssrInterpolate(_ctx.msg)}</div>`);
    };
  }
});
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/err-msg.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : void 0;
};
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "form-contact-two",
  __ssrInlineRender: true,
  setup(__props) {
    ref([
      "Branding",
      "Web Design",
      "App Design",
      "Logo",
      "Digital Marketing",
      "Android Development",
      "iOS Development",
      "Design Concept",
      "Other"
    ]);
    ref(["10-20k", "30-40k", "40-50k", "50-100k", " > 100k"]);
    reactive({
      activeCategory: ["Branding", "Logo"],
      activeBudget: "40-50k"
    });
    const { errors, handleSubmit, resetForm } = useForm({
      validationSchema: yup.object({
        name: yup.string().required().label("Name"),
        email: yup.string().required().email().label("Email"),
        phone: yup.string().required().label("Phone"),
        company: yup.string().required().label("Company"),
        message: yup.string().required().label("Message")
      })
    });
    handleSubmit((values) => {
      const templateParams = {
        name: values.name,
        email: values.email,
        subject: values.phone,
        message: values.message,
        company: values.company
      };
      if (values) {
        emailjs.send(
          "service_gnu2rla",
          "template_ilrquco",
          templateParams,
          "tDbxqotWh8Z0dv0h6"
        ).then(
          (response) => {
            alert("Your message sent successfully");
          },
          (err) => {
            alert(err == null ? void 0 : err.text);
          }
        );
      }
      resetForm();
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_err_msg = _sfc_main$3;
      let _temp0;
      _push(`<form${ssrRenderAttrs(mergeProps({
        id: "contact-form",
        class: "box"
      }, _attrs))}><div class="contact-inner__wrapper"><div class="postbox__comment-form"><h3 class="contact-inner__form-title">Request A Call Back</h3><div class="row gx-20"><div class="col-xxl-6 col-xl-6 col-lg-6 mb-35"><div class="postbox__comment-input">`);
      _push(ssrRenderComponent(unref(Field), { name: "name" }, {
        default: withCtx(({ field }, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<input${ssrRenderAttrs(mergeProps(field, {
              name: "name",
              type: "text",
              class: "inputText"
            }))}${_scopeId}>`);
          } else {
            return [
              createVNode("input", mergeProps(field, {
                name: "name",
                type: "text",
                class: "inputText"
              }), null, 16)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<span class="floating-label">Your Name</span></div>`);
      _push(ssrRenderComponent(_component_err_msg, {
        msg: unref(errors).name
      }, null, _parent));
      _push(`</div><div class="col-xxl-6 col-xl-6 col-lg-6 mb-35"><div class="postbox__comment-input">`);
      _push(ssrRenderComponent(unref(Field), { name: "company" }, {
        default: withCtx(({ field }, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<input${ssrRenderAttrs(mergeProps(field, {
              name: "company",
              type: "text",
              class: "inputText"
            }))}${_scopeId}>`);
          } else {
            return [
              createVNode("input", mergeProps(field, {
                name: "company",
                type: "text",
                class: "inputText"
              }), null, 16)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<span class="floating-label">Contact</span></div>`);
      _push(ssrRenderComponent(_component_err_msg, {
        msg: unref(errors).company
      }, null, _parent));
      _push(`</div><div class="col-xxl-12 mb-35"><div class="postbox__comment-input">`);
      _push(ssrRenderComponent(unref(Field), { name: "email" }, {
        default: withCtx(({ field }, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<input${ssrRenderAttrs(mergeProps(field, {
              name: "email",
              type: "email",
              class: "inputText"
            }))}${_scopeId}>`);
          } else {
            return [
              createVNode("input", mergeProps(field, {
                name: "email",
                type: "email",
                class: "inputText"
              }), null, 16)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<span class="floating-label">Your Email</span></div>`);
      _push(ssrRenderComponent(_component_err_msg, {
        msg: unref(errors).email
      }, null, _parent));
      _push(`</div><div class="col-xxl-12 mb-20"><div class="postbox__comment-input">`);
      _push(ssrRenderComponent(unref(Field), { name: "message" }, {
        default: withCtx(({ field }, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<textarea${ssrRenderAttrs(_temp0 = mergeProps(field, {
              name: "message",
              class: "textareaText"
            }), "textarea")}${_scopeId}>${ssrInterpolate("value" in _temp0 ? _temp0.value : "")}</textarea>`);
          } else {
            return [
              createVNode("textarea", mergeProps(field, {
                name: "message",
                class: "textareaText"
              }), null, 16)
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<span class="floating-label-2">Your Comment</span></div>`);
      _push(ssrRenderComponent(_component_err_msg, {
        msg: unref(errors).message
      }, null, _parent));
      _push(`</div></div></div><div class="row"><div class="col-xxl-12"><div class="postbox__comment-btn"><button type="submit" class="tp-btn-grey-lg"><span><i>Send Message</i></span></button></div></div></div></div><p class="ajax-response"></p></form>`);
    };
  }
});
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/form/form-contact-two.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _imports_0 = publicAssetsURL("/images/contact/contact.jpg");
const _sfc_main$1 = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  const _component_form_contact_two = _sfc_main$2;
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "contact-inner__area contact-inner__ptb p-relative" }, _attrs))}><div class="container"><div class="row"><div class="col-xl-11"><div class="row align-items-center"><div class="col-xl-9 col-lg-10"><div class="contact-inner__top-section-title-box mb-70"><span class="contact-inner__subtitle">Contact Us</span><h4 class="contact-inner__title tp-char-animation tp-hero-3__content">Let\u2019s Talk About <span><img${ssrRenderAttr("src", _imports_0)} alt=""></span> <br> Your Queries </h4></div></div></div><div class="contact-inner__mail-box mb-90"><div class="row"><div class="col-xl-6 col-lg-6 col-md-6"><div class="contact-inner__mail-info"><span>Email Me:</span><a href="mailto:info@k2kitsupport.com">info@k2kitsupport.com</a></div></div><div class="col-xl-6 col-lg-6 col-md-6"><div class="contact-inner__mail-text"><p>If you are a fitness enthusiast?<br> Lets Talk. </p></div></div></div></div></div>`);
  _push(ssrRenderComponent(_component_form_contact_two, null, null, _parent));
  _push(`</div></div></div>`);
}
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/contact/contact-two.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["ssrRender", _sfc_ssrRender]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "contact",
  __ssrInlineRender: true,
  setup(__props) {
    useHead({
      link: [
        { rel: "stylesheet", href: "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" }
      ],
      script: [{ type: "text/javascript", src: "https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" }]
    });
    useSeoMeta({ title: "Contact Page - Vegan" });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_header_five = _sfc_main$4;
      const _component_contact_two = __nuxt_component_1;
      const _component_footer_one = _sfc_main$5;
      const _component_back_to_top = _sfc_main$6;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_header_five, null, null, _parent));
      _push(`<div id="smooth-wrapper"><div id="smooth-content"><main>`);
      _push(ssrRenderComponent(_component_contact_two, null, null, _parent));
      _push(`</main>`);
      _push(ssrRenderComponent(_component_footer_one, {
        cls: "tp-footer__customize  black-bg-3 p-relative fix z-index-1",
        style_2: true
      }, null, _parent));
      _push(`</div></div>`);
      _push(ssrRenderComponent(_component_back_to_top, null, null, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/contact.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=contact-C6ogk9it.mjs.map
