import { defineComponent, ref, reactive, watch, mergeProps, withCtx, createVNode, unref, useSSRContext } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import { _ as __nuxt_component_0$1, Q as QSeparator } from '../_/use-timeout.mjs';
import { _ as __nuxt_component_1$1 } from '../_/use-prevent-scroll.mjs';
import { _ as __nuxt_component_3 } from '../_/QMenu.mjs';
import { _ as __nuxt_component_4 } from '../_/QSelect.mjs';
import { _ as __nuxt_component_2 } from '../_/QBtn.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import './server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './env-B2a7_Xo2.mjs';
import '../_/use-dark.mjs';
import '../_/vm.mjs';
import '../_/scroll.mjs';
import '../_/QItemSection.mjs';
import '../_/use-router-link.mjs';
import '../_/focusout.mjs';
import '../_/private.use-form.mjs';
import '../_/use-tick.mjs';
import '../_/QItemLabel.mjs';
import '../_/QDialog.mjs';
import '../_/format.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "create",
  __ssrInlineRender: true,
  setup(__props) {
    const userCreateResp = ref();
    const loading = ref(false);
    const formData = reactive({
      name: "",
      phone: "",
      email: "",
      role: "user"
    });
    const { data: roles, pending: loadingRoles } = useFetch(endpoints.role.list, "$O3MATvWTLl");
    watch(userCreateResp, (d) => {
      Swal.fire({
        position: "bottom-right",
        icon: (d == null ? void 0 : d.status) ? "success" : "warning",
        title: d == null ? void 0 : d.message,
        showConfirmButton: false,
        timer: 1500
      });
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_card = __nuxt_component_0$1;
      const _component_q_card_section = __nuxt_component_1$1;
      const _component_q_separator = QSeparator;
      const _component_q_input = __nuxt_component_3;
      const _component_q_select = __nuxt_component_4;
      const _component_q_btn = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "row q-pa-lg" }, _attrs))}><div class="col"><form>`);
      _push(ssrRenderComponent(_component_q_card, { bordered: "" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_q_card_section, { class: "bg-grey-2" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="text-h6"${_scopeId2}>User</div><div class="text-subtitle2"${_scopeId2}>Create</div>`);
                } else {
                  return [
                    createVNode("div", { class: "text-h6" }, "User"),
                    createVNode("div", { class: "text-subtitle2" }, "Create")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_separator, {
              dark: "",
              inset: ""
            }, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_card_section, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="row q-gutter-md"${_scopeId2}><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    dense: "",
                    outlined: "",
                    label: "Name",
                    modelValue: unref(formData).name,
                    "onUpdate:modelValue": ($event) => unref(formData).name = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    dense: "",
                    outlined: "",
                    label: "Email",
                    modelValue: unref(formData).email,
                    "onUpdate:modelValue": ($event) => unref(formData).email = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    dense: "",
                    outlined: "",
                    label: "Phone",
                    type: "number",
                    maxlength: "12",
                    modelValue: unref(formData).phone,
                    "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_select, {
                    outlined: "",
                    modelValue: unref(formData).role,
                    "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                    loading: unref(loadingRoles),
                    options: unref(roles),
                    label: "Role"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "row q-gutter-md" }, [
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          dense: "",
                          outlined: "",
                          label: "Name",
                          modelValue: unref(formData).name,
                          "onUpdate:modelValue": ($event) => unref(formData).name = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          dense: "",
                          outlined: "",
                          label: "Email",
                          modelValue: unref(formData).email,
                          "onUpdate:modelValue": ($event) => unref(formData).email = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          dense: "",
                          outlined: "",
                          label: "Phone",
                          type: "number",
                          maxlength: "12",
                          modelValue: unref(formData).phone,
                          "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_select, {
                          outlined: "",
                          modelValue: unref(formData).role,
                          "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                          loading: unref(loadingRoles),
                          options: unref(roles),
                          label: "Role"
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options"])
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_card_section, { class: "bg-grey-2" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="text-right"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_btn, {
                    loading: unref(loading),
                    disable: unref(loading),
                    type: "submit",
                    color: "primary",
                    label: "Submit",
                    "icon-right": "check"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", { class: "text-right" }, [
                      createVNode(_component_q_btn, {
                        loading: unref(loading),
                        disable: unref(loading),
                        type: "submit",
                        color: "primary",
                        label: "Submit",
                        "icon-right": "check"
                      }, null, 8, ["loading", "disable"])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_q_card_section, { class: "bg-grey-2" }, {
                default: withCtx(() => [
                  createVNode("div", { class: "text-h6" }, "User"),
                  createVNode("div", { class: "text-subtitle2" }, "Create")
                ]),
                _: 1
              }),
              createVNode(_component_q_separator, {
                dark: "",
                inset: ""
              }),
              createVNode(_component_q_card_section, null, {
                default: withCtx(() => [
                  createVNode("div", { class: "row q-gutter-md" }, [
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        dense: "",
                        outlined: "",
                        label: "Name",
                        modelValue: unref(formData).name,
                        "onUpdate:modelValue": ($event) => unref(formData).name = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        dense: "",
                        outlined: "",
                        label: "Email",
                        modelValue: unref(formData).email,
                        "onUpdate:modelValue": ($event) => unref(formData).email = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        dense: "",
                        outlined: "",
                        label: "Phone",
                        type: "number",
                        maxlength: "12",
                        modelValue: unref(formData).phone,
                        "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_select, {
                        outlined: "",
                        modelValue: unref(formData).role,
                        "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                        loading: unref(loadingRoles),
                        options: unref(roles),
                        label: "Role"
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options"])
                    ])
                  ])
                ]),
                _: 1
              }),
              createVNode(_component_q_card_section, { class: "bg-grey-2" }, {
                default: withCtx(() => [
                  createVNode("div", { class: "text-right" }, [
                    createVNode(_component_q_btn, {
                      loading: unref(loading),
                      disable: unref(loading),
                      type: "submit",
                      color: "primary",
                      label: "Submit",
                      "icon-right": "check"
                    }, null, 8, ["loading", "disable"])
                  ])
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</form></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panel/user/create.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=create-DQu3g9Jg.mjs.map
