import { defineComponent, ref, withCtx, unref, createVNode, openBlock, createBlock, Fragment, renderList, createCommentVNode, toDisplayString, useSSRContext } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { _ as __nuxt_component_0 } from '../_/QMarkupTable.mjs';
import { _ as __nuxt_component_1 } from '../_/QSkeleton.mjs';
import { _ as __nuxt_component_2 } from '../_/QBtn.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import './server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './env-B2a7_Xo2.mjs';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';
import '../_/use-dark.mjs';
import '../_/vm.mjs';
import '../_/use-router-link.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "customer",
  __ssrInlineRender: true,
  setup(__props) {
    var _a;
    const userFetchCondition = ref();
    switch (pitLib.auth.get().role) {
      case "admin":
        userFetchCondition.value = {
          role: "user"
        };
        break;
      case "rm":
        userFetchCondition.value = {
          rm: pitLib.auth.get()._id
        };
        break;
      case "dietitian":
        userFetchCondition.value = {
          dietitian: pitLib.auth.get()._id
        };
        break;
    }
    const { data: userResp, pending: loadingUsers } = useFetch(endpoints.user.list, {
      method: "post",
      body: userFetchCondition.value,
      headers: {
        Authorization: "Bearer " + ((_a = pitLib.auth.get()) == null ? void 0 : _a.token)
      }
    }, "$Rr9CcXBXn9");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_markup_table = __nuxt_component_0;
      const _component_q_skeleton = __nuxt_component_1;
      const _component_q_btn = __nuxt_component_2;
      _push(ssrRenderComponent(_component_q_markup_table, _attrs, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a2, _b;
          if (_push2) {
            _push2(`<thead${_scopeId}><tr${_scopeId}><th class="text-left"${_scopeId}> Name </th><th class="text-left"${_scopeId}> Phone </th><th class="text-left"${_scopeId}> Email </th><th class="text-left"${_scopeId}> Role </th><th class="text-left"${_scopeId}> RM </th><th class="text-left"${_scopeId}> Dietitian </th><th class="text-left"${_scopeId}> Action </th></tr></thead><tbody${_scopeId}>`);
            if (unref(loadingUsers)) {
              _push2(`<!--[-->`);
              ssrRenderList(5, (n) => {
                _push2(`<tr${_scopeId}><td class="text-left"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            if ((_a2 = unref(userResp)) == null ? void 0 : _a2.status) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(userResp).data.data, (u) => {
                _push2(`<tr${_scopeId}><td${_scopeId}>${ssrInterpolate(u.name)}</td><td${_scopeId}>${ssrInterpolate(u.phone)}</td><td${_scopeId}>${ssrInterpolate(u.email)}</td><td class="text-blue-9"${_scopeId}><strong${_scopeId}>${ssrInterpolate(u.role.toLocaleUpperCase())}</strong></td><td${_scopeId}>${ssrInterpolate(u.rm.length ? u.rm[0].name : "--")}</td><td${_scopeId}>${ssrInterpolate(u.dietitian.length ? u.dietitian[0].name : "--")}</td><td${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_btn, {
                  round: "",
                  color: "blue",
                  icon: "fa fa-eye",
                  to: `/panel/user/` + u._id
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody>`);
          } else {
            return [
              createVNode("thead", null, [
                createVNode("tr", null, [
                  createVNode("th", { class: "text-left" }, " Name "),
                  createVNode("th", { class: "text-left" }, " Phone "),
                  createVNode("th", { class: "text-left" }, " Email "),
                  createVNode("th", { class: "text-left" }, " Role "),
                  createVNode("th", { class: "text-left" }, " RM "),
                  createVNode("th", { class: "text-left" }, " Dietitian "),
                  createVNode("th", { class: "text-left" }, " Action ")
                ])
              ]),
              createVNode("tbody", null, [
                unref(loadingUsers) ? (openBlock(), createBlock(Fragment, { key: 0 }, renderList(5, (n) => {
                  return createVNode("tr", { key: n }, [
                    createVNode("td", { class: "text-left" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ])
                  ]);
                }), 64)) : createCommentVNode("", true),
                ((_b = unref(userResp)) == null ? void 0 : _b.status) ? (openBlock(true), createBlock(Fragment, { key: 1 }, renderList(unref(userResp).data.data, (u) => {
                  return openBlock(), createBlock("tr", null, [
                    createVNode("td", null, toDisplayString(u.name), 1),
                    createVNode("td", null, toDisplayString(u.phone), 1),
                    createVNode("td", null, toDisplayString(u.email), 1),
                    createVNode("td", { class: "text-blue-9" }, [
                      createVNode("strong", null, toDisplayString(u.role.toLocaleUpperCase()), 1)
                    ]),
                    createVNode("td", null, toDisplayString(u.rm.length ? u.rm[0].name : "--"), 1),
                    createVNode("td", null, toDisplayString(u.dietitian.length ? u.dietitian[0].name : "--"), 1),
                    createVNode("td", null, [
                      createVNode(_component_q_btn, {
                        round: "",
                        color: "blue",
                        icon: "fa fa-eye",
                        to: `/panel/user/` + u._id
                      }, null, 8, ["to"])
                    ])
                  ]);
                }), 256)) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/panel/user/list/customer.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=customer-DyRBdsIR.mjs.map
