import { _ as __nuxt_component_0 } from './nuxt-link-D35ckuRb.mjs';
import { defineComponent, unref, withCtx, createTextVNode, toDisplayString, createVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrRenderClass, ssrRenderComponent, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { m as menu_data$1 } from './virtual_public-MuFwyuks.mjs';

const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "header-nav",
  __ssrInlineRender: true,
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0;
      _push(`<ul${ssrRenderAttrs(_attrs)}><!--[-->`);
      ssrRenderList(unref(menu_data$1), (menu) => {
        _push(`<li class="${ssrRenderClass(`${menu.sub_menus ? "has-dropdown" : ""} ${menu.home_dropdown ? "p-static" : ""}`)}">`);
        _push(ssrRenderComponent(_component_nuxt_link, {
          href: menu.link
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(menu.title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(menu.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        if (menu.home_dropdown) {
          _push(`<div class="tp-submenu submenu has-homemenu"><div class="row gx-6 row-cols-1 row-cols-md-2 row-cols-lg-4"><!--[-->`);
          ssrRenderList(menu.sub_menus, (hm, i) => {
            _push(`<div class="col homemenu"><div class="homemenu-thumb mb-15">`);
            _push(ssrRenderComponent(_component_nuxt_link, {
              href: hm.link
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", hm.img)} alt=""${_scopeId}>`);
                } else {
                  return [
                    createVNode("img", {
                      src: hm.img,
                      alt: ""
                    }, null, 8, ["src"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div><div class="homemenu-content text-center"><h4 class="homemenu-title">`);
            _push(ssrRenderComponent(_component_nuxt_link, {
              href: hm.link
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(hm.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(hm.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</h4></div></div>`);
          });
          _push(`<!--]--></div></div>`);
        } else {
          _push(`<!---->`);
        }
        if (menu.sub_menus && !menu.home_dropdown) {
          _push(`<ul class="tp-submenu submenu"><!--[-->`);
          ssrRenderList(menu.sub_menus, (sm, i) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_nuxt_link, {
              href: sm.link
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(sm.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(sm.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/header/header-nav.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "footer-social",
  __ssrInlineRender: true,
  props: {
    style_2: { type: Boolean }
  },
  setup(__props) {
    const footer_social = [
      {
        id: 1,
        name: "Facebook",
        title: "@facebook",
        link: "https://www.facebook.com/k2kitsupport"
      },
      {
        id: 2,
        name: "Twitter",
        title: "@twitter",
        link: "https://x.com/_k2kit"
      },
      {
        id: 3,
        name: "Instagram",
        title: "@instagram",
        link: "https://www.instagram.com/k2k_it/"
      }
    ];
    const social_2 = [
      {
        id: 1,
        link: "https://www.facebook.com/k2kitsupport",
        icon: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#74C0FC" d="M512 256C512 114.6 397.4 0 256 0S0 114.6 0 256C0 376 82.7 476.8 194.2 504.5V334.2H141.4V256h52.8V222.3c0-87.1 39.4-127.5 125-127.5c16.2 0 44.2 3.2 55.7 6.4V172c-6-.6-16.5-1-29.6-1c-42 0-58.2 15.9-58.2 57.2V256h83.6l-14.4 78.2H287V510.1C413.8 494.8 512 386.9 512 256h0z"/></svg>`
      },
      {
        id: 2,
        link: "https://www.instagram.com/k2k_it/",
        icon: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#ff0059" d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"/></svg>`
      },
      {
        id: 3,
        link: "mailto:info@k2kitsupport.com",
        icon: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#f50000" d="M64 112c-8.8 0-16 7.2-16 16v22.1L220.5 291.7c20.7 17 50.4 17 71.1 0L464 150.1V128c0-8.8-7.2-16-16-16H64zM48 212.2V384c0 8.8 7.2 16 16 16H448c8.8 0 16-7.2 16-16V212.2L322 328.8c-38.4 31.5-93.7 31.5-132 0L48 212.2zM0 128C0 92.7 28.7 64 64 64H448c35.3 0 64 28.7 64 64V384c0 35.3-28.7 64-64 64H64c-35.3 0-64-28.7-64-64V128z"/></svg>`
      },
      {
        id: 4,
        link: "https://www.youtube.com/@K2KItSupportSolutionsPvtLtd",
        icon: `<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#ff0000" d="M549.7 124.1c-6.3-23.7-24.8-42.3-48.3-48.6C458.8 64 288 64 288 64S117.2 64 74.6 75.5c-23.5 6.3-42 24.9-48.3 48.6-11.4 42.9-11.4 132.3-11.4 132.3s0 89.4 11.4 132.3c6.3 23.7 24.8 41.5 48.3 47.8C117.2 448 288 448 288 448s170.8 0 213.4-11.5c23.5-6.3 42-24.2 48.3-47.8 11.4-42.9 11.4-132.3 11.4-132.3s0-89.4-11.4-132.3zm-317.5 213.5V175.2l142.7 81.2-142.7 81.2z"/></svg>`
      }
    ];
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<!--[-->`);
      if (!_ctx.style_2) {
        _push(`<!--[-->`);
        ssrRenderList(footer_social, (item) => {
          _push(`<div class="col-xl-4 col-lg-4 col-md-6 mb-30"></div>`);
        });
        _push(`<!--]-->`);
      } else {
        _push(`<!---->`);
      }
      if (_ctx.style_2) {
        _push(`<div class="tp-footer-4__social"><!--[-->`);
        ssrRenderList(social_2, (s) => {
          _push(`<a${ssrRenderAttr("href", s.link)} target="_blank"><span>${s.icon}</span></a>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/footer/footer-social.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main$1 as _, _sfc_main as a };
//# sourceMappingURL=footer-social-GUc4kfNN.mjs.map
