import { p as publicAssetsURL, c as useHead, u as useSeoMeta, _ as __nuxt_component_0$4 } from './server.mjs';
import { useSSRContext, defineComponent, resolveComponent, withCtx, createVNode, mergeProps, toDisplayString, createTextVNode, unref, openBlock, createBlock, Fragment, renderList, ref, watch } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrRenderAttr, ssrRenderList, ssrInterpolate, ssrRenderClass } from 'vue/server-renderer';
import { _ as _export_sfc } from './_plugin-vue_export-helper-1tPrXgE0.mjs';
import { _ as __nuxt_component_0$5 } from './nuxt-link-D35ckuRb.mjs';
import { u as useMoveText } from './useMoveText-B0jkjmlh.mjs';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { Autoplay, Navigation } from 'swiper/modules';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import 'gsap';

const _imports_0$4 = publicAssetsURL("/images/hero/2/hero-stroke-text.png");
const _imports_1$2 = publicAssetsURL("/images/hero/hero-2-img.png");
const _sfc_main$e = {};
function _sfc_ssrRender$8(_ctx, _push, _parent, _attrs) {
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-mouse-move-section tp-hero-2__bg black-bg-3 tp-hero-2__space-1 d-flex align-items-end justify-content-center z-index-1 p-relative fix"><div class="tp-hero-distort-2" data-background="/images/hero/hero-2-overlay.png" style="${ssrRenderStyle({ "background": "url(/images/hero/hero-2-overlay.png)" })}"></div><div class="tp-hero-2__circle-wrapper"><span class="tp-hero-2__circle-1 tp-mouse-move-element"></span><span class="tp-hero-2__circle-2 tp-mouse-move-element"></span><span class="tp-hero-2__circle-3 tp-mouse-move-element"></span><span class="tp-hero-2__circle-4 tp-mouse-move-element"></span></div><div class="container"><div class="row"><div class="col-xl-12"><div class="tp-hero-content-2"><h3 class="tp-hero-title-2 text-center"> User Interface <br><span class="stroke-text d-flex align-items-end justify-content-center"><img${ssrRenderAttr("src", _imports_0$4)} alt=""><span class="location-text d-flex align-items-end text-start d-none d-lg-flex"><span class="d-none d-md-block">based <i class="fa-sharp fa-solid fa-heart"></i> <br> in Nevada, USA</span></span></span></h3></div></div></div><div class="row"><div class="col-xl-12"><div class="tp-hero-2__thumb-wrap p-relative text-center"><div class="tp-hero-2__thumb z-index-5"><img class="tp-mouse-move-element"${ssrRenderAttr("src", _imports_1$2)} alt=""></div><div class="tp-hero-2__thumb-shape d-none d-md-block"><span><svg width="593" height="690" viewBox="0 0 593 690" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M565.894 386.931C468.394 548.431 470.864 689.431 296.894 689.431C122.924 689.431 106.394 659.931 21.3942 386.931C-63.6061 113.931 120.394 -111.569 296.894 59.4308C473.394 230.431 663.394 225.431 565.894 386.931Z" fill="#FF5746"></path></svg></span></div></div></div></div></div></div></div>`);
}
const _sfc_setup$e = _sfc_main$e.setup;
_sfc_main$e.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/hero-banner/hero-banner-two.vue");
  return _sfc_setup$e ? _sfc_setup$e(props, ctx) : void 0;
};
const __nuxt_component_1$2 = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["ssrRender", _sfc_ssrRender$8]]);
const _sfc_main$d = {};
function _sfc_ssrRender$7(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "18",
    height: "17",
    viewBox: "0 0 18 17",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path fill-rule="evenodd" clip-rule="evenodd" d="M16.8242 7.1633L18 8.35684L16.8246 9.55154L9.77214 16.7144L8.59672 15.5204L14.9017 9.11602H1.66227H0.831241H0V0H1.66227V7.42755H14.7336L8.59675 1.19401L9.77216 7.00782e-05L16.8242 7.1633Z" fill="white" fill-opacity="0.9"></path></svg>`);
}
const _sfc_setup$d = _sfc_main$d.setup;
_sfc_main$d.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/line.vue");
  return _sfc_setup$d ? _sfc_setup$d(props, ctx) : void 0;
};
const __nuxt_component_0$3 = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["ssrRender", _sfc_ssrRender$7]]);
const _imports_0$3 = publicAssetsURL("/images/services/shape/services-shape-3.png");
const _sfc_main$c = /* @__PURE__ */ defineComponent({
  __name: "service-area-two",
  __ssrInlineRender: true,
  setup(__props) {
    const service_data = [
      {
        id: "one",
        active: true,
        bg_img: "/images/faq/faq-4.jpg",
        question: "Visual design",
        ans: "Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase is where your business ideas and our creative vision come to life. Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase."
      },
      {
        id: "two",
        bg_img: "/images/faq/faq-1.jpg",
        question: "Product design",
        ans: "Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase is where your business ideas and our creative vision come to life. Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase."
      },
      {
        id: "three",
        bg_img: "/images/faq/faq-2.jpg",
        question: "UI kits / Design systems",
        ans: "Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase is where your business ideas and our creative vision come to life. Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase."
      },
      {
        id: "four",
        bg_img: "/images/faq/faq-3.jpg",
        question: "Strategy",
        ans: "Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase is where your business ideas and our creative vision come to life. Crafting well designed digital products is our superpower and we're not afraid to use it! The product design phase."
      }
    ];
    return (_ctx, _push, _parent, _attrs) => {
      const _component_svg_line = __nuxt_component_0$3;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-hero-2__bg black-bg-3 tp-hero-2__space-3 d-flex align-items-start justify-content-center z-index-1 p-relative fix"><div class="tp-hero-distort-2" style="${ssrRenderStyle({ "background-image": "url(/images/hero/hero-2-overlay.png)" })}"></div><div class="tp-hero-2__circle-wrapper"><span class="tp-hero-2__circle-1"></span><span class="tp-hero-2__circle-2"></span><span class="tp-hero-2__circle-3"></span><span class="tp-hero-2__circle-4"></span></div><div class="tp-hero-2__boder-circle tp-hero-2__boder-circle-tr"><span></span></div><div class="container"><div class="row"><div class="col-xl-12"><div class="tp-hero-2__service-accordion"><span class="tp-hero-2__service-title"><img class="tp-zoom-in-out"${ssrRenderAttr("src", _imports_0$3)} alt=""> OUR SERVICES </span><div class="accordion" id="accordionExample"><!--[-->`);
      ssrRenderList(service_data, (item, i) => {
        _push(`<div class="accordion-items tp-hero-2__accordion-item tp-hover-reveal-item active"><h2 class="accordion-header"><button class="accordion-buttons" type="button" data-bs-toggle="collapse"${ssrRenderAttr("data-bs-target", `#collapse-${item.id}`)}${ssrRenderAttr("aria-expanded", `${item.active ? "true" : "false"}`)}${ssrRenderAttr("aria-controls", `collapse-${item.id}`)}>`);
        _push(ssrRenderComponent(_component_svg_line, null, null, _parent));
        _push(` ${ssrInterpolate(item.question)} <span>${ssrInterpolate(i > 8 ? i : `0${i + 1}`)}</span><span class="accordion-btn-wrap"><span class="accordion-btn"></span></span></button></h2><div class="tp-hover-reveal-bg" style="${ssrRenderStyle(`background-image:url(${item.bg_img})`)}"></div><div${ssrRenderAttr("id", `collapse-${item.id}`)} class="${ssrRenderClass(`accordion-collapse collapse ${item.active ? "show" : ""}`)}" data-bs-parent="#accordionExample"><div class="accordion-body"><p>${ssrInterpolate(item.ans)}</p></div></div></div>`);
      });
      _push(`<!--]--></div></div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$c = _sfc_main$c.setup;
_sfc_main$c.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/service/service-area-two.vue");
  return _sfc_setup$c ? _sfc_setup$c(props, ctx) : void 0;
};
const _sfc_main$b = {};
function _sfc_ssrRender$6(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "16",
    height: "16",
    viewBox: "0 0 16 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M15 8H1" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path><path d="M8 1L1 8L8 15" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$b = _sfc_main$b.setup;
_sfc_main$b.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/arrow-left.vue");
  return _sfc_setup$b ? _sfc_setup$b(props, ctx) : void 0;
};
const __nuxt_component_0$2 = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["ssrRender", _sfc_ssrRender$6]]);
const _sfc_main$a = {};
function _sfc_ssrRender$5(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "16",
    height: "16",
    viewBox: "0 0 16 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M1 8H15" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path><path d="M8 1L15 8L8 15" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$a = _sfc_main$a.setup;
_sfc_main$a.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/arrow-right.vue");
  return _sfc_setup$a ? _sfc_setup$a(props, ctx) : void 0;
};
const __nuxt_component_1$1 = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["ssrRender", _sfc_ssrRender$5]]);
function use3dSlider(projectLength) {
  const activeIndex = ref(2);
  const numberOfSlides = ref(projectLength);
  const handleArrowClick = (direction) => {
    const nextIndex = direction === "left" ? activeIndex.value - 1 : activeIndex.value + 1;
    if (nextIndex >= 0 && nextIndex < numberOfSlides.value) {
      activeIndex.value = nextIndex;
    }
  };
  watch(activeIndex, () => {
    const tp3dSlideWrapper = (void 0).getElementById("tp-3d-slide-wrapper");
    if (!tp3dSlideWrapper)
      return;
    const dir = (void 0).documentElement.getAttribute("dir");
    let startX = 0;
    let endX = 0;
    const handleTouchStart = (event) => {
      startX = event.touches[0].clientX;
    };
    const handleTouchEnd = (event) => {
      endX = event.changedTouches[0].clientX;
      handleSwipe();
    };
    const handleSwipe = () => {
      const deltaX = endX - startX;
      const sensitivity = 50;
      if (Math.abs(deltaX) > sensitivity) {
        if (dir === "rtl" && deltaX < 0 || dir !== "rtl" && deltaX > 0) {
          activeIndex.value = activeIndex.value + 1;
        } else {
          activeIndex.value = activeIndex.value - 1;
        }
      }
    };
    tp3dSlideWrapper.addEventListener("touchstart", handleTouchStart);
    tp3dSlideWrapper.addEventListener("touchend", handleTouchEnd);
    const handleDotClick = (index) => {
      if (index >= 0 && index < numberOfSlides.value) {
        activeIndex.value = index;
      }
    };
    const updateSlides = () => {
      const slides = (void 0).querySelectorAll(".tp-3d-slide");
      slides.forEach((slide, index) => {
        const classes = ["prev-1", "prev-2", "active", "next-1", "next-2"];
        slide.classList.remove(...classes);
        if (index === activeIndex.value) {
          slide.classList.add("active");
        } else if (index === activeIndex.value - 1) {
          slide.classList.add("prev-1");
        } else if (index === activeIndex.value - 2) {
          slide.classList.add("prev-2");
        } else if (index === activeIndex.value + 1) {
          slide.classList.add("next-1");
        } else if (index === activeIndex.value + 2) {
          slide.classList.add("next-2");
        }
      });
    };
    const handleDotClickWrapper = (index) => {
      handleDotClick(index);
    };
    (void 0).querySelectorAll(".dots span").forEach((dot, index) => {
      dot.addEventListener("click", () => handleDotClickWrapper(index));
    });
    updateSlides();
    return () => {
      tp3dSlideWrapper.removeEventListener("touchstart", handleTouchStart);
      tp3dSlideWrapper.removeEventListener("touchend", handleTouchEnd);
      (void 0).querySelectorAll(".dots span").forEach((dot, index) => {
        dot.removeEventListener("click", () => handleDotClickWrapper(index));
      });
    };
  });
  return {
    activeIndex,
    handleArrowClick
  };
}
const _imports_0$2 = publicAssetsURL("/images/portfolio/shape-3.png");
const _sfc_main$9 = /* @__PURE__ */ defineComponent({
  __name: "project-one",
  __ssrInlineRender: true,
  setup(__props) {
    const project_data = [
      {
        id: 1,
        img: "/images/portfolio/2/portfolio-3.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023,
        cls: "prev-2"
      },
      {
        id: 2,
        img: "/images/portfolio/2/portfolio-2.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023,
        cls: "prev-1"
      },
      {
        id: 3,
        img: "/images/portfolio/2/portfolio-1.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023,
        cls: "active"
      },
      {
        id: 4,
        img: "/images/portfolio/2/portfolio-4.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023,
        cls: "next-1"
      },
      {
        id: 5,
        img: "/images/portfolio/2/portfolio-5.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023,
        cls: "next-2"
      },
      {
        id: 6,
        img: "/images/portfolio/2/portfolio-1.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      },
      {
        id: 7,
        img: "/images/portfolio/2/portfolio-2.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      },
      {
        id: 8,
        img: "/images/portfolio/2/portfolio-3.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      },
      {
        id: 9,
        img: "/images/portfolio/2/portfolio-1.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      },
      {
        id: 10,
        img: "/images/portfolio/2/portfolio-2.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      },
      {
        id: 11,
        img: "/images/portfolio/2/portfolio-3.jpg",
        tag: "Branding",
        title: "Web Animation",
        time: 2023
      }
    ];
    use3dSlider(project_data.length);
    useMoveText();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_svg_arrow_left = __nuxt_component_0$2;
      const _component_svg_arrow_right = __nuxt_component_1$1;
      const _component_nuxt_link = __nuxt_component_0$5;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-hero-2__bg black-bg-3 tp-hero-2__space-4 d-flex align-items-center justify-content-start p-relative z-index-1 fix"><div class="tp-hero-2__boder-circle"><span></span></div><div class="tp-portfolio-shape"><img class="tp-portfolio-shape-2-1 tp-zoom-in-out"${ssrRenderAttr("src", _imports_0$2)} alt=""></div><div class="container"><div class="row"><div class="col-xl-12"><div class="tp-3d-slide-container"><span class="tp-3d-slide-arrow tp-3d-slide-arrow-left z-index-9">`);
      _push(ssrRenderComponent(_component_svg_arrow_left, null, null, _parent));
      _push(`</span><span class="tp-3d-slide-arrow tp-3d-slide-arrow-right z-index-9">`);
      _push(ssrRenderComponent(_component_svg_arrow_right, null, null, _parent));
      _push(`</span><div class="tp-3d-slide-wrapper" id="tp-3d-slide-wrapper"><!--[-->`);
      ssrRenderList(project_data, (item, i) => {
        _push(`<div class="${ssrRenderClass(`tp-3d-slide ${item.cls ? item.cls : ""} tp-hover-reveal-text`)}">`);
        _push(ssrRenderComponent(_component_nuxt_link, {
          href: "/portfolio-details",
          class: "tp-portfolio-item-2 include-bg",
          style: `background-image:url(${item.img})`
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<div class="tp-portfolio-meta-2"${_scopeId}><span${_scopeId}>${ssrInterpolate(item.tag)}</span><span${_scopeId}>${ssrInterpolate(item.time)}</span></div><h3 class="tp-portfolio-title-2"${_scopeId}>${ssrInterpolate(item.title)}</h3><div class="tp-portfolio-view tp-portfolio-view-btn"${_scopeId}><span${_scopeId}>View <br${_scopeId}> Work</span></div>`);
            } else {
              return [
                createVNode("div", { class: "tp-portfolio-meta-2" }, [
                  createVNode("span", null, toDisplayString(item.tag), 1),
                  createVNode("span", null, toDisplayString(item.time), 1)
                ]),
                createVNode("h3", { class: "tp-portfolio-title-2" }, toDisplayString(item.title), 1),
                createVNode("div", { class: "tp-portfolio-view tp-portfolio-view-btn" }, [
                  createVNode("span", null, [
                    createTextVNode("View "),
                    createVNode("br"),
                    createTextVNode(" Work")
                  ])
                ])
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div></div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$9 = _sfc_main$9.setup;
_sfc_main$9.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/project/project-one.vue");
  return _sfc_setup$9 ? _sfc_setup$9(props, ctx) : void 0;
};
const _sfc_main$8 = /* @__PURE__ */ defineComponent({
  __name: "skill-area-two",
  __ssrInlineRender: true,
  setup(__props) {
    const experience_data = [
      {
        id: 1,
        date: "Oct 2022 - Present",
        title: "UI/UX Lead Designer",
        company: "Amazon INC"
      },
      {
        id: 2,
        date: "Oct 2021- Oct 2022",
        title: "Product Lead Designer",
        company: "Fourmeta Agency"
      },
      {
        id: 3,
        date: "Apr 2020 - Oct 2021",
        title: "UI/UX Designer",
        company: "Apr 2020 - Oct 2021"
      },
      {
        id: 4,
        date: "Feb 2015 - Apr 2020",
        title: "Intership Graphic Designer",
        company: "Feb 2015 - Apr 2020"
      }
    ];
    const skill_data = [
      {
        id: 1,
        img: "/images/skill/figma-sm.png",
        name: "Figma",
        percent: "94%"
      },
      {
        id: 2,
        img: "/images/skill/photoshop-sm.png",
        name: "Photoshop",
        percent: "98%"
      },
      {
        id: 3,
        img: "/images/skill/xd-sm.png",
        name: "Adobe XD",
        percent: "82%"
      },
      {
        id: 4,
        img: "/images/skill/sketch-sm.png",
        name: "Sketch",
        percent: "93%"
      },
      {
        id: 5,
        img: "/images/skill/in-sm.png",
        name: "Invision",
        percent: "76%"
      }
    ];
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-hero-2__bg black-bg-3 tp-hero-2__space-5 d-flex align-items-start justify-content-center z-index-1 p-relative fix"><div class="tp-hero-distort-2" style="${ssrRenderStyle({ "background-image": "url(/images/hero/hero-2-overlay.png)" })}"></div><div class="tp-hero-2__boder-circle tp-hero-2__boder-circle-tr"><span></span></div><div class="tp-hero-2__circle-wrapper tp-hero-2__circle-pos"><span class="tp-hero-2__circle-1"></span><span class="tp-hero-2__circle-2"></span><span class="tp-hero-2__circle-3"></span></div><div class="container"><div class="row"><div class="col-xl-12"><div class="tp-hero-2__design-exp-wrap"><div class="tp-hero-2__design-exp-top-title"><span><img class="tp-zoom-in-out"${ssrRenderAttr("src", _imports_0$3)} alt=""> DESIGN EXPERIENCE </span></div><ul><!--[-->`);
      ssrRenderList(experience_data, (item) => {
        _push(`<li><div class="tp-hero-2__design-exp-item d-flex align-items-center justify-content-between"><div class="tp-hero-2__design-exp-meta d-flex align-items-center"><span>${ssrInterpolate(item.date)}</span><h4 class="tp-hero-2__design-exp-title">${ssrInterpolate(item.title)}</h4></div><div class="tp-hero-2__design-exp-company"><span>${ssrInterpolate(item.company)}</span></div></div></li>`);
      });
      _push(`<!--]--></ul></div><div class="tp-hero-2__design-exp-skill-wrap"><div class="tp-hero-2__design-exp-top-title mb-30"><span><img class="tp-zoom-in-out"${ssrRenderAttr("src", _imports_0$3)} alt=""> Skills </span></div><div class="row row-cols-xl-5 row-cols-md-3"><!--[-->`);
      ssrRenderList(skill_data, (item) => {
        _push(`<div class="col-xl"><div class="${ssrRenderClass(`mb-20 tp-hero-2__design-exp-skill-item justify-content-center bg-${item.id} d-flex align-items-center`)}"><div class="tp-hero-2__design-exp-skill-icon"><img${ssrRenderAttr("src", item.img)} alt=""></div><div class="tp-hero-2__design-exp-skill-info"><span>${ssrInterpolate(item.percent)}</span><i>${ssrInterpolate(item.name)}</i></div></div></div>`);
      });
      _push(`<!--]--></div></div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$8 = _sfc_main$8.setup;
_sfc_main$8.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/skill/skill-area-two.vue");
  return _sfc_setup$8 ? _sfc_setup$8(props, ctx) : void 0;
};
const _sfc_main$7 = {};
function _sfc_ssrRender$4(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "14",
    height: "14",
    viewBox: "0 0 14 14",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M13 1L1 13" stroke="currentcolor" stroke-opacity="0.9" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path><path d="M13 13H1V1" stroke="currentcolor" stroke-opacity="0.9" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$7 = _sfc_main$7.setup;
_sfc_main$7.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/arrow-down.vue");
  return _sfc_setup$7 ? _sfc_setup$7(props, ctx) : void 0;
};
const __nuxt_component_0$1 = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["ssrRender", _sfc_ssrRender$4]]);
const _sfc_main$6 = {};
function _sfc_ssrRender$3(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "14",
    height: "14",
    viewBox: "0 0 14 14",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M1 13L13 1" stroke="currentcolor" stroke-opacity="0.9" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path><path d="M1 1H13V13" stroke="currentcolor" stroke-opacity="0.9" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$6 = _sfc_main$6.setup;
_sfc_main$6.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/arrow-up.vue");
  return _sfc_setup$6 ? _sfc_setup$6(props, ctx) : void 0;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["ssrRender", _sfc_ssrRender$3]]);
const _sfc_main$5 = {};
function _sfc_ssrRender$2(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    class: "icon-1",
    width: "12",
    height: "12",
    viewBox: "0 0 12 12",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M1 10.9995L11 0.999512" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M1 0.999512H11V10.9995" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$5 = _sfc_main$5.setup;
_sfc_main$5.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/arrow-up-sm.vue");
  return _sfc_setup$5 ? _sfc_setup$5(props, ctx) : void 0;
};
const __nuxt_component_2 = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["ssrRender", _sfc_ssrRender$2]]);
const _imports_0$1 = publicAssetsURL("/images/testimonial/testi-star.png");
const _imports_1$1 = publicAssetsURL("/images/testimonial/testimonia-2-1.png");
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "testimonial-two",
  __ssrInlineRender: true,
  setup(__props) {
    const slider_data = [
      {
        id: 1,
        img: "/images/testimonial/avata/avata-1.png",
        name: "Charlie Smith",
        designation: "CEO Founder",
        review: "Our design process was very patch work & impromptu before we met will. He's helped us build a solid design system & optimize our website.!"
      },
      {
        id: 2,
        img: "/images/testimonial/avata/avata-1.png",
        name: "Charlie Smith",
        designation: "CEO Founder",
        review: "Our design process was very patch work & impromptu before we met will. He's helped us build a solid design system & optimize our website.!"
      },
      {
        id: 3,
        img: "/images/testimonial/avata/avata-1.png",
        name: "Charlie Smith",
        designation: "CEO Founder",
        review: "Our design process was very patch work & impromptu before we met will. He's helped us build a solid design system & optimize our website.!"
      }
    ];
    const slider_setting = {
      slidesPerView: 1,
      spaceBetween: 0,
      loop: false,
      speed: 1200,
      autoplay: {
        delay: 3e3
      },
      navigation: {
        prevEl: ".tp-testimonial-2__slider-next",
        nextEl: ".tp-testimonial-2__slider-prev"
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_svg_arrow_down = __nuxt_component_0$1;
      const _component_svg_arrow_up = __nuxt_component_1;
      const _component_svg_arrow_up_sm = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-hero-2__bg black-bg-3 tp-hero-2__space-6 d-flex align-items-start justify-content-center p-relative z-index-1 fix"><div class="tp-testimonial-2__star-shape"><img${ssrRenderAttr("src", _imports_0$1)} alt=""></div><div class="tp-hero-2__boder-circle"><span></span></div><div class="container"><div class="tp-testimonial-2__title-wrap"><div class="row align-items-end"><div class="col-xl-8 col-lg-8 col-md-8"><div class="tp-testimonial-2__title-box"><h4 class="tp-testimonial-2__title">What <br> Our Client Says</h4></div></div><div class="col-xl-4 col-lg-4 col-md-4"><div class="tp-testimonial-2__arrow-box text-end d-flex align-items-center justify-content-end"><button class="tp-testimonial-2__slider-next tp-hover-arrow-down"><span>`);
      _push(ssrRenderComponent(_component_svg_arrow_down, null, null, _parent));
      _push(ssrRenderComponent(_component_svg_arrow_down, null, null, _parent));
      _push(`</span></button><button class="tp-testimonial-2__slider-prev tp-hover-arrow-up"><span>`);
      _push(ssrRenderComponent(_component_svg_arrow_up, null, null, _parent));
      _push(ssrRenderComponent(_component_svg_arrow_up, null, null, _parent));
      _push(`</span></button></div></div></div></div><div class="row"><div class="col-xl-4 col-lg-4 col-md-5"><div class="tp-testimonial-2__left-box"><div class="tp-testimonial-2__btn-box"><div class="parallax-wrap d-inline-block"><div class="parallax-element"><a class="tp-btn-pink" href="#"><span>`);
      _push(ssrRenderComponent(_component_svg_arrow_up_sm, null, null, _parent));
      _push(`</span><span data-hover="BECOME A CLIENT"> BECOME A CLIENT </span></a></div></div><span class="tp-testimonial-2__review-text"> Rated 4.9 out of 5 based <br> on 500+ reviews </span></div><div class="tp-testimonial-2__shape-img text-center"><img${ssrRenderAttr("src", _imports_1$1)} alt=""></div></div></div><div class="col-xl-8 col-lg-8 col-md-7"><div class="tp-testimonial-2__slider-wrapper">`);
      _push(ssrRenderComponent(unref(Swiper), mergeProps(slider_setting, {
        modules: [unref(Autoplay), unref(Navigation)],
        class: "swiper-container tp-testimonial-2__slider-active fix"
      }), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<!--[-->`);
            ssrRenderList(slider_data, (item) => {
              _push2(ssrRenderComponent(unref(SwiperSlide), {
                key: item.id
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<div class="tp-testimonial-2__slider-item"${_scopeId2}><div class="tp-testimonial-2__slider-text"${_scopeId2}><p${_scopeId2}>${ssrInterpolate(item.review)}</p></div><div class="tp-testimonial-2__author d-flex align-items-center"${_scopeId2}><div class="tp-testimonial-2__avata"${_scopeId2}><img${ssrRenderAttr("src", item.img)} alt=""${_scopeId2}></div><div class="tp-testimonial-2__author-info"${_scopeId2}><h4 class="tp-testimonial-2__author-title"${_scopeId2}>${ssrInterpolate(item.name)}</h4><span${_scopeId2}>${ssrInterpolate(item.designation)}</span></div></div></div>`);
                  } else {
                    return [
                      createVNode("div", { class: "tp-testimonial-2__slider-item" }, [
                        createVNode("div", { class: "tp-testimonial-2__slider-text" }, [
                          createVNode("p", null, toDisplayString(item.review), 1)
                        ]),
                        createVNode("div", { class: "tp-testimonial-2__author d-flex align-items-center" }, [
                          createVNode("div", { class: "tp-testimonial-2__avata" }, [
                            createVNode("img", {
                              src: item.img,
                              alt: ""
                            }, null, 8, ["src"])
                          ]),
                          createVNode("div", { class: "tp-testimonial-2__author-info" }, [
                            createVNode("h4", { class: "tp-testimonial-2__author-title" }, toDisplayString(item.name), 1),
                            createVNode("span", null, toDisplayString(item.designation), 1)
                          ])
                        ])
                      ])
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            });
            _push2(`<!--]-->`);
          } else {
            return [
              (openBlock(), createBlock(Fragment, null, renderList(slider_data, (item) => {
                return createVNode(unref(SwiperSlide), {
                  key: item.id
                }, {
                  default: withCtx(() => [
                    createVNode("div", { class: "tp-testimonial-2__slider-item" }, [
                      createVNode("div", { class: "tp-testimonial-2__slider-text" }, [
                        createVNode("p", null, toDisplayString(item.review), 1)
                      ]),
                      createVNode("div", { class: "tp-testimonial-2__author d-flex align-items-center" }, [
                        createVNode("div", { class: "tp-testimonial-2__avata" }, [
                          createVNode("img", {
                            src: item.img,
                            alt: ""
                          }, null, 8, ["src"])
                        ]),
                        createVNode("div", { class: "tp-testimonial-2__author-info" }, [
                          createVNode("h4", { class: "tp-testimonial-2__author-title" }, toDisplayString(item.name), 1),
                          createVNode("span", null, toDisplayString(item.designation), 1)
                        ])
                      ])
                    ])
                  ]),
                  _: 2
                }, 1024);
              }), 64))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$4 = _sfc_main$4.setup;
_sfc_main$4.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/testimonial/testimonial-two.vue");
  return _sfc_setup$4 ? _sfc_setup$4(props, ctx) : void 0;
};
const _sfc_main$3 = defineComponent({
  props: {
    options: {
      type: Array,
      required: true
    },
    defaultCurrent: {
      type: Number,
      required: true
    },
    placeholder: String,
    className: String,
    name: String
  },
  name: "NiceSelect",
  data() {
    return {
      open: false,
      current: this.options[this.defaultCurrent]
    };
  },
  methods: {
    onClose() {
      this.open = false;
    },
    currentHandler(item, index) {
      this.current = this.options[index];
      this.$emit("onChange", item);
      this.onClose();
    }
  }
});
function _sfc_ssrRender$1(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  var _a;
  _push(`<div${ssrRenderAttrs(mergeProps({
    class: [`nice-select ${_ctx.className}`, { open: _ctx.open }],
    tabindex: "0",
    role: "button",
    ref: ""
  }, _attrs))}><span class="current">${ssrInterpolate(((_a = _ctx.current) == null ? void 0 : _a.text) || _ctx.placeholder)}</span><ul class="list" role="menubar"><!--[-->`);
  ssrRenderList(_ctx.options, (item, index) => {
    _push(`<li class="${ssrRenderClass([`option`, { "selected focus": item.value === _ctx.current.value }])}" role="menuitem">${ssrInterpolate(item.text)}</li>`);
  });
  _push(`<!--]--></ul></div>`);
}
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/ui/nice-select.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : void 0;
};
const __nuxt_component_0 = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["ssrRender", _sfc_ssrRender$1]]);
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "form-contact-one",
  __ssrInlineRender: true,
  setup(__props) {
    const changeHandler = (e) => {
      console.log(e);
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_ui_nice_select = __nuxt_component_0;
      _push(`<form${ssrRenderAttrs(mergeProps({ action: "#" }, _attrs))}><div class="row"><div class="col-xl-4 col-lg-4 mb-50"><div class="tp-contact-2__input"><input class="input-field" type="text" placeholder="Your Name"><span class="focus-border"></span></div></div><div class="col-xl-4 col-lg-4 mb-50"><div class="tp-contact-2__input"><input class="input-field" type="text" placeholder="Your Email"><span class="focus-border"></span></div></div><div class="col-xl-4 col-lg-4 mb-50"><div class="tp-contact-2__select">`);
      _push(ssrRenderComponent(_component_ui_nice_select, {
        options: [
          { value: "subject", text: "Subject (optional)" },
          { value: "support", text: "Online Support" },
          { value: "security", text: "Live Security" },
          { value: "protection", text: "Hack Protection" }
        ],
        name: "subject",
        "default-current": 0,
        onOnChange: changeHandler,
        "class-name": "input-field"
      }, null, _parent));
      _push(`<span class="focus-border"></span></div></div><div class="col-xl-12"><div class="tp-contact-2__textarea"><textarea class="input-field" placeholder="Your message here..."></textarea><span class="focus-border"></span></div></div><div class="col-xl-12"><div class="tp-contact-2__btn text-center"><div class="parallax-wrap d-inline-block"><div class="parallax-element"><button class="tp-btn-pink-large"><span data-hover="Send Message"> Send Message </span></button></div></div></div></div></div></form>`);
    };
  }
});
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/form/form-contact-one.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _imports_0 = publicAssetsURL("/images/contact/contact-shape-1.png");
const _imports_1 = publicAssetsURL("/images/contact/contact-shape-2.png");
const _imports_2 = publicAssetsURL("/images/contact/icon-1.png");
const _imports_3 = publicAssetsURL("/images/contact/icon-2.png");
const _sfc_main$1 = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  const _component_form_contact_one = _sfc_main$2;
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "section" }, _attrs))}><div class="tp-hero-2__bg black-bg-3 tp-hero-2__space-7 d-flex align-items-start justify-content-center z-index-1 p-relative fix"><div class="tp-hero-distort-2" style="${ssrRenderStyle({ "background-image": "url(/images/hero/hero-2-overlay.png)" })}"></div><div class="tp-hero-2__circle-wrapper contact-section"><span class="tp-hero-2__circle-3"></span><span class="tp-hero-2__circle-5"></span><img class="contact-shape-1 tp-zoom-in-out"${ssrRenderAttr("src", _imports_0)} alt=""><img class="contact-shape-2 tp-zoom-in-out"${ssrRenderAttr("src", _imports_1)} alt=""></div><div class="tp-hero-2__boder-circle"><span></span></div><div class="container"><div class="row"><div class="col-xl-12"><div class="tp-contact-2__title-box text-center"><h4 class="tp-contact-2__title">Take a coffee &amp; chat with me</h4></div><div class="tp-contact-2__top-info mb-80 d-flex align-items-center justify-content-center"><div class="parallax-wrap"><div class="parallax-element"><a href="mailto:Vegan@mail.com"><img${ssrRenderAttr("src", _imports_2)} alt=""><span>Vegan@mail.com</span></a></div></div><div class="parallax-wrap"><div class="parallax-element"><a href="tel:+351810342440"><img${ssrRenderAttr("src", _imports_3)} alt=""><span>+(351) 810 342 440</span></a></div></div></div><div class="tp-contact-2__bottom-info"><div class="row justify-content-center"><div class="col-xl-10">`);
  _push(ssrRenderComponent(_component_form_contact_one, null, null, _parent));
  _push(`</div></div></div></div></div></div></div></div>`);
}
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/contact/contact-one.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_6 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["ssrRender", _sfc_ssrRender]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "home-2",
  __ssrInlineRender: true,
  setup(__props) {
    useHead({
      link: [
        { rel: "stylesheet", href: "https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" }
      ],
      script: [{ type: "text/javascript", src: "https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" }]
    });
    useSeoMeta({ title: "Home two - Vegan" });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_layout = __nuxt_component_0$4;
      const _component_hero_banner_two = __nuxt_component_1$2;
      const _component_about_area_two = resolveComponent("about-area-two");
      const _component_service_area_two = _sfc_main$c;
      const _component_project_one = _sfc_main$9;
      const _component_skill_area_two = _sfc_main$8;
      const _component_testimonial_two = _sfc_main$4;
      const _component_contact_one = __nuxt_component_6;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_nuxt_layout, { name: "layout-two" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div id="pagepiling"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_hero_banner_two, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_about_area_two, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_service_area_two, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_project_one, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_skill_area_two, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_testimonial_two, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_contact_one, null, null, _parent2, _scopeId));
            _push2(`</div><div class="pagescroll-indication d-none d-xl-block"${_scopeId}><span${_scopeId}></span></div>`);
          } else {
            return [
              createVNode("div", { id: "pagepiling" }, [
                createVNode(_component_hero_banner_two),
                createVNode(_component_about_area_two),
                createVNode(_component_service_area_two),
                createVNode(_component_project_one),
                createVNode(_component_skill_area_two),
                createVNode(_component_testimonial_two),
                createVNode(_component_contact_one)
              ]),
              createVNode("div", { class: "pagescroll-indication d-none d-xl-block" }, [
                createVNode("span")
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/home-2.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=home-2-DmqaIGga.mjs.map
