import { defineComponent, mergeProps, withCtx, unref, createVNode, openBlock, createBlock, Fragment, renderList, createCommentVNode, toDisplayString, useSSRContext } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { _ as __nuxt_component_0 } from '../_/QMarkupTable.mjs';
import { _ as __nuxt_component_1 } from '../_/QSkeleton.mjs';
import { _ as __nuxt_component_2$2 } from '../_/QBadge.mjs';
import { _ as __nuxt_component_2 } from '../_/QBtn.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import './server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './env-B2a7_Xo2.mjs';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';
import '../_/use-dark.mjs';
import '../_/vm.mjs';
import '../_/use-router-link.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    var _a;
    const { data: planResp, pending: loadingPlanPurchases } = useFetch(endpoints.plan.purchaseList, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_a = pitLib.auth.get()) == null ? void 0 : _a.token)
      }
    }, "$mlj06XGQwc");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_markup_table = __nuxt_component_0;
      const _component_q_skeleton = __nuxt_component_1;
      const _component_q_badge = __nuxt_component_2$2;
      const _component_q_btn = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "q-pa-md" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_q_markup_table, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a2, _b;
          if (_push2) {
            _push2(`<thead${_scopeId}><tr class="bg-grey-5 text-white text-h5"${_scopeId}><th class="text-left"${_scopeId}> Plan Name </th><th class="text-left"${_scopeId}> Paid Amount </th><th class="text-left"${_scopeId}> Purchased By </th><th class="text-left"${_scopeId}> Status </th><th class="text-left"${_scopeId}> Action </th></tr></thead><tbody${_scopeId}>`);
            if (unref(loadingPlanPurchases)) {
              _push2(`<!--[-->`);
              ssrRenderList(5, (n) => {
                _push2(`<tr${_scopeId}><td class="text-left"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            if ((_a2 = unref(planResp)) == null ? void 0 : _a2.status) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(planResp).data.data, (p) => {
                _push2(`<tr${_scopeId}><td${_scopeId}>${ssrInterpolate(p.plan_id[0].title)}</td><td${_scopeId}>${ssrInterpolate(p.currency)} ${ssrInterpolate(p.amount_paid / 100)}</td><td${_scopeId}>${ssrInterpolate(p.created_by[0].name)}</td><td${_scopeId}>`);
                if (p.membership.some((obj) => obj.calendar_schedule.length === 0)) {
                  _push2(ssrRenderComponent(_component_q_badge, {
                    outline: "",
                    color: "red",
                    label: "No Schedules"
                  }, null, _parent2, _scopeId));
                } else {
                  _push2(ssrRenderComponent(_component_q_badge, {
                    outline: "",
                    color: "primary",
                    label: "Scheduled"
                  }, null, _parent2, _scopeId));
                }
                _push2(`</td><td${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_btn, {
                  round: "",
                  color: "blue",
                  icon: "fa fa-chevron-right",
                  to: "/panel/plan/purchases/" + p._id
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody>`);
          } else {
            return [
              createVNode("thead", null, [
                createVNode("tr", { class: "bg-grey-5 text-white text-h5" }, [
                  createVNode("th", { class: "text-left" }, " Plan Name "),
                  createVNode("th", { class: "text-left" }, " Paid Amount "),
                  createVNode("th", { class: "text-left" }, " Purchased By "),
                  createVNode("th", { class: "text-left" }, " Status "),
                  createVNode("th", { class: "text-left" }, " Action ")
                ])
              ]),
              createVNode("tbody", null, [
                unref(loadingPlanPurchases) ? (openBlock(), createBlock(Fragment, { key: 0 }, renderList(5, (n) => {
                  return createVNode("tr", { key: n }, [
                    createVNode("td", { class: "text-left" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ])
                  ]);
                }), 64)) : createCommentVNode("", true),
                ((_b = unref(planResp)) == null ? void 0 : _b.status) ? (openBlock(true), createBlock(Fragment, { key: 1 }, renderList(unref(planResp).data.data, (p) => {
                  return openBlock(), createBlock("tr", null, [
                    createVNode("td", null, toDisplayString(p.plan_id[0].title), 1),
                    createVNode("td", null, toDisplayString(p.currency) + " " + toDisplayString(p.amount_paid / 100), 1),
                    createVNode("td", null, toDisplayString(p.created_by[0].name), 1),
                    createVNode("td", null, [
                      p.membership.some((obj) => obj.calendar_schedule.length === 0) ? (openBlock(), createBlock(_component_q_badge, {
                        key: 0,
                        outline: "",
                        color: "red",
                        label: "No Schedules"
                      })) : (openBlock(), createBlock(_component_q_badge, {
                        key: 1,
                        outline: "",
                        color: "primary",
                        label: "Scheduled"
                      }))
                    ]),
                    createVNode("td", null, [
                      createVNode(_component_q_btn, {
                        round: "",
                        color: "blue",
                        icon: "fa fa-chevron-right",
                        to: "/panel/plan/purchases/" + p._id
                      }, null, 8, ["to"])
                    ])
                  ]);
                }), 256)) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panel/plan/purchases/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-B7vm3aPI.mjs.map
