import { d as useRoute } from './server.mjs';
import { defineComponent, ref, reactive, watch, withCtx, createVNode, unref, openBlock, createBlock, createCommentVNode, toDisplayString, Fragment, renderList, useSSRContext } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderComponent, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import Swal from 'sweetalert2';
import { _ as __nuxt_component_0$1, Q as QSeparator } from '../_/use-timeout.mjs';
import { _ as __nuxt_component_1$1 } from '../_/use-prevent-scroll.mjs';
import { _ as __nuxt_component_3 } from '../_/QMenu.mjs';
import { _ as __nuxt_component_4 } from '../_/QSelect.mjs';
import { _ as __nuxt_component_2 } from '../_/QBtn.mjs';
import { _ as __nuxt_component_0 } from '../_/QMarkupTable.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './env-B2a7_Xo2.mjs';
import '../_/nuxt-storage.mjs';
import '../_/use-dark.mjs';
import '../_/vm.mjs';
import '../_/scroll.mjs';
import '../_/QItemSection.mjs';
import '../_/use-router-link.mjs';
import '../_/focusout.mjs';
import '../_/private.use-form.mjs';
import '../_/use-tick.mjs';
import '../_/QItemLabel.mjs';
import '../_/QDialog.mjs';
import '../_/format.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    var _a, _b, _c, _d, _e;
    const route = useRoute();
    const userUpdateResp = ref();
    const loadingUpdateUser = ref();
    const rms = ref([]);
    const dietitian = ref([]);
    const formData = reactive({
      _id: (_a = route.params) == null ? void 0 : _a._id,
      name: "",
      phone: "",
      email: "",
      role: "",
      rm: "",
      dietitian: ""
    });
    const { data: roles, pending: loadingRoles } = useFetch(endpoints.role.list, "$WHLwJ66nsa");
    const { data: rmsApiResponse, pending: loadingRms } = useFetch(endpoints.user.list, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_b = pitLib.auth.get()) == null ? void 0 : _b.token)
      },
      body: {
        role: "rm"
      },
      params: {
        pagination: 500
      }
    }, "$VFqG3KE2Cz");
    const { data: dietitianApiResponse, pending: loadingDietitian } = useFetch(endpoints.user.list, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_c = pitLib.auth.get()) == null ? void 0 : _c.token)
      },
      body: {
        role: "dietitian"
      },
      params: {
        pagination: 500
      }
    }, "$p9PvyiFEbI");
    const user = ref();
    const { data: userResp, pending: loadingUsers } = useFetch(endpoints.user.list, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_d = pitLib.auth.get()) == null ? void 0 : _d.token)
      },
      body: {
        _id: (_e = route.params) == null ? void 0 : _e._id
      }
    }, "$v907zzYXzA");
    watch(userUpdateResp, (d) => {
      Swal.fire({
        position: "bottom-right",
        icon: (d == null ? void 0 : d.status) ? "success" : "warning",
        title: d == null ? void 0 : d.message,
        showConfirmButton: false,
        timer: 1500
      });
    });
    watch(userResp, (d) => {
      var _a3, _b3, _c3, _d3;
      var _a2, _b2, _c2, _d2;
      user.value = d == null ? void 0 : d.data.data[0];
      formData.name = (_a3 = (_a2 = user.value) == null ? void 0 : _a2.name) != null ? _a3 : "";
      formData.phone = (_b3 = (_b2 = user.value) == null ? void 0 : _b2.phone) != null ? _b3 : "";
      formData.email = (_c3 = (_c2 = user.value) == null ? void 0 : _c2.email) != null ? _c3 : "";
      formData.role = (_d3 = (_d2 = user.value) == null ? void 0 : _d2.role) != null ? _d3 : "";
      formData.rm = user.value.rm.length ? { label: user.value.rm[0].name, value: user.value.rm[0]._id } : "";
      formData.dietitian = user.value.dietitian.length ? { label: user.value.dietitian[0].name, value: user.value.dietitian[0]._id } : "";
    });
    watch(rmsApiResponse, (d) => {
      var _a2;
      rms.value = [];
      (_a2 = d.data) == null ? void 0 : _a2.data.map((o) => {
        rms.value.push({ label: o.name, value: o._id });
      });
    });
    watch(dietitianApiResponse, (d) => {
      var _a2;
      dietitian.value = [];
      (_a2 = d.data) == null ? void 0 : _a2.data.map((o) => {
        dietitian.value.push({ label: o.name, value: o._id });
      });
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_card = __nuxt_component_0$1;
      const _component_q_card_section = __nuxt_component_1$1;
      const _component_q_separator = QSeparator;
      const _component_q_input = __nuxt_component_3;
      const _component_q_select = __nuxt_component_4;
      const _component_q_btn = __nuxt_component_2;
      const _component_q_markup_table = __nuxt_component_0;
      _push(`<!--[--><div class="row q-pa-lg"><div class="col"><form>`);
      _push(ssrRenderComponent(_component_q_card, { bordered: "" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_q_card_section, { class: "bg-grey-2" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="text-h6"${_scopeId2}>User</div><div class="text-subtitle2"${_scopeId2}>View/Update</div>`);
                } else {
                  return [
                    createVNode("div", { class: "text-h6" }, "User"),
                    createVNode("div", { class: "text-subtitle2" }, "View/Update")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_separator, {
              dark: "",
              inset: ""
            }, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_card_section, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="row q-gutter-md"${_scopeId2}><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    disable: "",
                    dense: "",
                    outlined: "",
                    label: "Name",
                    modelValue: unref(formData).name,
                    "onUpdate:modelValue": ($event) => unref(formData).name = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    disable: "",
                    dense: "",
                    outlined: "",
                    label: "Email",
                    modelValue: unref(formData).email,
                    "onUpdate:modelValue": ($event) => unref(formData).email = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_input, {
                    disable: "",
                    dense: "",
                    outlined: "",
                    label: "Phone",
                    type: "number",
                    maxlength: "12",
                    modelValue: unref(formData).phone,
                    "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_select, {
                    outlined: "",
                    modelValue: unref(formData).role,
                    "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                    loading: unref(loadingRoles),
                    options: unref(roles),
                    label: "Role",
                    disable: unref(pitLib).auth.get().role !== "admin"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_select, {
                    outlined: "",
                    modelValue: unref(formData).rm,
                    "onUpdate:modelValue": ($event) => unref(formData).rm = $event,
                    loading: unref(loadingRms),
                    options: unref(rms),
                    label: "RM",
                    disable: unref(pitLib).auth.get().role !== "admin"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_q_select, {
                    outlined: "",
                    modelValue: unref(formData).dietitian,
                    "onUpdate:modelValue": ($event) => unref(formData).dietitian = $event,
                    loading: unref(loadingDietitian),
                    options: unref(dietitian),
                    label: "Dietitian",
                    disable: unref(pitLib).auth.get().role !== "rm"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "row q-gutter-md" }, [
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          disable: "",
                          dense: "",
                          outlined: "",
                          label: "Name",
                          modelValue: unref(formData).name,
                          "onUpdate:modelValue": ($event) => unref(formData).name = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          disable: "",
                          dense: "",
                          outlined: "",
                          label: "Email",
                          modelValue: unref(formData).email,
                          "onUpdate:modelValue": ($event) => unref(formData).email = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_input, {
                          disable: "",
                          dense: "",
                          outlined: "",
                          label: "Phone",
                          type: "number",
                          maxlength: "12",
                          modelValue: unref(formData).phone,
                          "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_select, {
                          outlined: "",
                          modelValue: unref(formData).role,
                          "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                          loading: unref(loadingRoles),
                          options: unref(roles),
                          label: "Role",
                          disable: unref(pitLib).auth.get().role !== "admin"
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_select, {
                          outlined: "",
                          modelValue: unref(formData).rm,
                          "onUpdate:modelValue": ($event) => unref(formData).rm = $event,
                          loading: unref(loadingRms),
                          options: unref(rms),
                          label: "RM",
                          disable: unref(pitLib).auth.get().role !== "admin"
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                      ]),
                      createVNode("div", { class: "col-3" }, [
                        createVNode(_component_q_select, {
                          outlined: "",
                          modelValue: unref(formData).dietitian,
                          "onUpdate:modelValue": ($event) => unref(formData).dietitian = $event,
                          loading: unref(loadingDietitian),
                          options: unref(dietitian),
                          label: "Dietitian",
                          disable: unref(pitLib).auth.get().role !== "rm"
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_card_section, { class: "bg-grey-2" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="text-right"${_scopeId2}>`);
                  if (["admin", "rm"].includes(unref(pitLib).auth.get().role)) {
                    _push3(ssrRenderComponent(_component_q_btn, {
                      type: "submit",
                      color: "primary",
                      label: "Submit",
                      "icon-right": "check",
                      loading: unref(loadingUpdateUser),
                      disable: unref(loadingUpdateUser)
                    }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", { class: "text-right" }, [
                      ["admin", "rm"].includes(unref(pitLib).auth.get().role) ? (openBlock(), createBlock(_component_q_btn, {
                        key: 0,
                        type: "submit",
                        color: "primary",
                        label: "Submit",
                        "icon-right": "check",
                        loading: unref(loadingUpdateUser),
                        disable: unref(loadingUpdateUser)
                      }, null, 8, ["loading", "disable"])) : createCommentVNode("", true)
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_q_card_section, { class: "bg-grey-2" }, {
                default: withCtx(() => [
                  createVNode("div", { class: "text-h6" }, "User"),
                  createVNode("div", { class: "text-subtitle2" }, "View/Update")
                ]),
                _: 1
              }),
              createVNode(_component_q_separator, {
                dark: "",
                inset: ""
              }),
              createVNode(_component_q_card_section, null, {
                default: withCtx(() => [
                  createVNode("div", { class: "row q-gutter-md" }, [
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        disable: "",
                        dense: "",
                        outlined: "",
                        label: "Name",
                        modelValue: unref(formData).name,
                        "onUpdate:modelValue": ($event) => unref(formData).name = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        disable: "",
                        dense: "",
                        outlined: "",
                        label: "Email",
                        modelValue: unref(formData).email,
                        "onUpdate:modelValue": ($event) => unref(formData).email = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_input, {
                        disable: "",
                        dense: "",
                        outlined: "",
                        label: "Phone",
                        type: "number",
                        maxlength: "12",
                        modelValue: unref(formData).phone,
                        "onUpdate:modelValue": ($event) => unref(formData).phone = $event
                      }, null, 8, ["modelValue", "onUpdate:modelValue"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_select, {
                        outlined: "",
                        modelValue: unref(formData).role,
                        "onUpdate:modelValue": ($event) => unref(formData).role = $event,
                        loading: unref(loadingRoles),
                        options: unref(roles),
                        label: "Role",
                        disable: unref(pitLib).auth.get().role !== "admin"
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_select, {
                        outlined: "",
                        modelValue: unref(formData).rm,
                        "onUpdate:modelValue": ($event) => unref(formData).rm = $event,
                        loading: unref(loadingRms),
                        options: unref(rms),
                        label: "RM",
                        disable: unref(pitLib).auth.get().role !== "admin"
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                    ]),
                    createVNode("div", { class: "col-3" }, [
                      createVNode(_component_q_select, {
                        outlined: "",
                        modelValue: unref(formData).dietitian,
                        "onUpdate:modelValue": ($event) => unref(formData).dietitian = $event,
                        loading: unref(loadingDietitian),
                        options: unref(dietitian),
                        label: "Dietitian",
                        disable: unref(pitLib).auth.get().role !== "rm"
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "loading", "options", "disable"])
                    ])
                  ])
                ]),
                _: 1
              }),
              createVNode(_component_q_card_section, { class: "bg-grey-2" }, {
                default: withCtx(() => [
                  createVNode("div", { class: "text-right" }, [
                    ["admin", "rm"].includes(unref(pitLib).auth.get().role) ? (openBlock(), createBlock(_component_q_btn, {
                      key: 0,
                      type: "submit",
                      color: "primary",
                      label: "Submit",
                      "icon-right": "check",
                      loading: unref(loadingUpdateUser),
                      disable: unref(loadingUpdateUser)
                    }, null, 8, ["loading", "disable"])) : createCommentVNode("", true)
                  ])
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</form></div></div>`);
      if (!unref(loadingUsers)) {
        _push(`<div class="row q-pa-lg"><div class="col">`);
        _push(ssrRenderComponent(_component_q_card, { bordered: "" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(ssrRenderComponent(_component_q_card_section, { class: "bg-grey-2" }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<div class="text-h6"${_scopeId2}>${ssrInterpolate(unref(formData).name)}&#39;s Subscriptions</div><div class="text-subtitle2"${_scopeId2}>Manage</div>`);
                  } else {
                    return [
                      createVNode("div", { class: "text-h6" }, toDisplayString(unref(formData).name) + "'s Subscriptions", 1),
                      createVNode("div", { class: "text-subtitle2" }, "Manage")
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(ssrRenderComponent(_component_q_separator, {
                dark: "",
                inset: ""
              }, null, _parent2, _scopeId));
              _push2(ssrRenderComponent(_component_q_card_section, null, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<div class="row q-gutter-md"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_q_markup_table, null, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        var _a2, _b2, _c2, _d2, _e2, _f;
                        if (_push4) {
                          _push4(`<thead${_scopeId3}><tr${_scopeId3}><th${_scopeId3}>Plan</th><th${_scopeId3}>Purchased On</th><th${_scopeId3}>Expiry</th><th${_scopeId3}>Action</th></tr></thead><tbody${_scopeId3}><!--[-->`);
                          ssrRenderList((_c2 = (_b2 = (_a2 = unref(userResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data[0]) == null ? void 0 : _c2.membersips, (m) => {
                            var _a3, _b3;
                            _push4(`<tr${_scopeId3}><td${_scopeId3}>${ssrInterpolate((_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title)} Plan</td><td${_scopeId3}>${ssrInterpolate(new Date(m == null ? void 0 : m.created_at))}</td><td${_scopeId3}>${ssrInterpolate(new Date(m == null ? void 0 : m.expiry))}</td><td${_scopeId3}>`);
                            _push4(ssrRenderComponent(_component_q_btn, {
                              round: "",
                              color: "blue",
                              icon: "fa fa-eye",
                              to: ((_b3 = unref(route).params) == null ? void 0 : _b3._id) + "/membership/" + m._id
                            }, null, _parent4, _scopeId3));
                            _push4(`</td></tr>`);
                          });
                          _push4(`<!--]--></tbody>`);
                        } else {
                          return [
                            createVNode("thead", null, [
                              createVNode("tr", null, [
                                createVNode("th", null, "Plan"),
                                createVNode("th", null, "Purchased On"),
                                createVNode("th", null, "Expiry"),
                                createVNode("th", null, "Action")
                              ])
                            ]),
                            createVNode("tbody", null, [
                              (openBlock(true), createBlock(Fragment, null, renderList((_f = (_e2 = (_d2 = unref(userResp)) == null ? void 0 : _d2.data) == null ? void 0 : _e2.data[0]) == null ? void 0 : _f.membersips, (m) => {
                                var _a3, _b3;
                                return openBlock(), createBlock("tr", null, [
                                  createVNode("td", null, toDisplayString((_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) + " Plan", 1),
                                  createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.created_at)), 1),
                                  createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.expiry)), 1),
                                  createVNode("td", null, [
                                    createVNode(_component_q_btn, {
                                      round: "",
                                      color: "blue",
                                      icon: "fa fa-eye",
                                      to: ((_b3 = unref(route).params) == null ? void 0 : _b3._id) + "/membership/" + m._id
                                    }, null, 8, ["to"])
                                  ])
                                ]);
                              }), 256))
                            ])
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                    _push3(`</div>`);
                  } else {
                    return [
                      createVNode("div", { class: "row q-gutter-md" }, [
                        createVNode(_component_q_markup_table, null, {
                          default: withCtx(() => {
                            var _a2, _b2, _c2;
                            return [
                              createVNode("thead", null, [
                                createVNode("tr", null, [
                                  createVNode("th", null, "Plan"),
                                  createVNode("th", null, "Purchased On"),
                                  createVNode("th", null, "Expiry"),
                                  createVNode("th", null, "Action")
                                ])
                              ]),
                              createVNode("tbody", null, [
                                (openBlock(true), createBlock(Fragment, null, renderList((_c2 = (_b2 = (_a2 = unref(userResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data[0]) == null ? void 0 : _c2.membersips, (m) => {
                                  var _a3, _b3;
                                  return openBlock(), createBlock("tr", null, [
                                    createVNode("td", null, toDisplayString((_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) + " Plan", 1),
                                    createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.created_at)), 1),
                                    createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.expiry)), 1),
                                    createVNode("td", null, [
                                      createVNode(_component_q_btn, {
                                        round: "",
                                        color: "blue",
                                        icon: "fa fa-eye",
                                        to: ((_b3 = unref(route).params) == null ? void 0 : _b3._id) + "/membership/" + m._id
                                      }, null, 8, ["to"])
                                    ])
                                  ]);
                                }), 256))
                              ])
                            ];
                          }),
                          _: 1
                        })
                      ])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              return [
                createVNode(_component_q_card_section, { class: "bg-grey-2" }, {
                  default: withCtx(() => [
                    createVNode("div", { class: "text-h6" }, toDisplayString(unref(formData).name) + "'s Subscriptions", 1),
                    createVNode("div", { class: "text-subtitle2" }, "Manage")
                  ]),
                  _: 1
                }),
                createVNode(_component_q_separator, {
                  dark: "",
                  inset: ""
                }),
                createVNode(_component_q_card_section, null, {
                  default: withCtx(() => [
                    createVNode("div", { class: "row q-gutter-md" }, [
                      createVNode(_component_q_markup_table, null, {
                        default: withCtx(() => {
                          var _a2, _b2, _c2;
                          return [
                            createVNode("thead", null, [
                              createVNode("tr", null, [
                                createVNode("th", null, "Plan"),
                                createVNode("th", null, "Purchased On"),
                                createVNode("th", null, "Expiry"),
                                createVNode("th", null, "Action")
                              ])
                            ]),
                            createVNode("tbody", null, [
                              (openBlock(true), createBlock(Fragment, null, renderList((_c2 = (_b2 = (_a2 = unref(userResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data[0]) == null ? void 0 : _c2.membersips, (m) => {
                                var _a3, _b3;
                                return openBlock(), createBlock("tr", null, [
                                  createVNode("td", null, toDisplayString((_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) + " Plan", 1),
                                  createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.created_at)), 1),
                                  createVNode("td", null, toDisplayString(new Date(m == null ? void 0 : m.expiry)), 1),
                                  createVNode("td", null, [
                                    createVNode(_component_q_btn, {
                                      round: "",
                                      color: "blue",
                                      icon: "fa fa-eye",
                                      to: ((_b3 = unref(route).params) == null ? void 0 : _b3._id) + "/membership/" + m._id
                                    }, null, 8, ["to"])
                                  ])
                                ]);
                              }), 256))
                            ])
                          ];
                        }),
                        _: 1
                      })
                    ])
                  ]),
                  _: 1
                })
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panel/user/[_id]/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-BFyQJWZP.mjs.map
