import { defineAsyncComponent, defineComponent, ref, mergeProps, withCtx, unref, isRef, createVNode, openBlock, createBlock, createCommentVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { _ as __nuxt_component_0$1, Q as QSeparator } from '../_/use-timeout.mjs';
import { _ as __nuxt_component_3, a as __nuxt_component_4, b as __nuxt_component_6, c as __nuxt_component_7 } from '../_/QTabPanel.mjs';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';
import './env-B2a7_Xo2.mjs';
import '../_/use-dark.mjs';
import './server.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../_/vm.mjs';
import '../_/QResizeObserver.mjs';
import '../_/use-tick.mjs';

const __nuxt_component_6_lazy = defineAsyncComponent(() => import('./customer-DyRBdsIR.mjs').then((c) => c.default || c));
const __nuxt_component_7_lazy = defineAsyncComponent(() => import('./employee-BUO9NXvU.mjs').then((c) => c.default || c));
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    const tab = ref("customer");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_card = __nuxt_component_0$1;
      const _component_q_tabs = __nuxt_component_3;
      const _component_q_tab = __nuxt_component_4;
      const _component_q_separator = QSeparator;
      const _component_q_tab_panels = __nuxt_component_6;
      const _component_q_tab_panel = __nuxt_component_7;
      const _component_lazy_panel_user_list_customer = __nuxt_component_6_lazy;
      const _component_lazy_panel_user_list_employee = __nuxt_component_7_lazy;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "q-pa-md" }, _attrs))}><div class="q-gutter-y-md">`);
      _push(ssrRenderComponent(_component_q_card, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_q_tabs, {
              modelValue: unref(tab),
              "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
              dense: "",
              class: "text-grey",
              "active-color": "primary",
              "indicator-color": "primary",
              align: "justify",
              "narrow-indicator": ""
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_q_tab, {
                    name: "customer",
                    icon: "fa fa-user",
                    label: "Customer"
                  }, null, _parent3, _scopeId2));
                  if (unref(pitLib).auth.get().role == "admin") {
                    _push3(ssrRenderComponent(_component_q_tab, {
                      name: "employee",
                      icon: "fa fa-user-tie",
                      label: "Employee"
                    }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    createVNode(_component_q_tab, {
                      name: "customer",
                      icon: "fa fa-user",
                      label: "Customer"
                    }),
                    unref(pitLib).auth.get().role == "admin" ? (openBlock(), createBlock(_component_q_tab, {
                      key: 0,
                      name: "employee",
                      icon: "fa fa-user-tie",
                      label: "Employee"
                    })) : createCommentVNode("", true)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_separator, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_q_tab_panels, {
              modelValue: unref(tab),
              "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
              animated: ""
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_q_tab_panel, { name: "customer" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_lazy_panel_user_list_customer, null, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_lazy_panel_user_list_customer)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  if (unref(pitLib).auth.get().role == "admin") {
                    _push3(ssrRenderComponent(_component_q_tab_panel, { name: "employee" }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(ssrRenderComponent(_component_lazy_panel_user_list_employee, null, null, _parent4, _scopeId3));
                        } else {
                          return [
                            createVNode(_component_lazy_panel_user_list_employee)
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    createVNode(_component_q_tab_panel, { name: "customer" }, {
                      default: withCtx(() => [
                        createVNode(_component_lazy_panel_user_list_customer)
                      ]),
                      _: 1
                    }),
                    unref(pitLib).auth.get().role == "admin" ? (openBlock(), createBlock(_component_q_tab_panel, {
                      key: 0,
                      name: "employee"
                    }, {
                      default: withCtx(() => [
                        createVNode(_component_lazy_panel_user_list_employee)
                      ]),
                      _: 1
                    })) : createCommentVNode("", true)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_q_tabs, {
                modelValue: unref(tab),
                "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                dense: "",
                class: "text-grey",
                "active-color": "primary",
                "indicator-color": "primary",
                align: "justify",
                "narrow-indicator": ""
              }, {
                default: withCtx(() => [
                  createVNode(_component_q_tab, {
                    name: "customer",
                    icon: "fa fa-user",
                    label: "Customer"
                  }),
                  unref(pitLib).auth.get().role == "admin" ? (openBlock(), createBlock(_component_q_tab, {
                    key: 0,
                    name: "employee",
                    icon: "fa fa-user-tie",
                    label: "Employee"
                  })) : createCommentVNode("", true)
                ]),
                _: 1
              }, 8, ["modelValue", "onUpdate:modelValue"]),
              createVNode(_component_q_separator),
              createVNode(_component_q_tab_panels, {
                modelValue: unref(tab),
                "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                animated: ""
              }, {
                default: withCtx(() => [
                  createVNode(_component_q_tab_panel, { name: "customer" }, {
                    default: withCtx(() => [
                      createVNode(_component_lazy_panel_user_list_customer)
                    ]),
                    _: 1
                  }),
                  unref(pitLib).auth.get().role == "admin" ? (openBlock(), createBlock(_component_q_tab_panel, {
                    key: 0,
                    name: "employee"
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_lazy_panel_user_list_employee)
                    ]),
                    _: 1
                  })) : createCommentVNode("", true)
                ]),
                _: 1
              }, 8, ["modelValue", "onUpdate:modelValue"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panel/user/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-BjKAdL8D.mjs.map
