import { l as createComponent, t as createDirective, u as useSeoMeta, _ as __nuxt_component_0 } from './server.mjs';
import { computed, h, defineComponent, ref, reactive, watch, withCtx, unref, isRef, createVNode, createTextVNode, toDisplayString, withDirectives, vModelText, openBlock, createBlock, Fragment, renderList, createCommentVNode, mergeProps, useSSRContext } from 'vue';
import { u as usePinPanel } from './usePinPanel-Le9JJTLx.mjs';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrInterpolate, ssrRenderAttr, ssrRenderList, ssrGetDirectiveProps } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { _ as __nuxt_component_0$1, Q as QSeparator } from '../_/use-timeout.mjs';
import { _ as __nuxt_component_3, a as __nuxt_component_4, b as __nuxt_component_6, c as __nuxt_component_7 } from '../_/QTabPanel.mjs';
import { _ as __nuxt_component_2 } from '../_/QBtn.mjs';
import { _ as __nuxt_component_8 } from '../_/QDialog.mjs';
import { _ as __nuxt_component_1$1 } from '../_/use-prevent-scroll.mjs';
import { c as useAlignProps, u as useAlign } from '../_/use-router-link.mjs';
import { h as hSlot } from '../_/use-dark.mjs';
import { e as getSSRProps } from '../_/vm.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import 'gsap';
import 'imagesloaded';
import './env-B2a7_Xo2.mjs';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';
import '../_/QResizeObserver.mjs';
import '../_/use-tick.mjs';
import '../_/scroll.mjs';
import '../_/focusout.mjs';

const __nuxt_component_10 = createComponent({
  name: 'QCardActions',

  props: {
    ...useAlignProps,
    vertical: Boolean
  },

  setup (props, { slots }) {
    const alignClass = useAlign(props);

    const classes = computed(() =>
      `q-card__actions ${ alignClass.value }`
      + ` q-card__actions--${ props.vertical === true ? 'vert column' : 'horiz row' }`
    );

    return () => h('div', { class: classes.value }, hSlot(slots.default))
  }
});

const __q_directive_0 = createDirective({ name: 'close-popup', getSSRProps }
  
);

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    var _a, _b, _c;
    useSeoMeta({ title: "About Page - Vegan" });
    usePinPanel();
    const tab = ref("profile");
    const fd = reactive({
      password: ""
    });
    const runtimeVars = reactive({
      showModal: false,
      selMembershipData: null,
      loading_upd_planmembership: false
    });
    watch(runtimeVars, (d) => {
      var _a2, _b2, _c2;
      let remainingSched = ((_a2 = runtimeVars == null ? void 0 : runtimeVars.selMembershipData) == null ? void 0 : _a2.plan[0].session) - (((_b2 = runtimeVars == null ? void 0 : runtimeVars.selMembershipData) == null ? void 0 : _b2.calendar_schedule) ? (_c2 = runtimeVars == null ? void 0 : runtimeVars.selMembershipData) == null ? void 0 : _c2.calendar_schedule.length : 0);
      if (remainingSched)
        fd2.calendar_schedule = [];
      for (let i = 0; i < remainingSched; i++) {
        fd2 == null ? void 0 : fd2.calendar_schedule.push(null);
      }
    });
    const fd2 = reactive({
      _id: (_a = runtimeVars == null ? void 0 : runtimeVars.selMembershipData) == null ? void 0 : _a._id,
      calendar_schedule: []
    });
    const apiResp = ref();
    const { data: membershipsResp, pending: loadingmembershipsResp } = useFetch(endpoints.plan.membership.list, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_b = pitLib.auth.get()) == null ? void 0 : _b.token)
      },
      body: {
        created_by: (_c = pitLib.auth.get()) == null ? void 0 : _c._id
      }
    }, "$161L0imkVP");
    function logout() {
      pitLib.auth.clear();
      setTimeout(function() {
        (void 0).replace("/");
      }, 200);
    }
    function updateMembership() {
      var _a2;
      runtimeVars.loading_upd_planmembership = true;
      $fetch(endpoints.plan.membership.update, {
        body: fd2,
        method: "post",
        headers: {
          Authorization: "Bearer " + ((_a2 = pitLib.auth.get()) == null ? void 0 : _a2.token)
        }
      }).then((d) => {
        apiResp.value = d;
        if (!(d == null ? void 0 : d.status)) {
          pitLib.swal(d == null ? void 0 : d.message, "error", "bottom-right", 3500);
        }
        runtimeVars.loading_upd_planmembership = false;
      });
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_layout = __nuxt_component_0;
      const _component_q_card = __nuxt_component_0$1;
      const _component_q_tabs = __nuxt_component_3;
      const _component_q_tab = __nuxt_component_4;
      const _component_q_separator = QSeparator;
      const _component_q_tab_panels = __nuxt_component_6;
      const _component_q_tab_panel = __nuxt_component_7;
      const _component_q_btn = __nuxt_component_2;
      const _component_q_dialog = __nuxt_component_8;
      const _component_q_card_section = __nuxt_component_1$1;
      const _component_q_card_actions = __nuxt_component_10;
      const _directive_close_popup = __q_directive_0;
      _push(`<div${ssrRenderAttrs(_attrs)}>`);
      _push(ssrRenderComponent(_component_nuxt_layout, { name: "layout-six" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="row" style="${ssrRenderStyle({ "padding-top": "15%" })}"${_scopeId}><div class="col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3"${_scopeId}></div><div class="col"${_scopeId}><div class="card_"${_scopeId}><div class="q-pa-md"${_scopeId}><div class="q-gutter-y-md"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_q_card, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_q_tabs, {
                    modelValue: unref(tab),
                    "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                    dense: "",
                    class: "text-grey",
                    "active-color": "primary",
                    "indicator-color": "primary",
                    align: "justify",
                    "narrow-indicator": ""
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_q_tab, {
                          name: "profile",
                          label: "Profile",
                          icon: "fa fa-user"
                        }, null, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_tab, {
                          name: "purchases",
                          label: "Purchases",
                          icon: "fa fa-credit-card"
                        }, null, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_tab, {
                          name: "plans",
                          label: "Plans"
                        }, null, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_q_tab, {
                            name: "profile",
                            label: "Profile",
                            icon: "fa fa-user"
                          }),
                          createVNode(_component_q_tab, {
                            name: "purchases",
                            label: "Purchases",
                            icon: "fa fa-credit-card"
                          }),
                          createVNode(_component_q_tab, {
                            name: "plans",
                            label: "Plans"
                          })
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_q_separator, null, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_q_tab_panels, {
                    modelValue: unref(tab),
                    "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                    animated: ""
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_q_tab_panel, { name: "profile" }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            var _a2, _b2, _c2, _d, _e, _f;
                            if (_push5) {
                              _push5(`<div class="text-h3"${_scopeId4}><i class="fa-solid fa-user me-2"${_scopeId4}></i>Profile</div><div class="row mt-3"${_scopeId4}><div class="col-2"${_scopeId4}> Name </div><div class="col"${_scopeId4}>${ssrInterpolate((_a2 = unref(pitLib).auth.get()) == null ? void 0 : _a2.name)}</div></div><div class="row mt-3"${_scopeId4}><div class="col-2"${_scopeId4}> Email </div><div class="col"${_scopeId4}>${ssrInterpolate((_b2 = unref(pitLib).auth.get()) == null ? void 0 : _b2.email)}</div></div><div class="row mt-3"${_scopeId4}><div class="col-2"${_scopeId4}> Phone </div><div class="col"${_scopeId4}>${ssrInterpolate((_c2 = unref(pitLib).auth.get()) == null ? void 0 : _c2.phone)}</div></div><div class="row mt-3"${_scopeId4}><div class="col-2"${_scopeId4}><div class="form-floating mb-3"${_scopeId4}><input type="password" class="form-control" placeholder="****"${ssrRenderAttr("value", unref(fd).password)}${_scopeId4}><label for="floatingInput"${_scopeId4}>Change Password</label></div></div><div class="col"${_scopeId4}><button type="button" class="btn btn-primary"${_scopeId4}>Update</button><button type="button" class="btn btn-primary ms-3"${_scopeId4}>Logout</button></div></div>`);
                            } else {
                              return [
                                createVNode("div", { class: "text-h3" }, [
                                  createVNode("i", { class: "fa-solid fa-user me-2" }),
                                  createTextVNode("Profile")
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Name "),
                                  createVNode("div", { class: "col" }, toDisplayString((_d = unref(pitLib).auth.get()) == null ? void 0 : _d.name), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Email "),
                                  createVNode("div", { class: "col" }, toDisplayString((_e = unref(pitLib).auth.get()) == null ? void 0 : _e.email), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Phone "),
                                  createVNode("div", { class: "col" }, toDisplayString((_f = unref(pitLib).auth.get()) == null ? void 0 : _f.phone), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, [
                                    createVNode("div", { class: "form-floating mb-3" }, [
                                      withDirectives(createVNode("input", {
                                        type: "password",
                                        class: "form-control",
                                        placeholder: "****",
                                        "onUpdate:modelValue": ($event) => unref(fd).password = $event
                                      }, null, 8, ["onUpdate:modelValue"]), [
                                        [vModelText, unref(fd).password]
                                      ]),
                                      createVNode("label", { for: "floatingInput" }, "Change Password")
                                    ])
                                  ]),
                                  createVNode("div", { class: "col" }, [
                                    createVNode("button", {
                                      onClick: ($event) => _ctx.update(),
                                      type: "button",
                                      class: "btn btn-primary"
                                    }, "Update", 8, ["onClick"]),
                                    createVNode("button", {
                                      onClick: ($event) => logout(),
                                      type: "button",
                                      class: "btn btn-primary ms-3"
                                    }, "Logout", 8, ["onClick"])
                                  ])
                                ])
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_tab_panel, { name: "purchases" }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            var _a2, _b2, _c2, _d;
                            if (_push5) {
                              _push5(`<div class="text-h3"${_scopeId4}><i class="fa-solid fa-user me-2"${_scopeId4}></i>Memberships</div>`);
                              if (!unref(loadingmembershipsResp)) {
                                _push5(`<table class="table table-hover mt-4"${_scopeId4}><thead${_scopeId4}><tr${_scopeId4}><th${_scopeId4}>Plan</th><th${_scopeId4}>Price</th><th${_scopeId4}>Purchased On</th><th${_scopeId4}>Expiry On</th><th${_scopeId4}>Action</th></tr></thead><tbody${_scopeId4}><!--[-->`);
                                ssrRenderList((_b2 = (_a2 = unref(membershipsResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data, (m) => {
                                  var _a4;
                                  var _a3, _b3, _c3;
                                  _push5(`<tr${_scopeId4}><td${_scopeId4}>${ssrInterpolate((_a4 = (_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) != null ? _a4 : "---")} Plan</td><td${_scopeId4}>${ssrInterpolate((_b3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _b3.currency)} ${ssrInterpolate(((_c3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _c3.amount_paid) / 100)}</td><td${_scopeId4}>${ssrInterpolate((m == null ? void 0 : m.created_at) ? new Date(m == null ? void 0 : m.created_at) : "---")}</td><td${_scopeId4}>${ssrInterpolate((m == null ? void 0 : m.expiry) ? new Date(m == null ? void 0 : m.expiry) : "---")}</td><td${_scopeId4}>`);
                                  _push5(ssrRenderComponent(_component_q_btn, {
                                    onClick: ($event) => {
                                      unref(runtimeVars).selMembershipData = m;
                                      unref(fd2)._id = m == null ? void 0 : m._id;
                                      unref(runtimeVars).showModal = true;
                                    },
                                    round: "",
                                    color: "blue",
                                    icon: "fa fa-eye"
                                  }, null, _parent5, _scopeId4));
                                  _push5(`</td></tr>`);
                                });
                                _push5(`<!--]--></tbody></table>`);
                              } else {
                                _push5(`<!---->`);
                              }
                            } else {
                              return [
                                createVNode("div", { class: "text-h3" }, [
                                  createVNode("i", { class: "fa-solid fa-user me-2" }),
                                  createTextVNode("Memberships")
                                ]),
                                !unref(loadingmembershipsResp) ? (openBlock(), createBlock("table", {
                                  key: 0,
                                  class: "table table-hover mt-4"
                                }, [
                                  createVNode("thead", null, [
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan"),
                                      createVNode("th", null, "Price"),
                                      createVNode("th", null, "Purchased On"),
                                      createVNode("th", null, "Expiry On"),
                                      createVNode("th", null, "Action")
                                    ])
                                  ]),
                                  createVNode("tbody", null, [
                                    (openBlock(true), createBlock(Fragment, null, renderList((_d = (_c2 = unref(membershipsResp)) == null ? void 0 : _c2.data) == null ? void 0 : _d.data, (m) => {
                                      var _a4;
                                      var _a3, _b3, _c3;
                                      return openBlock(), createBlock("tr", null, [
                                        createVNode("td", null, toDisplayString((_a4 = (_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) != null ? _a4 : "---") + " Plan", 1),
                                        createVNode("td", null, toDisplayString((_b3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _b3.currency) + " " + toDisplayString(((_c3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _c3.amount_paid) / 100), 1),
                                        createVNode("td", null, toDisplayString((m == null ? void 0 : m.created_at) ? new Date(m == null ? void 0 : m.created_at) : "---"), 1),
                                        createVNode("td", null, toDisplayString((m == null ? void 0 : m.expiry) ? new Date(m == null ? void 0 : m.expiry) : "---"), 1),
                                        createVNode("td", null, [
                                          createVNode(_component_q_btn, {
                                            onClick: ($event) => {
                                              unref(runtimeVars).selMembershipData = m;
                                              unref(fd2)._id = m == null ? void 0 : m._id;
                                              unref(runtimeVars).showModal = true;
                                            },
                                            round: "",
                                            color: "blue",
                                            icon: "fa fa-eye"
                                          }, null, 8, ["onClick"])
                                        ])
                                      ]);
                                    }), 256))
                                  ])
                                ])) : createCommentVNode("", true)
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_tab_panel, { name: "plans" }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(`<div class="text-h6"${_scopeId4}>Plans</div> Lorem ipsum dolor sit amet consectetur adipisicing elit. `);
                            } else {
                              return [
                                createVNode("div", { class: "text-h6" }, "Plans"),
                                createTextVNode(" Lorem ipsum dolor sit amet consectetur adipisicing elit. ")
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_q_tab_panel, { name: "profile" }, {
                            default: withCtx(() => {
                              var _a2, _b2, _c2;
                              return [
                                createVNode("div", { class: "text-h3" }, [
                                  createVNode("i", { class: "fa-solid fa-user me-2" }),
                                  createTextVNode("Profile")
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Name "),
                                  createVNode("div", { class: "col" }, toDisplayString((_a2 = unref(pitLib).auth.get()) == null ? void 0 : _a2.name), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Email "),
                                  createVNode("div", { class: "col" }, toDisplayString((_b2 = unref(pitLib).auth.get()) == null ? void 0 : _b2.email), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, " Phone "),
                                  createVNode("div", { class: "col" }, toDisplayString((_c2 = unref(pitLib).auth.get()) == null ? void 0 : _c2.phone), 1)
                                ]),
                                createVNode("div", { class: "row mt-3" }, [
                                  createVNode("div", { class: "col-2" }, [
                                    createVNode("div", { class: "form-floating mb-3" }, [
                                      withDirectives(createVNode("input", {
                                        type: "password",
                                        class: "form-control",
                                        placeholder: "****",
                                        "onUpdate:modelValue": ($event) => unref(fd).password = $event
                                      }, null, 8, ["onUpdate:modelValue"]), [
                                        [vModelText, unref(fd).password]
                                      ]),
                                      createVNode("label", { for: "floatingInput" }, "Change Password")
                                    ])
                                  ]),
                                  createVNode("div", { class: "col" }, [
                                    createVNode("button", {
                                      onClick: ($event) => _ctx.update(),
                                      type: "button",
                                      class: "btn btn-primary"
                                    }, "Update", 8, ["onClick"]),
                                    createVNode("button", {
                                      onClick: ($event) => logout(),
                                      type: "button",
                                      class: "btn btn-primary ms-3"
                                    }, "Logout", 8, ["onClick"])
                                  ])
                                ])
                              ];
                            }),
                            _: 1
                          }),
                          createVNode(_component_q_tab_panel, { name: "purchases" }, {
                            default: withCtx(() => {
                              var _a2, _b2;
                              return [
                                createVNode("div", { class: "text-h3" }, [
                                  createVNode("i", { class: "fa-solid fa-user me-2" }),
                                  createTextVNode("Memberships")
                                ]),
                                !unref(loadingmembershipsResp) ? (openBlock(), createBlock("table", {
                                  key: 0,
                                  class: "table table-hover mt-4"
                                }, [
                                  createVNode("thead", null, [
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan"),
                                      createVNode("th", null, "Price"),
                                      createVNode("th", null, "Purchased On"),
                                      createVNode("th", null, "Expiry On"),
                                      createVNode("th", null, "Action")
                                    ])
                                  ]),
                                  createVNode("tbody", null, [
                                    (openBlock(true), createBlock(Fragment, null, renderList((_b2 = (_a2 = unref(membershipsResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data, (m) => {
                                      var _a4;
                                      var _a3, _b3, _c2;
                                      return openBlock(), createBlock("tr", null, [
                                        createVNode("td", null, toDisplayString((_a4 = (_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) != null ? _a4 : "---") + " Plan", 1),
                                        createVNode("td", null, toDisplayString((_b3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _b3.currency) + " " + toDisplayString(((_c2 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _c2.amount_paid) / 100), 1),
                                        createVNode("td", null, toDisplayString((m == null ? void 0 : m.created_at) ? new Date(m == null ? void 0 : m.created_at) : "---"), 1),
                                        createVNode("td", null, toDisplayString((m == null ? void 0 : m.expiry) ? new Date(m == null ? void 0 : m.expiry) : "---"), 1),
                                        createVNode("td", null, [
                                          createVNode(_component_q_btn, {
                                            onClick: ($event) => {
                                              unref(runtimeVars).selMembershipData = m;
                                              unref(fd2)._id = m == null ? void 0 : m._id;
                                              unref(runtimeVars).showModal = true;
                                            },
                                            round: "",
                                            color: "blue",
                                            icon: "fa fa-eye"
                                          }, null, 8, ["onClick"])
                                        ])
                                      ]);
                                    }), 256))
                                  ])
                                ])) : createCommentVNode("", true)
                              ];
                            }),
                            _: 1
                          }),
                          createVNode(_component_q_tab_panel, { name: "plans" }, {
                            default: withCtx(() => [
                              createVNode("div", { class: "text-h6" }, "Plans"),
                              createTextVNode(" Lorem ipsum dolor sit amet consectetur adipisicing elit. ")
                            ]),
                            _: 1
                          })
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_q_tabs, {
                      modelValue: unref(tab),
                      "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                      dense: "",
                      class: "text-grey",
                      "active-color": "primary",
                      "indicator-color": "primary",
                      align: "justify",
                      "narrow-indicator": ""
                    }, {
                      default: withCtx(() => [
                        createVNode(_component_q_tab, {
                          name: "profile",
                          label: "Profile",
                          icon: "fa fa-user"
                        }),
                        createVNode(_component_q_tab, {
                          name: "purchases",
                          label: "Purchases",
                          icon: "fa fa-credit-card"
                        }),
                        createVNode(_component_q_tab, {
                          name: "plans",
                          label: "Plans"
                        })
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue"]),
                    createVNode(_component_q_separator),
                    createVNode(_component_q_tab_panels, {
                      modelValue: unref(tab),
                      "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                      animated: ""
                    }, {
                      default: withCtx(() => [
                        createVNode(_component_q_tab_panel, { name: "profile" }, {
                          default: withCtx(() => {
                            var _a2, _b2, _c2;
                            return [
                              createVNode("div", { class: "text-h3" }, [
                                createVNode("i", { class: "fa-solid fa-user me-2" }),
                                createTextVNode("Profile")
                              ]),
                              createVNode("div", { class: "row mt-3" }, [
                                createVNode("div", { class: "col-2" }, " Name "),
                                createVNode("div", { class: "col" }, toDisplayString((_a2 = unref(pitLib).auth.get()) == null ? void 0 : _a2.name), 1)
                              ]),
                              createVNode("div", { class: "row mt-3" }, [
                                createVNode("div", { class: "col-2" }, " Email "),
                                createVNode("div", { class: "col" }, toDisplayString((_b2 = unref(pitLib).auth.get()) == null ? void 0 : _b2.email), 1)
                              ]),
                              createVNode("div", { class: "row mt-3" }, [
                                createVNode("div", { class: "col-2" }, " Phone "),
                                createVNode("div", { class: "col" }, toDisplayString((_c2 = unref(pitLib).auth.get()) == null ? void 0 : _c2.phone), 1)
                              ]),
                              createVNode("div", { class: "row mt-3" }, [
                                createVNode("div", { class: "col-2" }, [
                                  createVNode("div", { class: "form-floating mb-3" }, [
                                    withDirectives(createVNode("input", {
                                      type: "password",
                                      class: "form-control",
                                      placeholder: "****",
                                      "onUpdate:modelValue": ($event) => unref(fd).password = $event
                                    }, null, 8, ["onUpdate:modelValue"]), [
                                      [vModelText, unref(fd).password]
                                    ]),
                                    createVNode("label", { for: "floatingInput" }, "Change Password")
                                  ])
                                ]),
                                createVNode("div", { class: "col" }, [
                                  createVNode("button", {
                                    onClick: ($event) => _ctx.update(),
                                    type: "button",
                                    class: "btn btn-primary"
                                  }, "Update", 8, ["onClick"]),
                                  createVNode("button", {
                                    onClick: ($event) => logout(),
                                    type: "button",
                                    class: "btn btn-primary ms-3"
                                  }, "Logout", 8, ["onClick"])
                                ])
                              ])
                            ];
                          }),
                          _: 1
                        }),
                        createVNode(_component_q_tab_panel, { name: "purchases" }, {
                          default: withCtx(() => {
                            var _a2, _b2;
                            return [
                              createVNode("div", { class: "text-h3" }, [
                                createVNode("i", { class: "fa-solid fa-user me-2" }),
                                createTextVNode("Memberships")
                              ]),
                              !unref(loadingmembershipsResp) ? (openBlock(), createBlock("table", {
                                key: 0,
                                class: "table table-hover mt-4"
                              }, [
                                createVNode("thead", null, [
                                  createVNode("tr", null, [
                                    createVNode("th", null, "Plan"),
                                    createVNode("th", null, "Price"),
                                    createVNode("th", null, "Purchased On"),
                                    createVNode("th", null, "Expiry On"),
                                    createVNode("th", null, "Action")
                                  ])
                                ]),
                                createVNode("tbody", null, [
                                  (openBlock(true), createBlock(Fragment, null, renderList((_b2 = (_a2 = unref(membershipsResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data, (m) => {
                                    var _a4;
                                    var _a3, _b3, _c2;
                                    return openBlock(), createBlock("tr", null, [
                                      createVNode("td", null, toDisplayString((_a4 = (_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) != null ? _a4 : "---") + " Plan", 1),
                                      createVNode("td", null, toDisplayString((_b3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _b3.currency) + " " + toDisplayString(((_c2 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _c2.amount_paid) / 100), 1),
                                      createVNode("td", null, toDisplayString((m == null ? void 0 : m.created_at) ? new Date(m == null ? void 0 : m.created_at) : "---"), 1),
                                      createVNode("td", null, toDisplayString((m == null ? void 0 : m.expiry) ? new Date(m == null ? void 0 : m.expiry) : "---"), 1),
                                      createVNode("td", null, [
                                        createVNode(_component_q_btn, {
                                          onClick: ($event) => {
                                            unref(runtimeVars).selMembershipData = m;
                                            unref(fd2)._id = m == null ? void 0 : m._id;
                                            unref(runtimeVars).showModal = true;
                                          },
                                          round: "",
                                          color: "blue",
                                          icon: "fa fa-eye"
                                        }, null, 8, ["onClick"])
                                      ])
                                    ]);
                                  }), 256))
                                ])
                              ])) : createCommentVNode("", true)
                            ];
                          }),
                          _: 1
                        }),
                        createVNode(_component_q_tab_panel, { name: "plans" }, {
                          default: withCtx(() => [
                            createVNode("div", { class: "text-h6" }, "Plans"),
                            createTextVNode(" Lorem ipsum dolor sit amet consectetur adipisicing elit. ")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div></div></div></div><div class="col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3"${_scopeId}></div></div>`);
            _push2(ssrRenderComponent(_component_q_dialog, {
              modelValue: unref(runtimeVars).showModal,
              "onUpdate:modelValue": ($event) => unref(runtimeVars).showModal = $event
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_q_card, { style: { "width": "700px", "max-width": "80vw" } }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_q_card_section, null, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(`<div class="text-h6"${_scopeId4}>Details</div>`);
                            } else {
                              return [
                                createVNode("div", { class: "text-h6" }, "Details")
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_card_section, { class: "q-pt-none" }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            var _a2, _b2, _c2, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V, _W, _X, _Y, _Z, __, _$, _aa, _ba, _ca, _da, _ea, _fa;
                            if (_push5) {
                              _push5(`<table class="table table-hover"${_scopeId4}><tbody${_scopeId4}><tr${_scopeId4}><th${_scopeId4}>Calendar Schedules Fixed</th><td${_scopeId4}>${ssrInterpolate(((_b2 = (_a2 = unref(runtimeVars)) == null ? void 0 : _a2.selMembershipData) == null ? void 0 : _b2.calendar_schedule) ? (_d = (_c2 = unref(runtimeVars)) == null ? void 0 : _c2.selMembershipData) == null ? void 0 : _d.calendar_schedule.length : 0)}</td></tr><tr${_scopeId4}><th${_scopeId4}>Calendar Schedules In Plan</th><td${_scopeId4}>${ssrInterpolate((_f = (_e = unref(runtimeVars)) == null ? void 0 : _e.selMembershipData) == null ? void 0 : _f.plan[0].session)}</td></tr><tr${_scopeId4}><th${_scopeId4}>Plan Validity</th><td${_scopeId4}>${ssrInterpolate((_h = (_g = unref(runtimeVars)) == null ? void 0 : _g.selMembershipData) == null ? void 0 : _h.plan[0].validity)} Days</td></tr><tr${_scopeId4}><th${_scopeId4}>Plan Features</th><td${_scopeId4}><ul${_scopeId4}><li${_scopeId4}>Diet Sheet: ${ssrInterpolate((_j = (_i = unref(runtimeVars)) == null ? void 0 : _i.selMembershipData) == null ? void 0 : _j.plan[0].data[0])}</li><li${_scopeId4}>Consultation: ${ssrInterpolate((_l = (_k = unref(runtimeVars)) == null ? void 0 : _k.selMembershipData) == null ? void 0 : _l.plan[0].data[1])}</li><li${_scopeId4}>Calls: ${ssrInterpolate((_n = (_m = unref(runtimeVars)) == null ? void 0 : _m.selMembershipData) == null ? void 0 : _n.plan[0].data[2])}</li><li${_scopeId4}>Supplement Discount: ${ssrInterpolate((_p = (_o = unref(runtimeVars)) == null ? void 0 : _o.selMembershipData) == null ? void 0 : _p.plan[0].data[4])}</li><li${_scopeId4}>${ssrInterpolate((_r = (_q = unref(runtimeVars)) == null ? void 0 : _q.selMembershipData) == null ? void 0 : _r.plan[0].data[5])}</li></ul></td></tr></tbody></table>`);
                              if (((_t = (_s = unref(runtimeVars)) == null ? void 0 : _s.selMembershipData) == null ? void 0 : _t.plan[0].session) > (((_v = (_u = unref(runtimeVars)) == null ? void 0 : _u.selMembershipData) == null ? void 0 : _v.calendar_schedule) ? (_x = (_w = unref(runtimeVars)) == null ? void 0 : _w.selMembershipData) == null ? void 0 : _x.calendar_schedule.length : 0)) {
                                _push5(`<div class=""${_scopeId4}> You have ${ssrInterpolate(((_z = (_y = unref(runtimeVars)) == null ? void 0 : _y.selMembershipData) == null ? void 0 : _z.plan[0].session) - (((_B = (_A = unref(runtimeVars)) == null ? void 0 : _A.selMembershipData) == null ? void 0 : _B.calendar_schedule) ? (_D = (_C = unref(runtimeVars)) == null ? void 0 : _C.selMembershipData) == null ? void 0 : _D.calendar_schedule.length : 0))} Sessions to choose <div class="row"${_scopeId4}><!--[-->`);
                                ssrRenderList(unref(fd2).calendar_schedule, (s, i) => {
                                  _push5(`<div class="col-3"${_scopeId4}><input type="datetime-local" class="form-control"${ssrRenderAttr("value", unref(fd2).calendar_schedule[i])}${_scopeId4}></div>`);
                                });
                                _push5(`<!--]--><div class="col-3"${_scopeId4}>`);
                                _push5(ssrRenderComponent(_component_q_btn, {
                                  round: "",
                                  color: "blue",
                                  icon: "fa fa-check",
                                  onClick: ($event) => updateMembership(),
                                  loading: unref(runtimeVars).loading_upd_planmembership,
                                  disable: unref(runtimeVars).loading_upd_planmembership
                                }, null, _parent5, _scopeId4));
                                _push5(`</div></div></div>`);
                              } else {
                                _push5(`<!---->`);
                              }
                            } else {
                              return [
                                createVNode("table", { class: "table table-hover" }, [
                                  createVNode("tbody", null, [
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Calendar Schedules Fixed"),
                                      createVNode("td", null, toDisplayString(((_F = (_E = unref(runtimeVars)) == null ? void 0 : _E.selMembershipData) == null ? void 0 : _F.calendar_schedule) ? (_H = (_G = unref(runtimeVars)) == null ? void 0 : _G.selMembershipData) == null ? void 0 : _H.calendar_schedule.length : 0), 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Calendar Schedules In Plan"),
                                      createVNode("td", null, toDisplayString((_J = (_I = unref(runtimeVars)) == null ? void 0 : _I.selMembershipData) == null ? void 0 : _J.plan[0].session), 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan Validity"),
                                      createVNode("td", null, toDisplayString((_L = (_K = unref(runtimeVars)) == null ? void 0 : _K.selMembershipData) == null ? void 0 : _L.plan[0].validity) + " Days", 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan Features"),
                                      createVNode("td", null, [
                                        createVNode("ul", null, [
                                          createVNode("li", null, "Diet Sheet: " + toDisplayString((_N = (_M = unref(runtimeVars)) == null ? void 0 : _M.selMembershipData) == null ? void 0 : _N.plan[0].data[0]), 1),
                                          createVNode("li", null, "Consultation: " + toDisplayString((_P = (_O = unref(runtimeVars)) == null ? void 0 : _O.selMembershipData) == null ? void 0 : _P.plan[0].data[1]), 1),
                                          createVNode("li", null, "Calls: " + toDisplayString((_R = (_Q = unref(runtimeVars)) == null ? void 0 : _Q.selMembershipData) == null ? void 0 : _R.plan[0].data[2]), 1),
                                          createVNode("li", null, "Supplement Discount: " + toDisplayString((_T = (_S = unref(runtimeVars)) == null ? void 0 : _S.selMembershipData) == null ? void 0 : _T.plan[0].data[4]), 1),
                                          createVNode("li", null, toDisplayString((_V = (_U = unref(runtimeVars)) == null ? void 0 : _U.selMembershipData) == null ? void 0 : _V.plan[0].data[5]), 1)
                                        ])
                                      ])
                                    ])
                                  ])
                                ]),
                                ((_X = (_W = unref(runtimeVars)) == null ? void 0 : _W.selMembershipData) == null ? void 0 : _X.plan[0].session) > (((_Z = (_Y = unref(runtimeVars)) == null ? void 0 : _Y.selMembershipData) == null ? void 0 : _Z.calendar_schedule) ? (_$ = (__ = unref(runtimeVars)) == null ? void 0 : __.selMembershipData) == null ? void 0 : _$.calendar_schedule.length : 0) ? (openBlock(), createBlock("div", {
                                  key: 0,
                                  class: ""
                                }, [
                                  createTextVNode(" You have " + toDisplayString(((_ba = (_aa = unref(runtimeVars)) == null ? void 0 : _aa.selMembershipData) == null ? void 0 : _ba.plan[0].session) - (((_da = (_ca = unref(runtimeVars)) == null ? void 0 : _ca.selMembershipData) == null ? void 0 : _da.calendar_schedule) ? (_fa = (_ea = unref(runtimeVars)) == null ? void 0 : _ea.selMembershipData) == null ? void 0 : _fa.calendar_schedule.length : 0)) + " Sessions to choose ", 1),
                                  createVNode("div", { class: "row" }, [
                                    (openBlock(true), createBlock(Fragment, null, renderList(unref(fd2).calendar_schedule, (s, i) => {
                                      return openBlock(), createBlock("div", { class: "col-3" }, [
                                        withDirectives(createVNode("input", {
                                          type: "datetime-local",
                                          class: "form-control",
                                          "onUpdate:modelValue": ($event) => unref(fd2).calendar_schedule[i] = $event
                                        }, null, 8, ["onUpdate:modelValue"]), [
                                          [vModelText, unref(fd2).calendar_schedule[i]]
                                        ])
                                      ]);
                                    }), 256)),
                                    createVNode("div", { class: "col-3" }, [
                                      createVNode(_component_q_btn, {
                                        round: "",
                                        color: "blue",
                                        icon: "fa fa-check",
                                        onClick: ($event) => updateMembership(),
                                        loading: unref(runtimeVars).loading_upd_planmembership,
                                        disable: unref(runtimeVars).loading_upd_planmembership
                                      }, null, 8, ["onClick", "loading", "disable"])
                                    ])
                                  ])
                                ])) : createCommentVNode("", true)
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_q_card_actions, {
                          align: "right",
                          class: "bg-white text-teal"
                        }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(ssrRenderComponent(_component_q_btn, mergeProps({
                                flat: "",
                                label: "Close",
                                class: "bg-yellow"
                              }, ssrGetDirectiveProps(_ctx, _directive_close_popup)), null, _parent5, _scopeId4));
                            } else {
                              return [
                                withDirectives(createVNode(_component_q_btn, {
                                  flat: "",
                                  label: "Close",
                                  class: "bg-yellow"
                                }, null, 512), [
                                  [_directive_close_popup]
                                ])
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_q_card_section, null, {
                            default: withCtx(() => [
                              createVNode("div", { class: "text-h6" }, "Details")
                            ]),
                            _: 1
                          }),
                          createVNode(_component_q_card_section, { class: "q-pt-none" }, {
                            default: withCtx(() => {
                              var _a2, _b2, _c2, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D;
                              return [
                                createVNode("table", { class: "table table-hover" }, [
                                  createVNode("tbody", null, [
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Calendar Schedules Fixed"),
                                      createVNode("td", null, toDisplayString(((_b2 = (_a2 = unref(runtimeVars)) == null ? void 0 : _a2.selMembershipData) == null ? void 0 : _b2.calendar_schedule) ? (_d = (_c2 = unref(runtimeVars)) == null ? void 0 : _c2.selMembershipData) == null ? void 0 : _d.calendar_schedule.length : 0), 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Calendar Schedules In Plan"),
                                      createVNode("td", null, toDisplayString((_f = (_e = unref(runtimeVars)) == null ? void 0 : _e.selMembershipData) == null ? void 0 : _f.plan[0].session), 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan Validity"),
                                      createVNode("td", null, toDisplayString((_h = (_g = unref(runtimeVars)) == null ? void 0 : _g.selMembershipData) == null ? void 0 : _h.plan[0].validity) + " Days", 1)
                                    ]),
                                    createVNode("tr", null, [
                                      createVNode("th", null, "Plan Features"),
                                      createVNode("td", null, [
                                        createVNode("ul", null, [
                                          createVNode("li", null, "Diet Sheet: " + toDisplayString((_j = (_i = unref(runtimeVars)) == null ? void 0 : _i.selMembershipData) == null ? void 0 : _j.plan[0].data[0]), 1),
                                          createVNode("li", null, "Consultation: " + toDisplayString((_l = (_k = unref(runtimeVars)) == null ? void 0 : _k.selMembershipData) == null ? void 0 : _l.plan[0].data[1]), 1),
                                          createVNode("li", null, "Calls: " + toDisplayString((_n = (_m = unref(runtimeVars)) == null ? void 0 : _m.selMembershipData) == null ? void 0 : _n.plan[0].data[2]), 1),
                                          createVNode("li", null, "Supplement Discount: " + toDisplayString((_p = (_o = unref(runtimeVars)) == null ? void 0 : _o.selMembershipData) == null ? void 0 : _p.plan[0].data[4]), 1),
                                          createVNode("li", null, toDisplayString((_r = (_q = unref(runtimeVars)) == null ? void 0 : _q.selMembershipData) == null ? void 0 : _r.plan[0].data[5]), 1)
                                        ])
                                      ])
                                    ])
                                  ])
                                ]),
                                ((_t = (_s = unref(runtimeVars)) == null ? void 0 : _s.selMembershipData) == null ? void 0 : _t.plan[0].session) > (((_v = (_u = unref(runtimeVars)) == null ? void 0 : _u.selMembershipData) == null ? void 0 : _v.calendar_schedule) ? (_x = (_w = unref(runtimeVars)) == null ? void 0 : _w.selMembershipData) == null ? void 0 : _x.calendar_schedule.length : 0) ? (openBlock(), createBlock("div", {
                                  key: 0,
                                  class: ""
                                }, [
                                  createTextVNode(" You have " + toDisplayString(((_z = (_y = unref(runtimeVars)) == null ? void 0 : _y.selMembershipData) == null ? void 0 : _z.plan[0].session) - (((_B = (_A = unref(runtimeVars)) == null ? void 0 : _A.selMembershipData) == null ? void 0 : _B.calendar_schedule) ? (_D = (_C = unref(runtimeVars)) == null ? void 0 : _C.selMembershipData) == null ? void 0 : _D.calendar_schedule.length : 0)) + " Sessions to choose ", 1),
                                  createVNode("div", { class: "row" }, [
                                    (openBlock(true), createBlock(Fragment, null, renderList(unref(fd2).calendar_schedule, (s, i) => {
                                      return openBlock(), createBlock("div", { class: "col-3" }, [
                                        withDirectives(createVNode("input", {
                                          type: "datetime-local",
                                          class: "form-control",
                                          "onUpdate:modelValue": ($event) => unref(fd2).calendar_schedule[i] = $event
                                        }, null, 8, ["onUpdate:modelValue"]), [
                                          [vModelText, unref(fd2).calendar_schedule[i]]
                                        ])
                                      ]);
                                    }), 256)),
                                    createVNode("div", { class: "col-3" }, [
                                      createVNode(_component_q_btn, {
                                        round: "",
                                        color: "blue",
                                        icon: "fa fa-check",
                                        onClick: ($event) => updateMembership(),
                                        loading: unref(runtimeVars).loading_upd_planmembership,
                                        disable: unref(runtimeVars).loading_upd_planmembership
                                      }, null, 8, ["onClick", "loading", "disable"])
                                    ])
                                  ])
                                ])) : createCommentVNode("", true)
                              ];
                            }),
                            _: 1
                          }),
                          createVNode(_component_q_card_actions, {
                            align: "right",
                            class: "bg-white text-teal"
                          }, {
                            default: withCtx(() => [
                              withDirectives(createVNode(_component_q_btn, {
                                flat: "",
                                label: "Close",
                                class: "bg-yellow"
                              }, null, 512), [
                                [_directive_close_popup]
                              ])
                            ]),
                            _: 1
                          })
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_q_card, { style: { "width": "700px", "max-width": "80vw" } }, {
                      default: withCtx(() => [
                        createVNode(_component_q_card_section, null, {
                          default: withCtx(() => [
                            createVNode("div", { class: "text-h6" }, "Details")
                          ]),
                          _: 1
                        }),
                        createVNode(_component_q_card_section, { class: "q-pt-none" }, {
                          default: withCtx(() => {
                            var _a2, _b2, _c2, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D;
                            return [
                              createVNode("table", { class: "table table-hover" }, [
                                createVNode("tbody", null, [
                                  createVNode("tr", null, [
                                    createVNode("th", null, "Calendar Schedules Fixed"),
                                    createVNode("td", null, toDisplayString(((_b2 = (_a2 = unref(runtimeVars)) == null ? void 0 : _a2.selMembershipData) == null ? void 0 : _b2.calendar_schedule) ? (_d = (_c2 = unref(runtimeVars)) == null ? void 0 : _c2.selMembershipData) == null ? void 0 : _d.calendar_schedule.length : 0), 1)
                                  ]),
                                  createVNode("tr", null, [
                                    createVNode("th", null, "Calendar Schedules In Plan"),
                                    createVNode("td", null, toDisplayString((_f = (_e = unref(runtimeVars)) == null ? void 0 : _e.selMembershipData) == null ? void 0 : _f.plan[0].session), 1)
                                  ]),
                                  createVNode("tr", null, [
                                    createVNode("th", null, "Plan Validity"),
                                    createVNode("td", null, toDisplayString((_h = (_g = unref(runtimeVars)) == null ? void 0 : _g.selMembershipData) == null ? void 0 : _h.plan[0].validity) + " Days", 1)
                                  ]),
                                  createVNode("tr", null, [
                                    createVNode("th", null, "Plan Features"),
                                    createVNode("td", null, [
                                      createVNode("ul", null, [
                                        createVNode("li", null, "Diet Sheet: " + toDisplayString((_j = (_i = unref(runtimeVars)) == null ? void 0 : _i.selMembershipData) == null ? void 0 : _j.plan[0].data[0]), 1),
                                        createVNode("li", null, "Consultation: " + toDisplayString((_l = (_k = unref(runtimeVars)) == null ? void 0 : _k.selMembershipData) == null ? void 0 : _l.plan[0].data[1]), 1),
                                        createVNode("li", null, "Calls: " + toDisplayString((_n = (_m = unref(runtimeVars)) == null ? void 0 : _m.selMembershipData) == null ? void 0 : _n.plan[0].data[2]), 1),
                                        createVNode("li", null, "Supplement Discount: " + toDisplayString((_p = (_o = unref(runtimeVars)) == null ? void 0 : _o.selMembershipData) == null ? void 0 : _p.plan[0].data[4]), 1),
                                        createVNode("li", null, toDisplayString((_r = (_q = unref(runtimeVars)) == null ? void 0 : _q.selMembershipData) == null ? void 0 : _r.plan[0].data[5]), 1)
                                      ])
                                    ])
                                  ])
                                ])
                              ]),
                              ((_t = (_s = unref(runtimeVars)) == null ? void 0 : _s.selMembershipData) == null ? void 0 : _t.plan[0].session) > (((_v = (_u = unref(runtimeVars)) == null ? void 0 : _u.selMembershipData) == null ? void 0 : _v.calendar_schedule) ? (_x = (_w = unref(runtimeVars)) == null ? void 0 : _w.selMembershipData) == null ? void 0 : _x.calendar_schedule.length : 0) ? (openBlock(), createBlock("div", {
                                key: 0,
                                class: ""
                              }, [
                                createTextVNode(" You have " + toDisplayString(((_z = (_y = unref(runtimeVars)) == null ? void 0 : _y.selMembershipData) == null ? void 0 : _z.plan[0].session) - (((_B = (_A = unref(runtimeVars)) == null ? void 0 : _A.selMembershipData) == null ? void 0 : _B.calendar_schedule) ? (_D = (_C = unref(runtimeVars)) == null ? void 0 : _C.selMembershipData) == null ? void 0 : _D.calendar_schedule.length : 0)) + " Sessions to choose ", 1),
                                createVNode("div", { class: "row" }, [
                                  (openBlock(true), createBlock(Fragment, null, renderList(unref(fd2).calendar_schedule, (s, i) => {
                                    return openBlock(), createBlock("div", { class: "col-3" }, [
                                      withDirectives(createVNode("input", {
                                        type: "datetime-local",
                                        class: "form-control",
                                        "onUpdate:modelValue": ($event) => unref(fd2).calendar_schedule[i] = $event
                                      }, null, 8, ["onUpdate:modelValue"]), [
                                        [vModelText, unref(fd2).calendar_schedule[i]]
                                      ])
                                    ]);
                                  }), 256)),
                                  createVNode("div", { class: "col-3" }, [
                                    createVNode(_component_q_btn, {
                                      round: "",
                                      color: "blue",
                                      icon: "fa fa-check",
                                      onClick: ($event) => updateMembership(),
                                      loading: unref(runtimeVars).loading_upd_planmembership,
                                      disable: unref(runtimeVars).loading_upd_planmembership
                                    }, null, 8, ["onClick", "loading", "disable"])
                                  ])
                                ])
                              ])) : createCommentVNode("", true)
                            ];
                          }),
                          _: 1
                        }),
                        createVNode(_component_q_card_actions, {
                          align: "right",
                          class: "bg-white text-teal"
                        }, {
                          default: withCtx(() => [
                            withDirectives(createVNode(_component_q_btn, {
                              flat: "",
                              label: "Close",
                              class: "bg-yellow"
                            }, null, 512), [
                              [_directive_close_popup]
                            ])
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", {
                class: "row",
                style: { "padding-top": "15%" }
              }, [
                createVNode("div", { class: "col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3" }),
                createVNode("div", { class: "col" }, [
                  createVNode("div", { class: "card_" }, [
                    createVNode("div", { class: "q-pa-md" }, [
                      createVNode("div", { class: "q-gutter-y-md" }, [
                        createVNode(_component_q_card, null, {
                          default: withCtx(() => [
                            createVNode(_component_q_tabs, {
                              modelValue: unref(tab),
                              "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                              dense: "",
                              class: "text-grey",
                              "active-color": "primary",
                              "indicator-color": "primary",
                              align: "justify",
                              "narrow-indicator": ""
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_q_tab, {
                                  name: "profile",
                                  label: "Profile",
                                  icon: "fa fa-user"
                                }),
                                createVNode(_component_q_tab, {
                                  name: "purchases",
                                  label: "Purchases",
                                  icon: "fa fa-credit-card"
                                }),
                                createVNode(_component_q_tab, {
                                  name: "plans",
                                  label: "Plans"
                                })
                              ]),
                              _: 1
                            }, 8, ["modelValue", "onUpdate:modelValue"]),
                            createVNode(_component_q_separator),
                            createVNode(_component_q_tab_panels, {
                              modelValue: unref(tab),
                              "onUpdate:modelValue": ($event) => isRef(tab) ? tab.value = $event : null,
                              animated: ""
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_q_tab_panel, { name: "profile" }, {
                                  default: withCtx(() => {
                                    var _a2, _b2, _c2;
                                    return [
                                      createVNode("div", { class: "text-h3" }, [
                                        createVNode("i", { class: "fa-solid fa-user me-2" }),
                                        createTextVNode("Profile")
                                      ]),
                                      createVNode("div", { class: "row mt-3" }, [
                                        createVNode("div", { class: "col-2" }, " Name "),
                                        createVNode("div", { class: "col" }, toDisplayString((_a2 = unref(pitLib).auth.get()) == null ? void 0 : _a2.name), 1)
                                      ]),
                                      createVNode("div", { class: "row mt-3" }, [
                                        createVNode("div", { class: "col-2" }, " Email "),
                                        createVNode("div", { class: "col" }, toDisplayString((_b2 = unref(pitLib).auth.get()) == null ? void 0 : _b2.email), 1)
                                      ]),
                                      createVNode("div", { class: "row mt-3" }, [
                                        createVNode("div", { class: "col-2" }, " Phone "),
                                        createVNode("div", { class: "col" }, toDisplayString((_c2 = unref(pitLib).auth.get()) == null ? void 0 : _c2.phone), 1)
                                      ]),
                                      createVNode("div", { class: "row mt-3" }, [
                                        createVNode("div", { class: "col-2" }, [
                                          createVNode("div", { class: "form-floating mb-3" }, [
                                            withDirectives(createVNode("input", {
                                              type: "password",
                                              class: "form-control",
                                              placeholder: "****",
                                              "onUpdate:modelValue": ($event) => unref(fd).password = $event
                                            }, null, 8, ["onUpdate:modelValue"]), [
                                              [vModelText, unref(fd).password]
                                            ]),
                                            createVNode("label", { for: "floatingInput" }, "Change Password")
                                          ])
                                        ]),
                                        createVNode("div", { class: "col" }, [
                                          createVNode("button", {
                                            onClick: ($event) => _ctx.update(),
                                            type: "button",
                                            class: "btn btn-primary"
                                          }, "Update", 8, ["onClick"]),
                                          createVNode("button", {
                                            onClick: ($event) => logout(),
                                            type: "button",
                                            class: "btn btn-primary ms-3"
                                          }, "Logout", 8, ["onClick"])
                                        ])
                                      ])
                                    ];
                                  }),
                                  _: 1
                                }),
                                createVNode(_component_q_tab_panel, { name: "purchases" }, {
                                  default: withCtx(() => {
                                    var _a2, _b2;
                                    return [
                                      createVNode("div", { class: "text-h3" }, [
                                        createVNode("i", { class: "fa-solid fa-user me-2" }),
                                        createTextVNode("Memberships")
                                      ]),
                                      !unref(loadingmembershipsResp) ? (openBlock(), createBlock("table", {
                                        key: 0,
                                        class: "table table-hover mt-4"
                                      }, [
                                        createVNode("thead", null, [
                                          createVNode("tr", null, [
                                            createVNode("th", null, "Plan"),
                                            createVNode("th", null, "Price"),
                                            createVNode("th", null, "Purchased On"),
                                            createVNode("th", null, "Expiry On"),
                                            createVNode("th", null, "Action")
                                          ])
                                        ]),
                                        createVNode("tbody", null, [
                                          (openBlock(true), createBlock(Fragment, null, renderList((_b2 = (_a2 = unref(membershipsResp)) == null ? void 0 : _a2.data) == null ? void 0 : _b2.data, (m) => {
                                            var _a4;
                                            var _a3, _b3, _c2;
                                            return openBlock(), createBlock("tr", null, [
                                              createVNode("td", null, toDisplayString((_a4 = (_a3 = m == null ? void 0 : m.plan[0]) == null ? void 0 : _a3.title) != null ? _a4 : "---") + " Plan", 1),
                                              createVNode("td", null, toDisplayString((_b3 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _b3.currency) + " " + toDisplayString(((_c2 = m == null ? void 0 : m.purchase[0]) == null ? void 0 : _c2.amount_paid) / 100), 1),
                                              createVNode("td", null, toDisplayString((m == null ? void 0 : m.created_at) ? new Date(m == null ? void 0 : m.created_at) : "---"), 1),
                                              createVNode("td", null, toDisplayString((m == null ? void 0 : m.expiry) ? new Date(m == null ? void 0 : m.expiry) : "---"), 1),
                                              createVNode("td", null, [
                                                createVNode(_component_q_btn, {
                                                  onClick: ($event) => {
                                                    unref(runtimeVars).selMembershipData = m;
                                                    unref(fd2)._id = m == null ? void 0 : m._id;
                                                    unref(runtimeVars).showModal = true;
                                                  },
                                                  round: "",
                                                  color: "blue",
                                                  icon: "fa fa-eye"
                                                }, null, 8, ["onClick"])
                                              ])
                                            ]);
                                          }), 256))
                                        ])
                                      ])) : createCommentVNode("", true)
                                    ];
                                  }),
                                  _: 1
                                }),
                                createVNode(_component_q_tab_panel, { name: "plans" }, {
                                  default: withCtx(() => [
                                    createVNode("div", { class: "text-h6" }, "Plans"),
                                    createTextVNode(" Lorem ipsum dolor sit amet consectetur adipisicing elit. ")
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }, 8, ["modelValue", "onUpdate:modelValue"])
                          ]),
                          _: 1
                        })
                      ])
                    ])
                  ])
                ]),
                createVNode("div", { class: "col-xs-0 col-sm-0 col-md-1 col-lg-1 col-xl-3" })
              ]),
              createVNode(_component_q_dialog, {
                modelValue: unref(runtimeVars).showModal,
                "onUpdate:modelValue": ($event) => unref(runtimeVars).showModal = $event
              }, {
                default: withCtx(() => [
                  createVNode(_component_q_card, { style: { "width": "700px", "max-width": "80vw" } }, {
                    default: withCtx(() => [
                      createVNode(_component_q_card_section, null, {
                        default: withCtx(() => [
                          createVNode("div", { class: "text-h6" }, "Details")
                        ]),
                        _: 1
                      }),
                      createVNode(_component_q_card_section, { class: "q-pt-none" }, {
                        default: withCtx(() => {
                          var _a2, _b2, _c2, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D;
                          return [
                            createVNode("table", { class: "table table-hover" }, [
                              createVNode("tbody", null, [
                                createVNode("tr", null, [
                                  createVNode("th", null, "Calendar Schedules Fixed"),
                                  createVNode("td", null, toDisplayString(((_b2 = (_a2 = unref(runtimeVars)) == null ? void 0 : _a2.selMembershipData) == null ? void 0 : _b2.calendar_schedule) ? (_d = (_c2 = unref(runtimeVars)) == null ? void 0 : _c2.selMembershipData) == null ? void 0 : _d.calendar_schedule.length : 0), 1)
                                ]),
                                createVNode("tr", null, [
                                  createVNode("th", null, "Calendar Schedules In Plan"),
                                  createVNode("td", null, toDisplayString((_f = (_e = unref(runtimeVars)) == null ? void 0 : _e.selMembershipData) == null ? void 0 : _f.plan[0].session), 1)
                                ]),
                                createVNode("tr", null, [
                                  createVNode("th", null, "Plan Validity"),
                                  createVNode("td", null, toDisplayString((_h = (_g = unref(runtimeVars)) == null ? void 0 : _g.selMembershipData) == null ? void 0 : _h.plan[0].validity) + " Days", 1)
                                ]),
                                createVNode("tr", null, [
                                  createVNode("th", null, "Plan Features"),
                                  createVNode("td", null, [
                                    createVNode("ul", null, [
                                      createVNode("li", null, "Diet Sheet: " + toDisplayString((_j = (_i = unref(runtimeVars)) == null ? void 0 : _i.selMembershipData) == null ? void 0 : _j.plan[0].data[0]), 1),
                                      createVNode("li", null, "Consultation: " + toDisplayString((_l = (_k = unref(runtimeVars)) == null ? void 0 : _k.selMembershipData) == null ? void 0 : _l.plan[0].data[1]), 1),
                                      createVNode("li", null, "Calls: " + toDisplayString((_n = (_m = unref(runtimeVars)) == null ? void 0 : _m.selMembershipData) == null ? void 0 : _n.plan[0].data[2]), 1),
                                      createVNode("li", null, "Supplement Discount: " + toDisplayString((_p = (_o = unref(runtimeVars)) == null ? void 0 : _o.selMembershipData) == null ? void 0 : _p.plan[0].data[4]), 1),
                                      createVNode("li", null, toDisplayString((_r = (_q = unref(runtimeVars)) == null ? void 0 : _q.selMembershipData) == null ? void 0 : _r.plan[0].data[5]), 1)
                                    ])
                                  ])
                                ])
                              ])
                            ]),
                            ((_t = (_s = unref(runtimeVars)) == null ? void 0 : _s.selMembershipData) == null ? void 0 : _t.plan[0].session) > (((_v = (_u = unref(runtimeVars)) == null ? void 0 : _u.selMembershipData) == null ? void 0 : _v.calendar_schedule) ? (_x = (_w = unref(runtimeVars)) == null ? void 0 : _w.selMembershipData) == null ? void 0 : _x.calendar_schedule.length : 0) ? (openBlock(), createBlock("div", {
                              key: 0,
                              class: ""
                            }, [
                              createTextVNode(" You have " + toDisplayString(((_z = (_y = unref(runtimeVars)) == null ? void 0 : _y.selMembershipData) == null ? void 0 : _z.plan[0].session) - (((_B = (_A = unref(runtimeVars)) == null ? void 0 : _A.selMembershipData) == null ? void 0 : _B.calendar_schedule) ? (_D = (_C = unref(runtimeVars)) == null ? void 0 : _C.selMembershipData) == null ? void 0 : _D.calendar_schedule.length : 0)) + " Sessions to choose ", 1),
                              createVNode("div", { class: "row" }, [
                                (openBlock(true), createBlock(Fragment, null, renderList(unref(fd2).calendar_schedule, (s, i) => {
                                  return openBlock(), createBlock("div", { class: "col-3" }, [
                                    withDirectives(createVNode("input", {
                                      type: "datetime-local",
                                      class: "form-control",
                                      "onUpdate:modelValue": ($event) => unref(fd2).calendar_schedule[i] = $event
                                    }, null, 8, ["onUpdate:modelValue"]), [
                                      [vModelText, unref(fd2).calendar_schedule[i]]
                                    ])
                                  ]);
                                }), 256)),
                                createVNode("div", { class: "col-3" }, [
                                  createVNode(_component_q_btn, {
                                    round: "",
                                    color: "blue",
                                    icon: "fa fa-check",
                                    onClick: ($event) => updateMembership(),
                                    loading: unref(runtimeVars).loading_upd_planmembership,
                                    disable: unref(runtimeVars).loading_upd_planmembership
                                  }, null, 8, ["onClick", "loading", "disable"])
                                ])
                              ])
                            ])) : createCommentVNode("", true)
                          ];
                        }),
                        _: 1
                      }),
                      createVNode(_component_q_card_actions, {
                        align: "right",
                        class: "bg-white text-teal"
                      }, {
                        default: withCtx(() => [
                          withDirectives(createVNode(_component_q_btn, {
                            flat: "",
                            label: "Close",
                            class: "bg-yellow"
                          }, null, 512), [
                            [_directive_close_popup]
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["modelValue", "onUpdate:modelValue"])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/profile/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-COI0pdlM.mjs.map
