import { defineComponent, mergeProps, withCtx, unref, createVNode, openBlock, createBlock, Fragment, renderList, createCommentVNode, toDisplayString, useSSRContext } from 'vue';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import { _ as __nuxt_component_0 } from '../_/QMarkupTable.mjs';
import { _ as __nuxt_component_1 } from '../_/QSkeleton.mjs';
import '../runtime.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';
import './server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './env-B2a7_Xo2.mjs';
import '../_/nuxt-storage.mjs';
import 'sweetalert2';
import '../_/use-dark.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    var _a;
    const { data: planResp, pending: loadingPlans } = useFetch(endpoints.plan.list, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_a = pitLib.auth.get()) == null ? void 0 : _a.token)
      }
    }, "$B8KiLJ9bcv");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_q_markup_table = __nuxt_component_0;
      const _component_q_skeleton = __nuxt_component_1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "q-pa-md" }, _attrs))}>`);
      _push(ssrRenderComponent(_component_q_markup_table, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a2, _b;
          if (_push2) {
            _push2(`<thead${_scopeId}><tr class="bg-grey-5 text-white text-h5"${_scopeId}><th class="text-left"${_scopeId}> Title </th><th class="text-left"${_scopeId}> Validity </th><th class="text-left"${_scopeId}> Session </th><th class="text-left"${_scopeId}> Price </th><th class="text-left"${_scopeId}> Action </th></tr></thead><tbody${_scopeId}>`);
            if (unref(loadingPlans)) {
              _push2(`<!--[-->`);
              ssrRenderList(5, (n) => {
                _push2(`<tr${_scopeId}><td class="text-left"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td><td class="text-right"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_q_skeleton, {
                  animation: "blink",
                  type: "text"
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            if ((_a2 = unref(planResp)) == null ? void 0 : _a2.status) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(planResp).data, (p) => {
                _push2(`<tr${_scopeId}><td${_scopeId}>${ssrInterpolate(p.title)}</td><td${_scopeId}>${ssrInterpolate(p.validity)}</td><td${_scopeId}>${ssrInterpolate(p.session)}</td><td${_scopeId}>${ssrInterpolate(p.price)}</td><td${_scopeId}></td></tr>`);
              });
              _push2(`<!--]-->`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody>`);
          } else {
            return [
              createVNode("thead", null, [
                createVNode("tr", { class: "bg-grey-5 text-white text-h5" }, [
                  createVNode("th", { class: "text-left" }, " Title "),
                  createVNode("th", { class: "text-left" }, " Validity "),
                  createVNode("th", { class: "text-left" }, " Session "),
                  createVNode("th", { class: "text-left" }, " Price "),
                  createVNode("th", { class: "text-left" }, " Action ")
                ])
              ]),
              createVNode("tbody", null, [
                unref(loadingPlans) ? (openBlock(), createBlock(Fragment, { key: 0 }, renderList(5, (n) => {
                  return createVNode("tr", { key: n }, [
                    createVNode("td", { class: "text-left" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ]),
                    createVNode("td", { class: "text-right" }, [
                      createVNode(_component_q_skeleton, {
                        animation: "blink",
                        type: "text"
                      })
                    ])
                  ]);
                }), 64)) : createCommentVNode("", true),
                ((_b = unref(planResp)) == null ? void 0 : _b.status) ? (openBlock(true), createBlock(Fragment, { key: 1 }, renderList(unref(planResp).data, (p) => {
                  return openBlock(), createBlock("tr", null, [
                    createVNode("td", null, toDisplayString(p.title), 1),
                    createVNode("td", null, toDisplayString(p.validity), 1),
                    createVNode("td", null, toDisplayString(p.session), 1),
                    createVNode("td", null, toDisplayString(p.price), 1),
                    createVNode("td")
                  ]);
                }), 256)) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panel/plan/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-CSilwWLs.mjs.map
