import { n as nuxtStorage } from '../_/nuxt-storage.mjs';
import Swal from 'sweetalert2';
import { E as Env } from './env-B2a7_Xo2.mjs';

const pitLib = {
  auth: {
    get: function() {
      return nuxtStorage.localStorage.getData("ls_u_data");
    },
    set: function(data) {
      return nuxtStorage.localStorage.setData("ls_u_data", data, 160);
    },
    clear: function() {
      return nuxtStorage.localStorage.removeItem("ls_u_data");
    },
    is: function() {
      return !!nuxtStorage.localStorage.getData("ls_u_data");
    }
  },
  response: {
    send: function(status = null, message = null, data = null) {
      if (!status) {
        status = false;
        if (!message) {
          message = "Unable to perform this action";
        }
      } else {
        status = true;
        if (!message) {
          message = "Action performed successfully";
        }
      }
      return { status, message, data };
    }
  },
  swal: async function(title, icon, position, timer) {
    if (!position) {
      position = "bottom-right";
    }
    if (!title && icon) {
      if (["warning", "error"].includes(icon)) {
        title = Env.MESSAGE.NEGATIVE;
      }
      if (["info", "success"].includes(icon)) {
        title = Env.MESSAGE.POSITIVE;
      }
    }
    timer = timer != null ? timer : 5e3;
    return await Swal.fire({
      position,
      icon,
      title,
      showConfirmButton: false,
      timerProgressBar: true,
      timer
    });
  },
  util: {}
};

export { pitLib as p };
//# sourceMappingURL=pitLib-BR8GY8Gr.mjs.map
