import { _ as __nuxt_component_0 } from './nuxt-link-D35ckuRb.mjs';
import { u as useFetch, e as endpoints } from './endpoints-CieCsF2j.mjs';
import { defineComponent, ref, watch, mergeProps, unref, isRef, withCtx, createVNode, toDisplayString, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrInterpolate, ssrRenderClass, ssrRenderComponent } from 'vue/server-renderer';
import { p as pitLib } from './pitLib-BR8GY8Gr.mjs';
import Swal from 'sweetalert2';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "pricing-one",
  __ssrInlineRender: true,
  props: {
    style_2: { type: Boolean }
  },
  setup(__props) {
    var _a, _b;
    const { data: planResp, pending: loadingPlans } = useFetch(endpoints.plan.list, {
      method: "post"
    }, "$CZJuvL5LnC");
    let chosenPlan = ref();
    const arrFeatureTtl = [
      "Diet Sheet",
      "Session",
      "On Call",
      "Video Call",
      "Supplement",
      "Detox Diet"
    ];
    const { execute: fetchPurchase, data: planPurchase } = useFetch(endpoints.plan.purchase, {
      method: "post",
      headers: {
        Authorization: "Bearer " + ((_a = pitLib.auth.get()) == null ? void 0 : _a.token)
      },
      body: {
        _id: chosenPlan
      },
      immediate: false
    }, "$sCv1kop6JF");
    watch(planPurchase, (d) => {
      Swal.fire({
        position: "top-end",
        icon: d.status ? "success" : "warning",
        title: d.message,
        showConfirmButton: false,
        timer: 1500
      });
      if (d.status) {
        (void 0).href = d.data.short_url;
      }
    });
    useFetch(endpoints.plan.list, { method: "post", headers: {
      Authorization: "Bearer " + ((_b = pitLib.auth.get()) == null ? void 0 : _b.token)
    } }, "$xFOW0boQlY");
    return (_ctx, _push, _parent, _attrs) => {
      var _a2;
      const _component_nuxt_link = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "tp-price-inner" }, _attrs))}>`);
      if (!unref(loadingPlans)) {
        _push(`<div class="row"><!--[-->`);
        ssrRenderList((_a2 = unref(planResp)) == null ? void 0 : _a2.data, (item) => {
          var _a3, _b2;
          _push(`<div class="col-xl-4 col-lg-4 col-md-6 mb-70"><div class="tp-price-item"><div class="tp-price-head mb-100 text-center"><h4 class="tp-price-head-title">${ssrInterpolate(item.title)} Plan</h4>`);
          if (((_a3 = unref(pitLib).auth.get()) == null ? void 0 : _a3.country) === "661bbed852f0bc15cfd20b97") {
            _push(`<span>Rs. ${ssrInterpolate(item == null ? void 0 : item.price.inr)}</span>`);
          } else {
            _push(`<!---->`);
          }
          if (((_b2 = unref(pitLib).auth.get()) == null ? void 0 : _b2.country) != "661bbed852f0bc15cfd20b97") {
            _push(`<span>USD. ${ssrInterpolate(item == null ? void 0 : item.price.usd)}</span>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
          if (!item.style_2) {
            _push(`<div><!--[-->`);
            ssrRenderList(item == null ? void 0 : item.data, (f, i) => {
              var _a4;
              _push(`<div class="tp-price-body mb-35 text-center"><span class="${ssrRenderClass(`${item.bodySubtitleCls ? item.bodySubtitleCls : ""}`)}"><strong>${ssrInterpolate((_a4 = arrFeatureTtl[i]) != null ? _a4 : "")}:${ssrInterpolate(f)}</strong></span></div>`);
            });
            _push(`<!--]--><div class="tp-price-btn-box text-center">`);
            _push(ssrRenderComponent(_component_nuxt_link, {
              onClick: ($event) => {
                isRef(chosenPlan) ? chosenPlan.value = item._id : chosenPlan = item._id;
                unref(fetchPurchase)();
              },
              class: `${_ctx.style_2 ? "tp-btn-price-white" : "tp-btn-price"}`
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<div${_scopeId}><span${_scopeId}>Buy</span></div>`);
                } else {
                  return [
                    createVNode("div", null, [
                      createVNode("span", null, "Buy")
                    ])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div></div>`);
          } else {
            _push(`<!---->`);
          }
          if (item.style_2) {
            _push(`<div><div class="tp-price-body text-center"><span class="tp-price-text">${item.bodyTitle}</span></div><div class="tp-price-btn-box text-center">`);
            _push(ssrRenderComponent(_component_nuxt_link, {
              class: `${_ctx.style_2 ? "tp-btn-price-border-white" : "tp-btn-price-border"}`,
              href: "/contact"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<div${_scopeId}><span${_scopeId}>${ssrInterpolate(item.btn_text)}</span></div>`);
                } else {
                  return [
                    createVNode("div", null, [
                      createVNode("span", null, toDisplayString(item.btn_text), 1)
                    ])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/pricing/pricing-one.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=pricing-one-DdjhY7k8.mjs.map
