import { _ as __nuxt_component_0 } from './nuxt-link-D35ckuRb.mjs';
import { defineComponent, mergeProps, withCtx, createVNode, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderAttr, ssrRenderList, ssrRenderComponent, ssrInterpolate } from 'vue/server-renderer';
import { p as publicAssetsURL } from './server.mjs';

const _imports_0 = publicAssetsURL("/images/portfolio/shape-1.png");
const _imports_1 = publicAssetsURL("/images/portfolio/shape-2.png");
const _imports_2 = publicAssetsURL("/images/portfolio/star.png");
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "service-area-three",
  __ssrInlineRender: true,
  setup(__props) {
    const service_data = [
      {
        id: 1,
        title: "Balanced Meals",
        sm_desc: "Ensure each meal includes a variety of foods from all major food groups: fruits, vegetables, lean proteins, whole grains, and healthy fats.",
        tag_1: "Incorporate All Food Groups",
        tag_2: "Portion Control"
      },
      {
        id: 2,
        title: "Choose Whole Grains",
        sm_desc: "Whole grains like brown rice, quinoa, whole wheat bread, and oats are high in fiber, which helps with digestion and keeps you feeling full for longer.",
        tag_1: "Fiber-Rich Foods",
        tag_2: "Read Labels"
      },
      {
        id: 3,
        title: " Healthy Fats",
        sm_desc: "Include healthy fats from sources like avocados, nuts, seeds, olive oil.",
        tag_1: "Good Sources",
        tag_2: "Limit Saturated and Trans Fats"
      }
    ];
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({
        id: "service",
        class: "tp-service-3__area services-panel-area tp-service-3__overlay-bg black-bg-2 pt-150 pb-125 z-index-1 cursor-style"
      }, _attrs))}><div class="tp-service-3__circle-img"><span class="text-img"></span><div class="shape"><svg width="260" height="70" viewBox="0 0 260 70" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M68.7285 34.1352C48.3941 10.6976 13.8796 0.514191 0 0.514191C93.4783 0.514191 276.081 -0.642708 258.863 0.514191C236.79 1.99739 217.224 6.94161 191.137 34.1352C140.468 93.9609 98.3272 68.2507 68.7285 34.1352Z" fill="currentcolor"></path></svg></div></div><div class="tp-service-3__shape-1"><img${ssrRenderAttr("src", _imports_0)} alt=""></div><div class="tp-service-3__shape-2 d-none d-lg-block"><img${ssrRenderAttr("src", _imports_1)} alt=""></div><div class="tp-service-3__shape-3"><img data-speed="1.2"${ssrRenderAttr("src", _imports_2)} alt=""></div><div class="container"><div class="row"><div class="col-xl-5 col-lg-5 services-panel-pin"><div class="tp-service-3__title-box"><span class="tp-section-subtitle-3 tp_title_anim">OUR PROCESS</span><h3 class="tp-section-title-3 tp_title_anim">How We <br> Carry Out Our Diets</h3><p class="tp_title_anim">We offer a wide range of services to help elevate <br> your Health &amp; Fitness results.</p></div></div><div class="col-xl-7 col-lg-7"><div class="tp-service-3__right-wrap"><!--[-->`);
      ssrRenderList(service_data, (s) => {
        _push(`<div class="tp-service-3__item d-flex align-items-start mb-25 services-panel"><div class="tp-service-3__content"><h3 class="tp-service-3__content-title">`);
        _push(ssrRenderComponent(_component_nuxt_link, { href: "/service-details" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<div${_scopeId}>${s.title}</div>`);
            } else {
              return [
                createVNode("div", {
                  innerHTML: s.title
                }, null, 8, ["innerHTML"])
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</h3><p>${s.sm_desc}</p><div class="tp-service-3__content-tag"><span class="mr-5">${ssrInterpolate(s.tag_1)}</span><span>${ssrInterpolate(s.tag_2)}</span></div></div></div>`);
      });
      _push(`<!--]--><div class="tp-service-3__btn-box">`);
      _push(ssrRenderComponent(_component_nuxt_link, { href: "/contact" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Contact me to get more extra service <span${_scopeId}>Connect Now</span>`);
          } else {
            return [
              createTextVNode("Contact me to get more extra service "),
              createVNode("span", null, "Connect Now")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/service/service-area-three.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=service-area-three-DdPZZlq7.mjs.map
