import { defineComponent, mergeProps, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrRenderAttr, ssrRenderStyle, ssrInterpolate } from 'vue/server-renderer';
import { p as publicAssetsURL } from './server.mjs';

const _imports_0 = publicAssetsURL("/images/services/shape/services-shape-1.png");
const _imports_1 = publicAssetsURL("/images/services/shape/services-shape-2.png");
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "service-capsule-items",
  __ssrInlineRender: true,
  setup(__props) {
    const services = [
      { name: "Cardiovascular Disease (CVD)", bgColor: "#00CC97" },
      { name: " Thyroid ", bgColor: "#FF759C" },
      { name: "Diabetes ", bgColor: "#FFDB59", textColor: "#121212" },
      { name: "PCOD/PCOS", bgColor: "#FFDB59", textColor: "#121212" },
      { name: "Kidney Stone", bgColor: "#00CC97" },
      { name: " Arthritis", bgColor: "#19B3F1" },
      { name: "Blood Pressure ", bgColor: "#FF759C" },
      { name: " Obesity", bgColor: "#FFDB59", textColor: "#121212" }
    ];
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "tp-services-capsule-item-wrapper" }, _attrs))}><!--[-->`);
      ssrRenderList(services, (s, i) => {
        _push(`<p data-tp-throwable-el=""><span class="tp-services-capsule-item"${ssrRenderAttr("data-bg-color", s.bgColor)}${ssrRenderAttr("data-text-color", `${s.textColor ? s.textColor : ""}`)} style="${ssrRenderStyle({ backgroundColor: s.bgColor, color: s.textColor })}">${ssrInterpolate(s.name)}</span></p>`);
      });
      _push(`<!--]--><p data-tp-throwable-el=""><span><img${ssrRenderAttr("src", _imports_0)} alt=""></span></p><p data-tp-throwable-el=""><span><img${ssrRenderAttr("src", _imports_1)} alt=""></span></p></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/service/service-capsule-items.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=service-capsule-items-B84o8BaQ.mjs.map
