import { ref } from 'vue';
import { gsap } from 'gsap';

function useMoveText() {
  const slideRefs = ref([]);
  const moveText = (event, index) => {
    const hoverTextRef = slideRefs.value[index];
    if (hoverTextRef) {
      const item = hoverTextRef.getBoundingClientRect();
      const x = event.clientX - item.left;
      const y = event.clientY - item.top;
      const children = hoverTextRef.children;
      if (children[0] && children[0].children[2]) {
        children[0].children[2].style.transform = `translate(${x}px, ${y}px)`;
      }
    }
  };
  function btnMouseMove() {
    const footerBtnSection = (void 0).querySelector(".tp-mouse-move-btn-section");
    const footerBtn = (void 0).querySelector(".tp-mouse-move-btn");
    if (footerBtnSection && footerBtn) {
      footerBtnSection.addEventListener("mousemove", (e) => {
        const x = e.clientX;
        const y = e.clientY;
        const viewportWidth = (void 0).innerWidth;
        const viewportHeight = (void 0).innerHeight;
        const center = viewportWidth / 2;
        const centerHeight = viewportHeight / 2;
        if (x > center) {
          gsap.to(footerBtn, {
            x: 100,
            duration: 2,
            ease: "power4.out"
          });
        } else {
          gsap.to(footerBtn, {
            x: -100,
            duration: 2,
            ease: "power4.out"
          });
        }
        if (y > centerHeight) {
          gsap.to(footerBtn, {
            y: 100,
            duration: 2,
            ease: "power4.out"
          });
        } else {
          gsap.to(footerBtn, {
            y: -100,
            duration: 2,
            ease: "power4.out"
          });
        }
      });
    }
  }
  return {
    slideRefs,
    moveText,
    btnMouseMove
  };
}

export { useMoveText as u };
//# sourceMappingURL=useMoveText-B0jkjmlh.mjs.map
