import { d as useRoute } from './server.mjs';
import { gsap } from 'gsap';
import imagesLoaded from 'imagesloaded';

function usePinPanel() {
  useRoute();
  function servicesPanel() {
    let tl = gsap.timeline();
    const parent = (void 0).querySelector(".tp-service-3__area");
    let servicesSpanels = (void 0).querySelectorAll(".services-panel");
    servicesSpanels.forEach((section, index) => {
      tl.to(section, {
        scrollTrigger: {
          trigger: section,
          pin: section,
          scrub: 1,
          start: "top 10%",
          end: "bottom 67%",
          endTrigger: ".services-panel-area",
          pinSpacing: false,
          markers: false
        }
      });
    });
    if (parent) {
      let mm = gsap.matchMedia();
      mm.add("(min-width: 991px)", () => {
        gsap.to(".services-panel-pin", {
          opacity: 1,
          scrollTrigger: {
            trigger: ".tp-service-3__area",
            scrub: 1,
            start: "top -7%",
            end: "bottom 63%",
            pin: ".services-panel-pin",
            markers: false
          }
        });
      });
    }
  }
  function portfolioAnimation() {
    const otherSections = (void 0).querySelectorAll(".portfolio-panel");
    let tl = gsap.timeline();
    otherSections.forEach((section) => {
      gsap.set(section, {
        scale: 1
      });
      tl.to(section, {
        scale: 0.8,
        scrollTrigger: {
          trigger: section,
          pin: section,
          scrub: 1,
          start: "top 10%",
          end: "bottom 60%",
          endTrigger: ".tp-project-3__area",
          pinSpacing: false,
          markers: false
        }
      });
    });
  }
  function portfolioPanel() {
    const imageContainer = (void 0).querySelector(".tp-project-3__area");
    if (imageContainer) {
      imagesLoaded(imageContainer, function() {
        portfolioAnimation();
      });
    } else {
      console.error("Image container not found");
    }
  }
  return {
    servicesPanel,
    portfolioPanel
  };
}

export { usePinPanel as u };
//# sourceMappingURL=usePinPanel-Le9JJTLx.mjs.map
