import { useSSRContext, defineComponent, ref, unref, withCtx, createTextVNode, toDisplayString, createVNode, mergeProps } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrRenderClass, ssrRenderComponent, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';
import { _ as _export_sfc } from './_plugin-vue_export-helper-1tPrXgE0.mjs';
import { _ as __nuxt_component_0$1 } from './nuxt-link-D35ckuRb.mjs';
import { p as publicAssetsURL } from './server.mjs';

const menu_data = [
  {
    id: 1,
    title: "Home",
    link: "/",
    home_dropdown: false
  },
  {
    id: 2,
    title: "About Us",
    link: "/about",
    has_dropdown: false
  },
  {
    id: 3,
    title: "Services",
    link: "#",
    has_dropdown: true,
    sub_menus: [
      { link: "/service", title: "What We Do" },
      { link: "/service-details", title: "How It's Done" },
      { link: "/bmi", title: "Free BMI" }
    ]
  },
  {
    id: 4,
    title: "Recipies",
    link: "#",
    has_dropdown: true,
    sub_menus: [
      { link: "/portfolio", title: "Dishes" },
      { link: "/portfolio-details", title: "Vegan Diet Recipies" }
    ]
  },
  /*
  {
    id: 5,
    title: "Blog",
    link: "#",
    has_dropdown: true,
    sub_menus: [
      { link: "/blog", title: "Blog List" },
      { link: "/blog-sidebar", title: "Blog Sidebar" },
      { link: "/blog-details/6", title: "Blog Details" },
      { link: "/blog-details-2", title: "Blog Details 02" },
    ],
  },*/
  {
    id: 6,
    title: "Contact",
    link: "/contact",
    has_dropdown: false
  }
];
const menu_data$1 = menu_data;
const _sfc_main$2 = {};
function _sfc_ssrRender$1(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "38",
    height: "38",
    viewBox: "0 0 38 38",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M9.80859 9.80762L28.1934 28.1924" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path><path d="M9.80859 28.1924L28.1934 9.80761" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path></svg>`);
}
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/close.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const __nuxt_component_0 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["ssrRender", _sfc_ssrRender$1]]);
const _sfc_main$1 = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  _push(`<svg${ssrRenderAttrs(mergeProps({
    width: "28",
    height: "28",
    viewBox: "0 0 28 28",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, _attrs))}><path d="M14 1V27" stroke="currentcolor" strokeOpacity="0.95" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"></path><path d="M1 14H27" stroke="currentcolor" strokeOpacity="0.95" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"></path></svg>`);
}
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/svg/plus.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["ssrRender", _sfc_ssrRender]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "offcanvas-menus",
  __ssrInlineRender: true,
  setup(__props) {
    const isActive = ref(false);
    const navTitle = ref("");
    const toggleMobileMenu = (menu) => {
      navTitle.value = navTitle.value === menu ? "" : menu;
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_nuxt_link = __nuxt_component_0$1;
      const _component_svg_plus = __nuxt_component_1;
      _push(`<ul${ssrRenderAttrs(_attrs)}><!--[-->`);
      ssrRenderList(unref(menu_data$1), (item, index) => {
        _push(`<!--[-->`);
        if (item.home_dropdown) {
          _push(`<li class="${ssrRenderClass(`has-dropdown ${unref(isActive) ? "" : "active"}`)}">`);
          _push(ssrRenderComponent(_component_nuxt_link, {
            href: item.link,
            class: unref(navTitle) === item.title ? "expanded" : ""
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)} <button class="${ssrRenderClass([unref(navTitle) === item.title ? "dropdown-opened" : "", "dropdown-toggle-btn"])}"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_svg_plus, null, null, _parent2, _scopeId));
                _push2(`</button>`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title) + " ", 1),
                  createVNode("button", {
                    class: ["dropdown-toggle-btn", unref(navTitle) === item.title ? "dropdown-opened" : ""],
                    onClick: ($event) => toggleMobileMenu(item.title)
                  }, [
                    createVNode(_component_svg_plus)
                  ], 10, ["onClick"])
                ];
              }
            }),
            _: 2
          }, _parent));
          if (unref(navTitle) === item.title) {
            _push(`<ul class="tp-submenu submenu" style="${ssrRenderStyle(unref(navTitle) === item.title ? "display: block" : "")}"><!--[-->`);
            ssrRenderList(item.mobile_menus, (sub_menu, sub_index) => {
              _push(`<li>`);
              _push(ssrRenderComponent(_component_nuxt_link, {
                href: sub_menu.link
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(sub_menu.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(sub_menu.title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
              _push(`</li>`);
            });
            _push(`<!--]--></ul>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</li>`);
        } else if (item.has_dropdown) {
          _push(`<li class="${ssrRenderClass(`has-dropdown ${unref(isActive) ? "" : "active"}`)}">`);
          _push(ssrRenderComponent(_component_nuxt_link, {
            href: item.link,
            class: unref(navTitle) === item.title ? "expanded" : ""
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)} <button class="${ssrRenderClass([unref(navTitle) === item.title ? "dropdown-opened" : "", "dropdown-toggle-btn"])}"${_scopeId}>`);
                _push2(ssrRenderComponent(_component_svg_plus, null, null, _parent2, _scopeId));
                _push2(`</button>`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title) + " ", 1),
                  createVNode("button", {
                    class: ["dropdown-toggle-btn", unref(navTitle) === item.title ? "dropdown-opened" : ""],
                    onClick: ($event) => toggleMobileMenu(item.title)
                  }, [
                    createVNode(_component_svg_plus)
                  ], 10, ["onClick"])
                ];
              }
            }),
            _: 2
          }, _parent));
          if (unref(navTitle) === item.title) {
            _push(`<ul class="tp-submenu submenu" style="${ssrRenderStyle(unref(navTitle) === item.title ? "display: block" : "")}"><!--[-->`);
            ssrRenderList(item.sub_menus, (sub_menu, sub_index) => {
              _push(`<li>`);
              _push(ssrRenderComponent(_component_nuxt_link, {
                href: sub_menu.link
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(sub_menu.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(sub_menu.title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
              _push(`</li>`);
            });
            _push(`<!--]--></ul>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</li>`);
        } else {
          _push(`<li class="${ssrRenderClass(`${unref(isActive) ? "" : "active"}`)}">`);
          _push(ssrRenderComponent(_component_nuxt_link, {
            href: item.link
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        }
        _push(`<!--]-->`);
      });
      _push(`<!--]--></ul>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/offcanvas/offcanvas-menus.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const _imports_1 = publicAssetsURL("/images/logo/logo-black.png");

export { _imports_1 as _, __nuxt_component_0 as a, _sfc_main as b, menu_data$1 as m };
//# sourceMappingURL=virtual_public-MuFwyuks.mjs.map
