import { d as defineEventHandler, g as getCookie } from '../../../../runtime.mjs';
import { n as nuxtStorage } from '../../../../_/nuxt-storage.mjs';
import Swal from 'sweetalert2';
import { E as Env } from '../../../../_/env.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'node:fs';
import 'node:url';

const pitLib = {
  auth: {
    get: function() {
      return nuxtStorage.localStorage.getData("ls_u_data");
    },
    set: function(data) {
      return nuxtStorage.localStorage.setData("ls_u_data", data, 160);
    },
    clear: function() {
      return nuxtStorage.localStorage.removeItem("ls_u_data");
    },
    is: function() {
      return !!nuxtStorage.localStorage.getData("ls_u_data");
    }
  },
  response: {
    send: function(status = null, message = null, data = null) {
      if (!status) {
        status = false;
        if (!message) {
          message = "Unable to perform this action";
        }
      } else {
        status = true;
        if (!message) {
          message = "Action performed successfully";
        }
      }
      return { status, message, data };
    }
  },
  swal: async function(title, icon, position, timer) {
    if (!position) {
      position = "bottom-right";
    }
    if (!title && icon) {
      if (["warning", "error"].includes(icon)) {
        title = Env.MESSAGE.NEGATIVE;
      }
      if (["info", "success"].includes(icon)) {
        title = Env.MESSAGE.POSITIVE;
      }
    }
    timer = timer != null ? timer : 5e3;
    return await Swal.fire({
      position,
      icon,
      title,
      showConfirmButton: false,
      timerProgressBar: true,
      timer
    });
  },
  util: {}
};

const fetch$1 = defineEventHandler((event) => {
  const gtoken = getCookie(event, "c_g_token");
  let res = null;
  if (gtoken) {
    const myHeaders = new Headers();
    myHeaders.append("Authorization", "Bearer ya29.a0Ad52N3-cPuab3pmVCdFdrU8FZUUTEQKYtJzmgsazrPYFckyPVZ7rozup3wr2B9obSUd_QooU8icWSHOy5rXzgvW4ngZhMdpQXJIyZrN1y8TPaprYyRnFpDSTC9NirqSHwpRcYguMGG11RpCD0o9793XarCG83cAvwQaCgYKAcASARESFQHGX2MinpyH5uzpdWVXVnBkn0IfXQ0169");
    res = fetch("https://www.googleapis.com/oauth2/v2/userinfo", {
      method: "GET",
      headers: myHeaders,
      redirect: "follow"
    }).then((response) => response.text()).then((result) => {
      return pitLib.response.send(true, null, JSON.parse(result));
    }).catch((error) => {
      return pitLib.response.send(false, null, error.toString());
    });
  }
  return res;
});

export { fetch$1 as default };
//# sourceMappingURL=fetch.mjs.map
